Administrator's Manual
         Next Topic

Introduction

This administrator's guide is intended to provide a comprehensive set of instructions and information's about configuring WRENCH for optimum performance without any security flaws. The images in this manual are captured from an installation on a local test server.

Prerequisite Knowledge

It is assumed that the WRENCH administrator using this guide do have sufficient experience working with windows operating system and has a fair knowledge of English.

Role of the WRENCH Administrator

A WRENCH administrator's job is not a simple one. Seemingly endless configuration combinations which will help in attaining optimum performance are defined by the WRENCH administrator.

An Administrator's primary responsibilities include creating and administering hundreds--maybe even thousands--of users and user groups and assigning appropriate security rights.

An administrator also provides mandatory data that will help in the smooth functioning of WRENCH such as configuring and managing Workflows for mapping the organizational processes and managing the genealogy structure which is the core element of WRENCH server.

This manual assists the administrator in performing these tasks accurately without any flaws.

The following navigation table will guide you in using this administrator's manual.

Navigation Table

To | See
Navigate to different configuration options | Control Panel
Create and manage users and user groups | User Accounts
Define security for different operations in WRENCH | Security Center
Define procedures and processes followed by an organization during project management, scheduling, handling documents | Performance and Utilities
Configure and manage mandatory data which enables a smooth functioning of WRENCH | Masters
Design and organize workflows in your organization | Workflow
Arrange your Projects, Tasks and Documents in order which helps in proper grouping and retrieval of information | Genealogy

NOTE: If there is proxy server, the IP of WRENCH Server has to be provided in the proxy server during installation in order to bypass filtering. This will exempt WRENCHENT from being filtered in the proxy server.


Control Panel

Control Panel which resembles a console acts as a centralized location from where different preparatory modules along with modules for defining security settings can be accessed by WRENCH administrator.

WRENCH Administrator is the one who facilitates smooth functioning of WRENCH server in an organization. Administrator is responsible for defining various masters and controlling access rights to users.

For ease of use control panel is divided in different groups under which a set of modules are housed. These groups are explained briefly in the following section.

User Accounts

This module assists in the creation and management of users and user groups. In addition to this a number of advanced settings related to managing user accounts can be defined here. For more information see User Accounts .

Settings

This group includes

  • Modules that assists in defining procedures and processes followed by an organization during project management, scheduling, and handling documents. For more information see Performance and Utilities .
  • Modules that define security for different operations in WRENCH. For more information see Security Center .

Workflow

Processes in an organization are mapped into WRENCH as workflows. Utilities which helps in creating, managing and automating workflows are available here. For more information see Workflow .

Figure: Control Panel


User Accounts

A user needs a User Account to login to WRENCH. The Administrator alone has the rights to create User Accounts and Groups in WRENCH Enterprise. This enables the Administrator to define security levels according to the User functionality. The following modules describe how to create Users and User Groups.

Navigation Table

To | See
Create and manage User Accounts | Users
Create and manage User Groups | User Groups
Configure Messages to Users | Messages to Users


Users

A User is an individual who uses a product, service or machine.

A user needs an account to login to WRENCH. It is important to note here that a user is created as part of a user group and security settings can be assigned to a group as a whole. But at the same time a user can be assigned a unique security setting as well.

Navigation Table

To | See
Open User Accounts window | Opening the User Master window
Create User Accounts | Creating User Accounts
Define Advanced User details | User Advanced Details
Maintain User Account details | Maintaining User Account Details
Import user details to WRENCH | Importing user details to WRENCH
Disable or Enable Users | Disabling/Enabling Users
Manage disabled users | Managing disabled users

Opening the User Master window

To open the user master window

  1. From the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel.
  2. In the control panel from the User Accounts group select User. User Master window is displayed.

Figure: User Master window

Creating a User Account

To Create a User Account

  1. In the User Master window tool bar select Add New User.

User Details window is displayed.

Figure: Creating User in WRENCH

In the User Details window you can enter values for the following fields.

# | Item | Description
1 | Login Name | This is the unique identification using which a user can log into WRENCH. The login name can be alphabets, numbers or a combination of these (alphanumeric characters.)
2 | User Name | The name of the user for whom account is being created.
3 | Designation | Enter a designation or official name for the user being created.
4 | Origin | You can specify the category to which the user belongs. You can select from Internal, Customer, Other Unit and Vendor.
5 | Discipline | Click the browse button to select a discipline. Select Discipline window is displayed where a pre-defined set of disciplines are available. You can select a discipline from the list.
  1. Select Assign Projects to assign a resource to a specific Project. Resources assigned to a Project will be available in the resources tab of the Project.

NOTE: In the control panel if the settings Allow login using email address or Allow login using mobile number is selected, while creating or editing user accounts same email address or mobile number is used for multiple users. If it is used an alert message is displayed.

To assign a user group

  1. Click "Assign Groups" to specify the group to which the user belongs to.

Group List window is displayed.

Figure: Selecting user group

  3. Select the check box next to a group.

NOTE: A user belonging to a specific group will inherit the security settings assigned to that group , but if a different level of security is set for a specific user then this is given higher priority.

  2. A Primary User Group can be selected for a user. Click the radio button under the column Primary Group. In case the user is member of only one group, the group to which the user is assigned would be the primary group. If the user is assigned multiple groups, one of the group has to be selected as primary group. Click OK to continue.

To set password

  1. In the User Details window click Set Password.

Set Password window is displayed.

  2. Enter a password. Re-enter the password to confirm. Password Policy hyperlink is displayed if the option Enforce Strong Password is selected in Settings>>Performance and Utilities>>General. Click the hyperlink to view WRENCH password policy.
  3. Click OK to continue.

NOTE: User password expires after 6 months. Ensure you change the password every 6 months.

When the administrator reset the password of a user from this window, a notification is sent to the user. Information on password reset can be extracted from Operations Log Report.

Password can be reset only for a single user at a time. If the set password option is clicked after selecting more than one user a warning message "Please select a user" is displayed.

To assign projects to a user

  1. In the User Details window click the button Assign Project.
  2. Projects window is displayed. In the window click the button Add.

Project Search window is displayed. Entire projects are listed in this window.

  3. Select the checkbox next to the projects that are to be selected.
  4. In the toolbar click Select.

Selected projects are listed in the Project window.

  5. Click Close to exit.

To manage custom details

  1. Click Custom Values button to update or view additional user properties assigned. Custom Properties are assigned to to a user origin in the custom characteristics masters. The custom characteristics assigned to a user origin will be applicable to users belonging to that origin. These custom values can be updated here
  2. Once all the user details are entered then click "OK" button.

Disabling/Enabling Users

A selected user can be disabled. Once a user is disabled user will not be able to perform operations related to Projects, WBS, Documents, Change Request, Change Note, Minutes of Meeting, Transmittal or Work Flow.

To disable users

  1. In the user master window, select the user that is to be disabled.
  2. In the tool bar click Enable/Disable.

A message Do you want to disable the user is displayed.

  3. Click Yes to disable, No to abort operation.

On clicking Yes, user disabled successfully message is displayed.

To enable a disabled user

  1. Select the disabled user that is to be enabled.
  2. In the tool bar click Enable/Disable.
  3. A message Do you want to enable the selected user is displayed.
  4. Click Yes to enable the user. User enabled successfully message is displayed.

Managing Disable Users

In certain scenarios like, a resource resigning from the organization or validity of contract user expires, administrator has to disable the user from the user master. By doing so, the status of the users will change to ‘Disabled’ but they are still displayed in user master. For an organization which has been using smart project for a long period, there may be handful of users who were disabled, but are still displayed in user master. This cause difficult for the organization, to filter the active users from the disabled users. Hence, a facility to filter the disabled users, and to delete such users is available. Also disabled users can be enabled if required.

To delete a disabled user

  1. In the User Master window, click Show Disabled User.

Disabled Users window is displayed. All the users that are disabled will be displayed here.

Figure: Disabled Users window

  2. In the window select single or multiple user and in the tool bar click Delete.

A message Do you want to delete the selected users is displayed.

  3. Click Yes to delete the user.

On clicking Yes, system will verify whether the selected user has performed any operation in SmartProject. If the user has performed any operations, system will mark those users as ‘Deleted’ else users are removed from the database.

To enable a disabled user

  1. In the window select the users that are to be enabled and in the tool bar click Enable.

A message Do you want to Enable the selected users is displayed.

  2. Click Yes to enable the user. Enabled successfully message is displayed. Once a disabled user is enabled, the user will no more be listed in the disabled users window.

Managing User Advanced Details

In addition to the basic user details advanced user details can also be assigned to a user.

To manage advanced user details

  1. In the User Details window click the hyperlink Advanced Settings.

User Advanced Details window is displayed.

Figure: User Advanced Details

  2. You can enter the following details in this window.

#

Property

Description

1

Staff Code

Enter the unique staff code assigned to this user.

2

Initial

Enter a unique initial to identify the user.

3

Nationality

Enter the nationality. Nationality is the country to which the user belongs to.

4

Email ID

Enter an email id which is used when external mails are sent.

5

Cost/Hour

Enter the hourly cost for the user.

6

City

Enter the city to which the user belongs to.

7

Pin

Enter the pin number of the city.

8

Phone

Enter the land phone number.

9

Mobile

Enter the mobile phone number. There is a provision to enter country code before the mobile number.

10

Fax

Enter the fax number.

11

Windows Authentication settings

Defining windows authentication settings permits a user to

  • Access the network externally with a valid windows login and MAC ID.
  • Access WRENCH from an external domain without a valid user name and MAC ID in the host domain.
  • Access WRENCH internally if windows authentication is enabled in the server.
  • Restrict unauthorized usage of other user's WRENCH login details.

The tedious task of maintaining multiple passwords; one for windows login and another for logging in to WRENCH is avoided by making use of this facility. For more information on Windows Authentication Settings refer Defining Windows Authentication Settings .

12

Address

Enter the address of the user.

13

User validity settings

A validity period can be defined for a user.

By selecting Valid From and Valid To dates the validity period for a user can be selected. Also the date from which the validity period will be effective can also be selected.

14

Notification Calendar

A notification calendar may be assigned to a user. Click the browse button to select from a pre-defined list of calendars. Once a calendar is assigned to a user escalation mails are sent to the user based on the settings in the calendar.

15

Default Check Out path

The default checkout path can be defined here.

16

Default Server

Once a server is assigned as default for a User, login will be permitted only to this server.

17

Select Signature File

The signature file for the respective users need to be added in the user master. If the signature file does not confirm with the specifications, a message “Signature file size to be less than 30 Kb and dimensions less than 230 X 50 (Width X height in pixels)” has to be provided to the user.

18

VIP User

Once you select the check box next to this option. when the user logs in, if the number of active users exceed the number of licence's allowed, any user logged in with the maximum idle time will be logged off to allow the VIP User to log in.

19

Disable User

If "Disable User" is selected the disabled user will not be able to perform operations related to Projects, WBS, Documents, Change Request, Change Note, Minutes of Meeting, Transmittal or Work Flow. The disabled user is also not listed in any of the Master entries.

NOTE: Even if there are works pending in the user’s workspace, you can disable the selected user. You can reassign the activities of this user to another resource in the workflow.

20

Deny External Mail

If " Deny External Mail" is selected, notifications are not sent to the External Mail Id irrespective of whether or not " External mail Id" is configured in the Personal Preference.

21

Deny External URL Access (Web Access)

If the setting is selected for a user, then the user will not be able to access WRENCH using the external URL configured in Server Config i.e., access to WRENCH will be permitted only using the internal URL for such users.

22

Deny SMS Notifications

If this setting is selected, sending SMS notifications to the user will be restricted.

23

Enable project security

If "Enable project security" option is selected, the user can view ONLY those project details associated with a specific project in which he/she is the assigned project resource. In addition to this the user will be able to view the Documents added by the user . The Project independent Documents can be viewed in Document Search.

NOTE: Show Project Independent Documents window is enabled only if "Enable Project Security" option is selected.

24

Show Personal Folders Only

If this option is selected for a user, only personal folders will be displayed in the desktop of the user.

25

Desktop Application Display

Modules that has to be available for a user in the desktop can be defined here.

Select the checkbox next to a module to make it available for a user.

26

Created By

Name of the user who created the user account is displayed here.

27

Created On

Date on which the account was created is displayed here.

NOTE : Only administrative users have the privilege to view the Advanced user details.

Defining windows authentication settings

The tedious task of maintaining multiple passwords; one for windows login and another for logging in to WRENCH is avoided by making use of this facility.

To define windows authentication settings

  1. In the User Advanced Details window click the hyperlink Windows Authentication Settings.

On clicking this hyperlink Windows Authentication List window is displayed. Existing entries are listed in the window.

Figure: Windows Authentication List

  2. In the tool bar click New to add additional windows user name and MAC ID to an existing list.

NOTE: Media Access Control address (MAC address) is a unique identifier assigned to most network adapters or network interface cards.

Windows Login Details window is displayed.

Figure: Window Login Details window

  3. Enter a Windows login name and a Domain/MAC ID.
  4. Click OK to continue.

If duplicate entries are detected system returns a warning message.

Importing user details

User details can be imported from an MS Excel file or Windows Active Directory . The MS Excel template is generated first, user details are then entered in the excel sheet and then the user list is imported.

To generate the import template

  1. In the User Details window tool bar click Export/Import >> Generate Template.

Generate Template window is displayed.

  3. In the Generate Template window you can select a template type and a location to save the template.
  4. If the option Use Basic Template is selected a template is generated with basic user details. If Use Advanced Template is selected a template is generated with advanced user details.
  5. A location for saving the template is selected by clicking the browse button next to Save in field.
  6. On clicking the browse button Save As window is displayed. Here select a location to save the excel template.
  7. Click Save As button to store the template. Generate Template window is displayed again.
  8. Click OK to continue.

Basic template is displayed as in the following figure.

After generating a template enter values for the columns in the template and save the template.

If the option Use Advanced Template is selected, the template generated will have all the advanced user details and settings in the template. Configurations can be carried out from the template.

Figure: Advanced template

To import user list from template

  1. In the User List tool bar select Import Users>>Excel.

  2. Open File window is displayed.

  3. Select the excel template and click Open to continue.

  4. User details are imported to User Master.

Importing active directory users (LDAP users) to WRENCH

Users in the active directory (LDAP) directory can be imported to WRENCH. You can import all users or selected users to WRENCH. The imported users will be added automatically to WRENCH Guest Group.

To import users

  1. In the User Master tool bar click Export / Import Users>> Import from Active Directory. Windows Active Directory Login window is displayed.

While importing active directory users you may take into consideration the following scenarios.

Importing all domain users to WRENCH

  1. For importing all domain users to WRENCH, you have to select the radial button next to Choose All.

Figure: Importing all WRENCH users

  2. Enter the Domain name, Admin User Name and Password to import the users.

Importing Specific Users to WRENCH

Selected users can be imported to WRENCH.

To import selected users

  1. Click the browse button next to Choose Specific.
  2. A new field User Login Name is displayed in the screen. Here you can enter the login name of the user whose details has to be imported.

Figure: Importing selected users

  3. Click OK to continue.

Importing users created in a specific interval

Users created between a certain time period can be imported. A date range can be selected and users created in this range can be imported.

To choose users from a date range

  1. In the Windows Active Directory Login window select the radial button next to Choose from date range.

  2. A field Created between is displayed. Here you can select the dates from a date picker.
  3. Click OK.
  4. Those users who were created between the selected dates will be imported to WRENCH.

NOTE: The fields marked with an asterisk are mandatory.

Exporting user details

Options to export user details to an MS Excel file is available here. The following options are available in the Export/Import Users menu.

Export Unformatted Excel: Click this option to export the user details to an MS Excel sheet, exported details will be unformatted.

Export Formatted Excel: Click this option to export the user details to an MS Excel sheet, exported details will be in the standard format.

Excel Bulk Update: Click this option to update the existing user master details from details in an MS Excel file. User details are exported to an MS Excel file, the details are edited and saved. User details are updated using this file.

Logging In to WRENCH using LDAP (Lightweight Directory Access Protocol) user credentials

LDAP is based on a client-server model. LDAP servers make information about people, organizations, and resources accessible to LDAP clients. The LDAP protocol defines operations that clients use to search and update the directory.

Making use of this facility user can log in to WRENCH using LDAP User Id and password. In the WRENCH Log In window user can provide the Login Name in the following formats.

username@Domain - For Example: achauhan@WRENCHad.

Domain\Username - For Example: WRENCHad\achauhan.


User Groups

Users in WRENCH can be members of multiple groups. User groups can be used to implement classification and grouping in user accounts. Once user accounts are grouped into number of user groups, implementing user security becomes easier as the security can be defined based on the user groups instead of each user account.

NOTE: "Administrators" is a default system user group which cannot be deleted.

Navigation Table

To | See
Open User Group | Opening User Group
Create a User Group | Creating a User Group
Manage User Account details | Maintaining User Account details

Opening User Group window

  1. In the WRENCH desktop click the "WRENCH" button and from the ensuing menu select Control Panel.
  2. In the Control Panel from the User Accounts group select User Group. User Group master window is displayed.

Creating a User Group

  1. Clicking "User Groups" User Groups window is displayed.

Figure: User Groups

  2. Click "New" Button on the tool bar in the "User Groups" window.

Figure: New group

  3. Enter the new Group name.
  4. The users in the specified group can be specified as Project Managers by selecting "Project Manager's Group."

Defining Calendar details

A notification calendar can be assigned to user groups. Once a notification calendar is assigned to a group notifications or escalations are sent to the group based on the calendar settings.

To define Calendar details

  1. In the user group window toolbar select "Calendar Details."

Define Notification Calendar window is displayed.

Figure: Define Notification Calendar for User Groups

  3. User may assign a notification calendar against a user group.

Assigning users to different groups

Administrator can assign users to different groups available in WRENCH.

To assign users to different groups

Figure: User Groups window

  1. In the User Groups window select the checkbox next to a group.
  2. In the tool bar select Users.
  3. User List window is displayed.

Here you can select the users for this group.

Defining Group Administrators

For each user group in WRENCH it is possible to define group administrators. The group administrators will have the permission to manage these groups.

To define group administrators

  1. In the User Group window select a group.
  2. In the window tool bar select Group Admins.

User List window is displayed.

  4. Existing group admins are displayed in the window.
  5. You can remove the existing group admins or add new group admins.

Maintaining user account details

The list of available user groups will be displayed when the user window is displayed.

  1. Select a group description from the list, modify it as required and click "Edit" button to make changes.
  2. Select a group description from the list and click "Remove" button to delete the selected user group.

NOTE : WRENCH facilitates to de-link/Remove users from user groups even if they are in a work flow stage. It is recommended that the administrator may take permission from project managers before de linking a specific user from a user group.

When a user is de-linked from a particular user group, the system checks if the user is still assigned to that user group in any open project. If the user is assigned to an open project, he/she receives a prompt alert message: “This user is participating in some projects under this group. Hence this operation is not allowed. Do you wish to see the list of projects?”. If the user's response is “Yes”, a list of projects would be displayed (containing details such as Project ID, Project Description and Project Manager)for which the user is assigned to the selected user group.


Messages to Users

Sending Messages to selected Users

A user with administrative rights can send messages to users from the Control Panel.

To configure a Message

  1. In the Control Panel under User Accounts click Message to Users.

Send Message to User window is displayed

Figure: Message to Users

  2. Messages can be send to selected users or only to the logged in users.
  3. Click the browse button to select the users to whom the messages are to be sent.
  4. Enter a subject for the message.
  5. Enter a text for the message.

If the selected users are not logged in the messages are queued and are sent when the user log in next time.


Settings

Various settings need to be defined for the procedures and processes followed by an organization during project management, scheduling, handling documents, printing, viewing documents, handling revision series, using replication methods and mails. Security Center and Performance and Utilities settings are explained in the following sections.

Navigation Table

To | See
Configure Performance and Utilities | Performance and Utilities
Configure Security Center settings | Security Center


Performance and Utilities

Various settings need to be defined for the procedures and processes followed by an organization during project management, scheduling, handling documents, printing, viewing documents, handling revision series, using replication methods and mails. Performance and Utilities module houses these general control settings. These settings are classified as indicated in the following table.

Navigation Table

To | See
Configure General system settings | General tab
Configure Document settings | Document tab
Configure WRENCH Viewer setting | Viewer tab
Configure Print options | Utilities tab
Define Mail configurations | Mail tab
Configure Views in WRENCH | Views tab
Configure Change Management settings | Change Management

The classifications CRMS,Part and Product Structure are relevant only for users who have opted for the Additional Components plug-in during installation.

To | See
Configure Completion Records Management Systems settings | CRMS
Configure Part settings | Part
Configure Product Structure settings | Product Structure

NOTE: The Configurations made in this module are applicable Organization wide. The user have the provision to personalize some of these settings in Personal preference. Such changes will have higher preference over the control panel settings.


General

In the General details tab, user can define general settings like organization name, default task genealogy, currency symbol etc. Also setting can be defined for automatic number generation, check list validation and various other options. These setting are detailed in the table following customized section.

Navigation Table

To | See
Open General details window | Opening General details window
Install WRENCH Plug in | WRENCH Plug in
Install WRENCH File Watcher | WRENCH File Watcher
Generate a Log file | Error Logging

Opening General Details window

  1. In the WRENCH desktop click the "WRENCH" button and from the ensuing menu click Control Panel.
  2. In the control panel from the settings group select Performance and Utilities. Control Settings window is displayed.

Figure: Control Settings-General

Different settings available in the General section is mentioned in the following table.

#

Field

Description

1

Currency Symbol

Specify the currency symbol to be used.

2

Number of Items in recently opened List

This control setting is to set a default value for the number of items shown under the "Open" menu list which will display the previously opened items .

3

Default Number Of Search Results

Once this option is set all the Search options will return only number of Search Results specified here.

Password Expiry Tenure

Define the password expiry period for the users. By default, the value will be 180 days and admin can change the value for this field. Password for the users will expire after number of days entered here from the date on which the password was modified.

4

Organization Name

WRENCH provides the option of giving a default Organization Name which will be displayed in the system. Click On "Configure". "Configure Your Organization Details" window is displayed.

Enter the organizational details here.

5

Organization Calendar

A calendar can be assigned for the whole organization. This calendar is meant for managing time sheet entries and notifications.

Click the browse button to select the calendar from a list.

6

Default Task Genealogy

User can set a default genealogy for task. Click the browse button to select a genealogy from a list

7

Default vendor user group

Select a default vendor user group from a drop-down list.

8

Project Security Behavior

Click the configure button to define the project security behaviour. Project Security for a user can be defined in the User Master based on this setting.

On clicking the configure button the following window is displayed.

Select one of the following options.

Enable Project Security and allow access to Project Independent Items: Select this option to enable project security and allow a user access to project independent items.

Enable Project Security and deny access to Project Independent Items: Select this option to enable project security and restrict a user from accessing Project Independent Items.

Disable Project Security: Select this option to completely restrict the user of any privileges of project security.

NOTE: Project security can be enabled in the user master only based on these settings.

9

Genealogy Views

Using this option you can configure the folder structure display label. For more information refer Genealogy Views .

10

WRENCH Plug in's

WRENCH Plug in's are additional components making it possible to interact with MS Office and AutoCad. For more information refer the section WRENCH Plug in's .

11

File Watcher

File watcher is a utility which helps in managing files in WRENCH smoothly. For more information on file watcher refer the section File Watcher .

The following options are enabled by selecting the check box next to them.

1

Auto generate WBS for Enquiry

If this option is set then the system will automatically create a WBS whenever an enquiry is created.

2

Use Automatic Numbering for MOM

If this option is selected, then while creating a MOM reference numbers are generated automatically.

3

Start workflow without scheduling

If this option is selected the system will permit you to start the workflow for an unscheduled task also.

4

"Approve by all" as default for manual sending

If this option is selected, when objects are sent using a manual workflow, it would be required that all the current stage users have to approve the object before sending it.

5

Validate workflow operations before execution

On selecting the check box next to this option before carrying out any workflow related operations system validates the operation by displaying a warning message.

6

Transmittal Coversheet to be attached to Transmittal

On selecting this option a transmittal can only be released after attaching the report.

7

Show project progress for Plan and forecast in WBS

On selecting the check box next to this option project progress for both planned dates and forecast dates are displayed.

8

Set customer weightage factor as budgeted duration in task

On selecting this option customer weightage factor defined for the task would be assigned as budgeted duration for the task.

9

Calculate Project Progress in terms of Customer Weightage Factor

If the check box next to this option is selected, then the progress percentage that is calculated in the project module as well as the WBS module will be based on Customer weightage Factor.

If this setting is disabled, then the progress percentage that is calculated in the project module as well as the WBS module will be based on Budgeted Duration.

10

Allow to 'Save and Close' the checklist with checkpoints as 'Not Applicable'

The system will allow the user to save and close, the checkpoints mentioned as 'Not Applicable' in the checklist.

11

Transmittal acknowledgement is mandatory for customer

If the check box next to this option is selected, users belonging to the customer origin need to acknowledge the transmittal when client comment is updated.

12

Allow creator and members of creator's group to view WRENCH original correspondence

Select this option if you want the creator and members of the creator group to view WRENCH original correspondence.

13

Disable Print Screen

On selecting this option a user is restricted from performing a print screen operation.

14

Enable Error Logging

On Enabling this option a log file would be created in WRENCH installed directory with a dynamically generated file name.

15

Enforce Strong password

Once you select this option while creating a password or changing a password. system ensures that the password policy defined by WRENCH is followed. Only passwords that follow the password policy is accepted by the system. If this option is selected a hyperlink Password Policy is displayed in the Set Password window. Click the hyperlink to view the password policy.

If this option is selected the hyperlink Configure will be enabled. Click on the hyperlink to configure the password policy. Password Policy window is displayed. Here you can configure the password policy in detail. After configuring the password policy, click OK.

16

Checklist cannot be completed with open checkpoint

In the case when a workflow has a Checklist attached to it then this setting will make it mandatory that the contents of the Checklist is completed before its routed to the next stage.

17

Close open Checkpoints when completing checklists

If this setting is ON and a user tires to close or complete a checklist with open checkpoints, a warning message There are open checkpoints in the checklist. Do you want to close them updating remarks as ‘NA’? will be displayed.

On clicking, ‘OK’ the remarks of all un attempted checkpoints will be as ‘N/A’, thereby attending all the checkpoints. Document can be send to the next stage.

18

Auto generate WBS for Project

If this option is set then the system will automatically create a WBS whenever a project is created.

19

Show force close entries in workflow

On selecting this option if a stage that have multiple stage resources is force closed by one of the user, the forced close users are also displayed in the workflow stage.

20

Do not allow bypassing the release stage

This setting ensures that Bypassing the release stage is not allowed.

21

Allow active user's group to view the document

Select this option if you want all the users in the group of the active user or current user to view a document.

22

Allow editing of submittals in submitted status

Selecting this option permits the user to edit submittals in submitted status.

23

Cumulative quantity can exceed task quantity

On selecting this option if the cumulative quantity exceeds task quantity system accepts it without a warning. Or else a warning message is displayed.

24

Use comma separator (,) for numeric values

On selecting this option numeric values will be separated by commas.

25

Password expiry tenure

Here you can define a time period for password expiry. By default, the value will be 180 days and admin can change the value for this field. Password for the users will expire after number of days entered here from the date on which the password was modified.

26

Allow login using email address

On selecting this option user can login to WRENCH using the email address configured in user master. In the masters, if same email address is used for multiple WRENCH users, an alert message is displayed and the operation is disallowed.

27

Allow login using mobile number

On selecting this option user can login to WRENCH using the mobile number configured in user master. In the masters, if same mobile number is used for multiple WRENCH users, an alert message is displayed and the operation is disallowed.

Genealogy View

Usually Projects, Documents and Task genealogies are displayed in the left navigation bar as folder structures. The folder structure label displays the code followed by description. The folder structure display label can be configured in accordance with the users choice.

To configure the folder structure

  1. Click the "Configure" button.

Genealogy Views window is displayed.

Figure: Genealogy View window

User can configure the genealogy views for Projects, Documents, Tasks and Parts. User can select the following folder view display label options from the drop-down list.

  1. Show Only Code-On selecting this only the genealogy code is displayed.
  2. Show Only Description-On selecting this only the genealogy description is displayed.
  3. Show Description followed by (Code)-On selecting this genealogy description and genealogy code are displayed.
  4. Show Code followed by description-On selecting this genealogy code followed by description is displayed.

In addition to the options mentioned in the preceding section, option for defining a view pattern form assembly drawings is also available. Select a choice based on your organizational requirement.

The genealogy view defined here is inherited in the genealogy selection windows also.

WRENCH Plug in

WRENCH plug-In allows MS Word, MS Excel, Microstation and Auto CAD files to be stored, opened and managed in WRENCH without leaving your familiar environment. This solves the problem of users hesitant to switch between systems.

WRENCH Plug-in permits you to

  • Login to WRENCH from the native application.
  • Check Out the drawing or document, edit the document and Check In or Replace the document.
  • Send the document to different users.

Prerequisites

Prior to installing WRENCH plug-in the following steps has to be performed.

    1. Install 'vstor40_x86.exe' available in the folder 'Pre_Plugin'.
    2. Save setup files available in 'Plug in' folder in WRENCH client folder.

Installing WRENCH Plug in

To Setup WRENCH Plug in

    1. Select Performance and Utilities in Control Panel.
    2. In General tab, click Install to start installing WRENCH Plug in into the system.

3. On starting the installation, WRENCH Plug in Wizard is displayed.

Figure: WRENCH Plug in Wizard

4. Select the Next option to continue the operation and select Cancel option to abort the operation.

5. On the ensuing WRENCH Plugin wizard window, select the checkbox against the applications for which you need to setup the WRENCH Plug in. The following options are available for selection:

  1. Microsoft Excel Add-On: On selecting this option, files that make possible WRENCH operations from an MS Excel file are installed in your system.
  2. Microsoft Word Add-On: On selecting this option, files that make possible WRENCH operations from an MS Word file are installed in your system.
  3. AutoCad Add-On: On selecting this option, files that make possible WRENCH operations from AutoCad drawings are installed in your system.
  4. Windows Right Click Add-On: On selecting this option, the WRENCH Plug in operations can be availed from right clicking MS Word, MS Excel and AutoCad application documents from windows desktop.

Figure: Selecting the Plugins

6. Select the Next option to continue to the WRENCH Plugin wizard window as displayed. On clicking Browse option, you can specify the path to which the WRENCH Plug in folder is to be installed. You can also choose whether the plug in is to be viewed by everyone who logs in to this system or only the user who installs the Plug in.

7. On selecting the Next option, Confirm Installation window is displayed.

Figure: Confirming installation

8. Select the Next option to continue installing the WRENCH Plug in. A status bar indicating the progress of installation is displayed.

Figure: Installing WRENCH Plugin

9. Once the installation is completed successfully the following window is displayed. Select Close to exit from the plug in installation wizard.

Figure: Installation complete

WRENCH File Watcher

The changes incorporated to a checked out document will be updated to the vault only if the document is checked in. Once the file watcher facility is installed, the changes incorporated to a checked out document is saved automatically. The latest changes can be viewed even if the document is not checked in.

Prerequisites

Select a local service for the Checkout folder and assign appropriate security permission.

Selecting a local service and assigning permissions

For functioning of the file watcher, a checkout folder is identified or created. Once the checkout folder is identified, you need to select the local service and assign permissions.

To select a local service

  1. Select the checkout folder and right-click.
  2. In the right-click menu, select Properties.
  3. In the Check Out properties window select Security tab.

Figure: Check Out properties window

  4. Select Advanced button. Advanced Security Settings window is displayed.
  5. In the Advanced Security Settings window, select Permissions tab and select Add button.

Figure: Advanced Security Settings window

  6. Select User, Computer or Group dialog box is displayed. Select the Advanced button.

Figure: Select User, Computer or Group dialog box

  7. In the Select User, Computer, or Group Advanced window, select Find Now. Select Local Service from the list and select Ok.

  8. Permission Entry for Checkout Path window is displayed.

Figure: Permission Entry for Checkout Path

  9. Assign permission Full Control to Local Service and click Ok.

Now you have assigned permission to the Local Service, the next step is to install the file watcher.

Installing File Watcher

  1. In the Control Panel, select Performance and Utilities.

Figure: Control Setting (General) window

  2. In the Control Settings window, an option to install File Watcher is displayed. Click the Install button next to this option.
  3. WRENCH File Watcher Setup Wizard is displayed.
  4. Click Next.

Figure: WRENCH File Watcher Setup Wizard

  5. In the ensuing wizard, you can select a directory to install WRENCH File Watcher.

Figure: Selecting Installation Folder

  6. While installing WRENCH File Watcher you can install it just for yourself, or for anyone using the computer. Select the appropriate radial button to make this selection. Once the selection is made click Next.
  7. In the ensuing wizard select Next to confirm the installation process.
  8. Installation of file watcher commences and a progress bar indicating the progress of installation is displayed. Once file watcher is installed successfully, Installation Complete Wizard is displayed. Click Close to exit the wizard.

Figure: Installation Complete wizard

You have successfully installed file watcher in your system.

Error Logging

If the option “Enable error logging” is selected in Control Panel >> Performance and Utilities >> General, a log file is created in WRENCH installed directory with a dynamically generated file name.

For Example: If the routing of a task fails, then an error log file “Log Routing"<Date & Time>.txt would be created.


Document

All the control settings that are linked to Document handling in WRENCH are defined here. Certain attributes that need to be set prior to Checklists, Transmittals, Number Generation, Revision History etc. are displayed here.

Navigation Table

To | See
Open Document settings window | Opening
Define Document settings | Defining Settings
Configure default properties for Xref | Configuration Default Properties for Xref
Configure Signature and Stamping | Configuring signature and stamping
Restrict sending file types through correspondence | Restricting file types

Opening

  1. In the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel.
  2. In the control panel from the Settings group click Performance and Utilities. Control Settings window is displayed.
  3. In the left pane click Documents.

Figure: Control Settings (Document)

Defining settings

Different document related settings can be defined here.

#

Field

Description

1

Preserve all transmittal released versions

On selecting this option entire transmittal released versions of the document is preserved and is available.

2

Use Automatic Numbering for Document

If this option is set then while adding documents to WRENCH, document numbers are generated automatically based on the numbering templates defined in the Master.

3

Copy out child files on parent check out

On selecting this option, while checking out parent file, the child files are also checked out along with this.

To define the check out path

  1. Select the corresponding checkbox.
  2. Click the corresponding hyperlink .

Common Check out path configuration window is displayed.

  1. Click in the grid to add a row for defining a common check out path as shown in the preceding figure.
  2. In the newly inserted row select the browse button to define a check out path. You can select an existing folder or create a new folder as the check out path.
  3. You can define this check out path for all the documents related to a project. Select the browse button as displayed in the following figure.

Project search window is displayed. You can select a project from a list of projects.

Allow Override a common path: If the check box corresponding to this option is selected a different check out path can be selected from the check out manager window.

  1. Click Ok to confirm the selection of the Check Out path.
  2. Click Delete to remove the currently configured check out path.

4

Manage Auto Task Linking on document addition

On selecting this option, in the document addition window of SmartProject (ATOM), list of matching tasks can be selected after clicking the option Matching Tasks.

5

Prompt to make choice while adding mail with attachments

On selecting this option, while adding mails with attachments to WRENCH you can add mails and attachments as separate documents. Once you define this setting and add a mail with an attachment the following window is displayed with different options listed.

Add only Mail: On selecting the radial button next to this option the mail is only added as a document to WRENCH

Add only Attachment as WRENCH document: On selecting this option the mail attachment is only added as a document to WRENCH.

Add Mail as WRENCH document with attachments as associated files: On selecting this option the mail is added as WRENCH document and attachment is added as associated file.

Add Mail and Attachment as separate WRENCH documents and refer each other: On selecting this option the mail and attachment are added as separate WRENCH documents. The attachment and mail will be referred to each other automatically in the document details window.

NOTE: This facility is available only when a user tries to add a mail with attachments through the Correspondence tab of a Project, Correspondence tab of Task properties, Add Document window for a single document and also while drag and drop from MS Outlook into Explorer pane of the leaf level document genealogy.

6

Permanently remove physical files while deleting documents

On selecting this option when a document is deleted from WRENCH, the physical file is also deleted.

7

Allow Published Old Version Documents through Transmittal

This option allow the user to send published old version of the documents attached through transmittals.

8

Use task genealogy as matching option for auto linking

On selecting this option the property task genealogy will be used as matching option when auto linking of tasks is carried out.

9

Delete Local copy on Addition

On enabling this local copy of the file is deleted on Addition.

10

Increment Sheet Number while adding documents with existing document number

WRENCH does not allow duplication of document number while adding documents. If this option is selected, when you add a document with an existing document number, sheet number is incremented which results in document being added with a different sheet number.

11

Retain customer workspace details of previous revision until next transmittal release

After selecting this setting, consider you are updating the approval status code. When you update the approval status code, browse the client comments and the select the check box next to Revision Required, the comment file is attached to the next version of the document also.

12

Enable Publishing

If this option is selected when a parent is viewed, it always gets viewed with latest published version of child Xrefs

13

Delete local copy on Replace/check in/Undo Checkout (Document Replaced/ checked in as folders will not be deleted)”

If the checkbox next to this setting is selected, the local copy of the document (except document as folders) that is replaced, checked in and checked out is aborted using Undo option, file will be deleted as soon as the respective operation is completed. This is applicable for single and multiple documents.

14

Allow General Transmittal to take LCS of all types irrespective of the status of the documents

This option allow the user to set general transmittal to take LCS of all types irrespective of the status of the documents.

15

Maintain Referenced documents with latest version of the attached revision

On selecting this option latest version of the documents will be obtained automatically while downloading and viewing.

16

Allow Project wise Revision Number Mapping

This setting is selected by default. You can define a default document revision series to alter this setting

17

Reset Xref Path

Resets all the child X-ref paths

18

Checklist mandatory

In the case when a workflow has a Checklist attached to it then this setting will make it mandatory that the contents of the Checklist is completed before it is routed to the next stage. It has to be noted that whether the 'Checklist Mandatory' option is enabled or disabled, a workflow would be able to proceed ONLY if the checklist defined for each specific stage in the workflow is closed and saved. Please refer Checklist in the Masters Module for more information.

19

Allow Duplicate file names

While adding document to WRENCH Drive a combination of Document Number + Sheet Number + File Name is followed by default. In case you want to add the document just with the file name it is possible by selecting this option.

20

Check Out files to source path

On selecting this option, when files are checked out they are checked out the source path of the document.

21

Show document's watermarks on specter files

On selecting this option watermarks inserted in the document will also be displayed in specter files.

22

Use upload manager while adding document

On enabling this option the upload manager is displayed while adding document

23

Limit document visibility to 'Create By Users Origin.'

When multiple stakeholder's work using a single common system, it is necessary that they can view or use only documents that are meant for them unless they are permitted to do it.

Once this setting is selected, the system will only list the documents that have been created by users belonging to the current user’s origin in Explorer, Smart Folder and Document Search. Documents of other origins will be visible to the current user only if the document has been shared with the current user.

Once a document is shared with the current user’s origin, it will always be listed in Explorer, Smart Folder and Document Search even if the latest version has not been shared. User can access the shared version from the revision history.

Users belonging to the Internal origin can only view the documents as per security settings.

Document Sharing

Once this setting is selected, documents can be shared using the following methods.

Transmittal: While releasing a transmittal user who can view the document can be mentioned. Once the transmittal is released the document will be available in the Explorer, Smart folder and Document Search to all the users who have the same origin as the users mentioned in the ‘To’ and ‘Cc’ of the transmittal. Once the document version is shared among new organizations, the users of those organization’s may further share it with other organizations.

Workflow: A document can be shared with users of other origin using the following workflow operations.

  • Send
  • Bypass
  • Redirect
  • Forward
  • Reassign

Initially the user belonging to the ‘Created By’ user’s origin can use any of the workflow operations mentioned above to send a documents to others.

Once the document is shared, the document will be listed in Explorer, Smart folder and Document Search to all the users who have the same origin as the users mentioned in the workflow operation (‘To’ and ‘Cc’)

Create Link: User belonging to the ‘Created By’ user’s origin can create a hyperlink to the document. In the Create Link UI the user can mention the users of other organization with whom he intends to share the document.

Send Mail: Initially the user that belongs to the ‘Created By’ user’s origin can ‘Send Mail’ for the document. In the Send Mail window, the user can mention the users of other organization with whom he intends to share the document.

NOTE: Once a document is shared it will be listed in explorer, smart folder and document search of the current users organisation. User is restricted from carrying out majority of document operations of a document is not shared.

24

Files Upload Chunk size in KB

This option is used when files are uploaded asynchronously. The Administrator may reduce/increase File Upload Chunk Size according to the bandwidth. Asynchronous File upload is always slower than Synchronous connection so when the bandwidth is better or if the user is on high speed LAN change back to Synchronous setting.

25

Configure Signature and Stamping

Click the configure button to define settings for stamping and signature. For more information refer Configuring Signature and Stamping .

26

Configure the default properties for external references

Click Configure button to define default properties for external references.

27

Click here to process pending replication requests

Click Replicate button and Pending Replication Requests window is displayed. Here all the pending replication requests are displayed. You can select the files and replicate it by clicking Replicate Selected Files button.

28

Default Correspondence genealogy

If you wish to add a correspondence document in WRENCH, specify the default correspondence genealogy for the document here

29

Copy out child files on parent check out

If this option is selected on checking out the parent document, the child files are copied out to a specific location.

30

Default number generation for correspondence

This option is set when correspondence documents are added in the Project module. Before adding a correspondence document in the project module, the default number generation template specified here will be taken by default.

31

Default Document Revision Series

The Revision series set here will be selected as the default revision series while adding a document. The revision series specified in the genealogy will have precedence over this.

32

Default correspondence genealogy

Click the browse button to select a correspondence genealogy for the organization.

33

Default client comment genealogy

Click the browse button to select a genealogy where all the comment files will be added.

34

Default squad check comment genealogy

Click the browse button to select a genealogy where all the squad check comments files will be added.

Configuring signature and stamping

Pre-configured signatures such as your name and organization name can be inserted while sending document or drawings out of the office. Settings related to stamping and signature can be configured. Document attributes such as client approval codes, dates, approval authority name etc… can be inserted with the stamp. For this different setting has to be configured. Based on these configurations stamps are inserted in the document.

To configure stamping and signature

  1. In the Performance and Utilities>>Document window click the browse button next to Configure Signature and Stamping.

Stamp Configuration window is displayed.

  2. In the Stamp Configuration window select New.

New Stamp window is displayed.

Figure: New Stamp window

Different elements in the New Stamp window and the settings that can be defined here are mentioned in the following table.

#

Item

Description

1

Name

Enter a name for your stamp or signature.

2

Type

Select Stamp or Signature from a drop-down list.

3

Image

Click the browse button to select an image for the stamp. A preview of the selected image will be displayed.

4

Font

Different attributes can be defined for the text that will be mapped into the stamp. The following properties can be defined here.

  • Font Size
  • Font Type
  • Font Style
  • Font Colour

5

Password Required

Select this option in case inserting of your signature with the stamp has to be regulated using password. A password can be defined from your Personal Preferences. When you insert the stamp system asks you to enter your password. In case the password is reset by the administrator from the User Master, your signature will not be inserted with the stamp.

6

Date Format

Select a date format from the drop-down list. Dates displayed in the stamp will follow the selected date format.

7

Stamp Association Setting

Here you can define different association types for the stamp. For an association type different properties related to the association type can also be selected. The following association types are available in the list.

  • Approval Status Code
  • Genealogy
  • Internal Status Code
  • Project
  • User Group
  • Workflow

Select the Association Type and click the browse button to select different properties related to the Association type.

For Example: After selecting the association type User Group, when the browse button is clicked, different user groups are displayed. You can select the user groups for which this stamp should be available.

Once the association setting is defined, when you insert a stamp on the document only stamp that satisfies the association settings are displayed.

For Example: For a stamp if Approval Status Code, Genealogy and User Group are selected as association types and different properties are selected for an association type; when you insert a stamp, if the document selected satisfies the properties of the association settings then only the stamp configured for this settings is displayed.

  3. Once the settings are defined click OK to continue.

Once the settings are defined next step is to define attributes for the stamp.

To define attributes for the stamp

  1. In the Stamping Configuration window select the stamp you have created.

Figure: Stamping Configuration window

  2. Click the + button to add an attribute. A new attribute column is inserted.
  3. Select an attribute from a drop-down list below the column Attribute.
  4. Once an attribute is selected you can fix a position in the stamp where the attribute will be displayed.
  5. To fix a position in the stamp, in the preview of the stamp image, place the pointer at the position where you want the attribute to be displayed.
  6. After selecting the correct position click the mouse button to make the selection.

In this way different attributes that has to appear in the stamp can be selected as displayed in the following figure.

Figure: Select attributes and their position in the stamp

Processing pending replication requests

  1. Click the Replicate button to process the pending replication requests.

Pending Replication Requests window is displayed.

Figure: Pending Replication Requests window

NOTE: Press CTRL+SHIFT to make a selection and CTRL A to select the entire list.

If any replication requests are pending, entire pending requests are displayed in the Pending Replication Requests window.

  1. Select the files to be replicated and click Replicate Selected Files .
  2. The selected files are replicated. The progress of replication is indicated in the window and is dynamically indicated.

Figure: Replication Status indicator

Different statuses are displayed

  • When replication process has not yet started.
  • When replication process is in progress.
  • When replication is completed.
  • When replication is failed.

Once the replication process is completed a message indicating the same is displayed. If a failure occurs during the replication message a warning message is displayed indicating the same. The details of the errors are displayed in the error details column.

The error messages can be exported to an MS Excel file.

Configure the default properties for Autocad External References

  1. Click "Configure" button to configure defaults for Document links .
  2. You can click the ellipse to select the Document Genealogy. This will be the default genealogy for all xrefs with one parent child link only, ie parent->child will be saved in WRENCH even if the child xrefs do not exist. Xrefs with more child drawing in more than one level will not be supported if the child drawings are not already saved into WRENCH ,ie, the user will have to save the child xrefs into WRENCH before saving the drawing.
  3. Select the Sheet Size for all documents in this Genealogy.
  4. Editing may be done by clicking "Remove Default" button.
  5. Click " Ok" to Save.

Caution:

When “Enable Publishing” is configured

There are a few possible scenarios, which may result in deviant behavior of the system when “Enable publishing” is configured. Hence this facility needs to be planned with care. Please consider the following discussions to ensure that the scenarios are perceived appropriately.

1) Published Versions not being available

It is possible in WRENCH to set an upper limit of version numbers maintained online. As Document versions exceeds this limit, older versions will be automatically removed by the system to maintain the limit. Consider that a Document has its latest version approved and is referred (XREF) by another Document. If the Document gets edited a number of times, resulting a large number of unpublished versions, there is a possibility that the last “Published” version falling outside the online version limit and hence getting removed. In such scenarios, the Document will not have any published versions. If a parent Document, which is referring this Document, is viewed, system will fail to fetch the last published version of the Document (as it has been removed) and hence it will not be possible to view the parent Document. However, this problem will not occur when all versions of all Documents are preserved or the online version limit is appropriately high.

2) Older versions of Documents being Referred for Construction / Manufacturing

After selecting “Enable publishing” , when Documents having referred Documents (XREF) are viewed, the last published version of the referred Document will be displayed with the parent –not the latest version of the referred Document. Hence if not used with care, it is possible to release such old version Documents for Construction / Manufacturing. However, this is a configuration management scenario and what is important to counter such setbacks is to follow well defined Document release procedures with adequate reviews.

Restricting file types

When a file type is blocked or restricted from attaching to WRENCH. in scenarios like sending a correspondence or adding attachments to checklists, attaching of restricted files fails. But these additional attachments may be important for that correspondence and are required to be attached.

To restrict file types for modules

  1. In the Control Panel under Documents click the hyperlink Restricted File Types.

File Restrictions window is displayed.

In the file restrictions window, in addition to the earlier options a new option Customise for Modules will be available.

On clicking Customise for Modules, the following window is displayed.

Figure: Customise for Modules window

Elements in the window are explained in the following table.

#

Property

Description

1

Module

Different available modules will be listed in a drop-down list. By default, module Document will be selected. If the module selected is document or correspondence, genealogy structure is displayed.

2

Genealogy

Available genealogies will be listed. Select a genealogy. The specified file restrictions will be applied only to the selected genealogy.

3

Checklist

If the module selected is checklist, different file types that can be restricted from adding to a checkilst is displayed.

Attachments can be added to active checkpoints. User can add various types of files as attachment which are allowed by the administrator as per configurations in control panel.

If user try to attach any files which are restricted against the module “Checklist”, warning message is displayed, and the operation is canceled.

4

Attachment Types

If the module selected is document, different attachment types will be listed.

Select single or multiple attachment types. File type restriction can be defined for each attachment type. File type restriction will be applied only to the selected genealogy

5

Restriction/File Type/Description

All the file formats configured in control panel will be listed here. Description of each file format is also displayed. Select the checkbox corresponding to a file format to restrict the file type.

6

Inherit from Parent

Click this button to copy the settings for file type restrictions from the immediate parent level to the current level.

7

Extend to Child

Select the checkbox and click Apply to extend the current restrictions to its all child levels.

8

Apply these settings to all<<Module>>

After selecting the checkbox on clicking Apply the current restrictions is extended to all levels with similar names of the current genealogy level.
  2. Click Apply to save the settings without exiting from the window.
  3. Click OK to save the settings and exit from the window.

In the desktop version, when a user adds a file with the restricted file format into the genealogy selected previously, file addition to the genealogy is restricted and a warning message is displayed.

It is possible to copy the applied settings to a different attachment type.

To copy settings

  1. Select the attachment type from which the settings are to be copied and right-click.
  2. In the right-click menu click Copy Settings To.

Attachment Types window is displayed.

  3. In the window select the checkbox next to the attachment types to which settings are to be copied and click Apply.
  4. Changes are applied successfully message is displayed. Click OK to continue.


Viewer

Viewer which is to be used to view the files stored in WRENCH and the watermarks to be used for objects in the entire life cycle may be specified here.

Navigation Table

To | See
Open Viewer settings window | Opening Viewer settings window
Customize Viewer settings | Customizing
Preset default scale factor for Autovue | Default scale factor for Autovue
Configure Pen settings | Configuring Pen settings
Set Default Print properties | Setting default print properties

Opening viewer settings window

  1. In the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel.
  2. In the control panel from the Settings group select Performance and Utilities. Control Settings window is displayed.
  3. In the left pane select Viewer.

Figure: Control Settings (Viewer)

Defining settings

Different viewer related settings can be defined here.

#

Field

Description

1

Viewer Management status

Select the viewer that has to be used to view the files stored in WRENCH.

  1. Use only WRENCH viewer- If this option is selected, only WRENCH viewer could be used to view all the files stored in WRENCH vault. Native application cannot be used.
  2. Use WRENCH viewer if available- If this option is selected, WRENCH Viewer will be utilised to view files in WRENCH vault if the viewer is available. If not, the native application will be used.
  3. Do not use WRENCH viewer: If this option is selected, the native application will be used to view all the files in WRENCH vault irrespective of the availability of WRENCH viewer.
  4. Use Viewer only if native application is not available : If the option “Use Viewer only if native application is not available", files can be viewed using the native application. Or else, user may view it in the WRENCH Viewer.

2

Default Viewer Background Color

The viewer background can be set here.

3

Watermark

Printing documents, especially engineering design is generally discouraged in modern engineering projects, primarily due to environmental and then due to security concerns as paper documents could easily be accessed by unauthorized people.

Due to these concerns, it is recommended to insert the name of the person printing the document or drawing as watermark in the generated printout, which will impose responsibility and discipline in handling printouts. Watermarks can be configured for different document statuses.

To configure a watermark

  1. Click the Configure button.

Watermark window is displayed.

Figure: Watermark window

Here different options to insert a customised watermark is available. Enter values for the following properties.

  1. Document Status: Select the status of the document for which a watermark is to be inserted. This can be selected from a drop-down list.

  2. Font name: Click the browse button to select a font name.
  3. Font size: Enter a font size for the watermark.
  4. Water mark font style: Font style is defined as normal by the system. This cannot be changed.
  5. Font colour: Select a colour for the font.
  6. Text: Text of the watermark can be inserted here from a predefined list of properties.
  7. Properties: Select the property that is to be inserted as watermark. After selecting the property click Insert button. The selected property will be inserted in the Text field.

Position: Select the position where the watermark is to be inserted.

  1. After making the necessary configuration click Save to store changes.

Depending on the configuration done for watermark, the watermark will be inserted on the document while viewing it on a viewer.

Watermark will be displayed:

  • While viewing the document in the PDF viewer and Rasterex viewer.
  • While viewing, printing the document from the viewer and saving or downloading the document from the viewer

Watermark will not be available while opening the document for commenting in the viewer.

18

Stamp Details

Configuration for stamping can be defined here. By defining X and Y co-ordinates exact location where th stamp will be displayed in the viewer can be defined.

19

Electronic Signature Configuration

Different configurations for viewing electronic signature in the viewer can be defined. Font Size, Font Colour and Font Style can be configured here.

20

Printer Settings

Different configurations like Scaling Factor and defaults for the printer can be defined here. For more information refer section Configure Printer Settings .

21

Pen Settings

Different standards for printing AutoCad drawings may be defined here. A detailed explanation is provided in the section Configuring Pen Settings .

22

Preview header settings

Here settings for header and footer of the stamp can be defined.

Drag the slider to define the alignment for the header and footer.

In addition the following configurations can also be carried out.

Header Text: Click the button to define settings for the header text. On clicking the button the Preview Header window is displayed.

Select a property from the list and click Insert. The selected property will be displayed as the header.

Footer Text: Click the button to define settings for the footer text. On clicking the button the Preview Footer window is displayed.

Select a property from the list and click Insert. The selected property will be displayed as the header.

Configuring Printer Settings

Different settings for proper printing of your documents or drawings can be defined here.

To configure printer settings

  1. Click the Configure button next to Printer Settings.

Viewer Defaults window is displayed

Figure: Viewer defaults window

In the window enter values for the following fields.

# | Item | Description
1 | Printing Units | Select a unit from the drop-down list. Units available are pixels, inches and millimeters
2 | Page Area | You can select the page area as Displayed or Extended
3 | Document Pages | Here option to print the current or all pages of the document can be selected
4 | Force all colours to black | Select the checkbox next to this option to generate the print output in black
5 | Orientation | You can define the orientation as Landscape or Portrait.

Configuring Pen Settings

To configure pen settings

  1. Click "Configure" button against Pen settings.
  2. "Configure Pen Settings" window is displayed.
  3. Select the existing pen settings from a drop-down list.
  4. Define a thickness for a plot.
  5. Select a measurement unit from a drop-down list.

Figure: Configure Pen Settings window

  6. To store a newly configured setting for future use click "Save As."
  7. Enter a name in the "Save As" property box.
  8. Click "Ok" to confirm the operation. The saved settings will now be available in the drop-down list.

Default scale factor for Autovue

WRENCH facilitates to pre-set a default scale factor for all AutoCAD files for printing from Autovue. In most cases, when design documents created in AutoCAD are printed using AutoVue, there will be noticeable difference in the output when compared to the output resultant from AutoCAD (under the same printer settings). However, if a certain scale factor is specified while printing from AutoVue, the printed output would be the same as that from AutoCAD. Subsequently, a facility has been provided in WRENCH to pre-set a scale factor as default for all AutoCAD files for printing from AutoVue.

WRENCH defines certain global printing defaults for convenience. These print options i.e; printer unit, font, color, page area, document pages, number of copies etc are set as default for all page sizes and file types.

Specifying scale factor for printing documents using Autovue

  1. Click Configure button next to Printer settings option so as to configure the scaling factor as well as the printer defaults.
  2. Viewer Defaults window is displayed.

Figure: Viewer Defaults

Define the sheet based scale factors for the specific document. The scale factor could be set to different defaults according to the sheet size. You may define scale factors for each sheet size.

  1. Select the required sheet size in the scale factors grid.
  2. Click the "Browse Button". The "Scale factor" window is displayed.

Figure: Scale Factor dialog box

  3. Add, remove or save the desired scale factors here.

Setting default print properties

Figure: Configuring Sheet Size printer mapping

Click "Configure Sheet size Printer" button to avail the Sheet Size Printer Map dialog box. Here, the user may specify appropriate sheet sizes for every printer. However, the user has the privilege to over ride these settings from Personal Preferences.

  1. Click the browse button against “Sheet Size Printer Map” in “Viewer Defaults” interface.
  2. Select the required sheet size.
  3. Browse and select the appropriate printer for the specified sheet size.


Utilities

Options that are related to Printer settings, Time Sheet setting and some System settings are defined here.

Navigation Table

To | See
Open Utilities details window | Opening Utilities window
Define settings | Defining Settings

Opening Utilities window

  1. In the WRENCH desktop click the "WRENCH" button and in the ensuing menu select Control Panel.
  2. In the control panel from the Settings group select Performance and Utilities. Control Settings window is displayed.
  3. In the left pane select Utilities.

Figure: Control Settings - Utilities

Defining Settings

#

Field

Description

1

Delete Process Print Requests

Select the check box if Processed Print Requests has to be deleted.

2

Show only duration in Time Sheet

On selecting the check box next to this option in the time sheet entry only the field duration will be displayed.

3

Print Request Default purpose

A purpose for printing can be selected from the drop-down list. The Print Purpose is defined in the Masters.

4

Print Request Default copies

Specify the default number of copies to be printed for every print request.

5

Print Request Maximum Copies

Specify the maximum number of copies to be printed.

6

Print Request Maximum Open Requests

Specify the default number of the maximum number of open requests in the queue .

7

Time sheet settings

Different settings related to time sheet entry can be defined here. Details on timesheet settings are available in the section Time Sheet settings.

8

System Maintenance

Options meant for maintaining the system can be managed here. The following operation can be performed.

Disallow login: Using this option Admin group users can terminate all user sessions and shutdown the server. This option is available for all ADMIN group users.

On clicking this option the following window is displayed.

Click Yes to terminate all active user and shutdown the server.

9

User Registration

In scenarios like bidding by different vendors in a project, the RFI (Request for Information) documents are to be sent to a number of potential vendors for receiving quotations. Such vendors may not have user accounts in WRENCH. Details about the vendor such as their organisation name, communication address etc. are ideally furnished by vendors themselves. Also, it is not appropriate to create login credentials and send to users by email. Hence a facility for potential users to register themselves is introduced in WRENCH for WEB.

For this facility to be available, certain settings are to be defined in WRENCH Enterprise server.

User group for new self-registering vendors: A user group can be configured in WRENCH Enterprise server and all vendors or bidders who register in WRENCH using the facility are saved under this group.

To select user groups

  1. Click the browse button.

On clicking the browse button, user selection window is displayed.

  2. Select the user group from the list of users.

All the vendors registering will be added under the selected group.

Time sheet Settings

Different settings related to time sheet management are explained in the following section.

Figure: Time sheet settings

#

Item

Description

1

Time sheet submission mode

Select a time sheet submission mode from a drop-down list.

When 'Time sheet submission mode' selected is 'None', no submission method is chosen.

When 'Time sheet submission mode' selected Daily, daily submission of time sheet is enabled.

When 'Time sheet submission mode' selected is 'Weekly', weekly submission of time sheet is enabled.

2

Daily Lock for Time Sheet submission

When the ‘Submission mode’ is set to ‘Daily’, and the setting is enabled, time logs cannot be submitted unless the previous day’s submission is completed. Similarly, when ‘Submission mode’ is set to ‘Weekly, and the setting is enabled, time logs cannot be submitted unless the previous week’s submission is completed.

3

Implement hierarchical time sheet approval

There can be multiple hierarchical Time sheet approvers or a single approver. A hierarchy can be created in the approval process after Time sheet approvers are defined in the masters. A team member can submit the Time sheet to their Time sheet approver. The first-level Time sheet Approver can seek the approval of their Time sheet Approver, and so on, until there is a final approver and the Time sheet is finally approved.

Select the check box to implement hierarchical time sheet approval

4

Enable Time sheet submission locking

Select a mode for locking the time sheet entries. The different modes available in the drop-down list are None, Daily, Weekly and Monthly. On selecting a mode other than None, an option to specify the date on which the time sheet locking mode is active will be displayed. Select a date from the date picker.

When the ‘Submission mode’ is set to ‘Daily’, and ‘Locking’ is enabled, time logs cannot be submitted unless the previous day’s submission is completed. Similarly, when ‘Submission mode’ is set to ‘Weekly, and ‘Locking’ is enabled, time logs cannot be submitted unless the previous week’s submission is completed.

5

Block creation/editing of previous time logs beyond << >> days

Here a specified time after which creating and editing of previous time logs is to be blocked can be defined.

6

Block creation/editing of future time logs beyond << >> days

Here a specified time before which creating and editing of future time logs is to be blocked can be defined.

7

Time sheet submission / approval

Here settings related to time sheet submission and approval can be defined. The following options are available.

  • Automatic Submission on creation: Select the checkbox next to this option if you want the time sheet entry to be submitted automatically once it is created.
  • Automatic Approval on submission: Select the checkbox next to this option if you want the time sheet entry to be approved automatically once it is submitted.

8

Time Sheet customization view

A view can be created defining the properties that has to be displayed in the time sheet entry window.

To create a customized view

  1. Click the browse button next to Time Sheet Customization View.

Customized Views window is displayed.

Figure: Customised Views window

  2. In the toolbar click New.

Customise Time sheet window is displayed.

Figure: Customise Time sheet window

  3. Enter a View Name.
  4. Select the checkbox next to the time sheet property that has to be available in the time sheet window.
  5. Click OK to continue.

The view created is displayed in the Customised Views window.

9

Show only duration in time sheet

Select the check box next to this option if only duration has to be displayed in the time sheet instead of Start time and End time.

10

Enforce time logs for holidays

In the weekly mode of time sheet submission, a user has to mandatorily fill the time logs for holidays. If the check box next to option "Enforce time logs for holidays" is selected, time logs for non-working days have to be entered mandatorily. On clearing this option it is possible to submit time logs of a week without entering logs for the non-working days of that week.

10

Restrict time logs more than calendar hours

If this option is selected, time log entries exceeding the calendar hours is restricted.

11

Restrict time logs less than calendar hours

If this option is selected, time log entries less than calendar hours is restricted.

12

Allow user to change discipline

On selecting this option, users making the timesheet entry will be able to change their discipline.

13

Project/Enquiry is mandatory for time logs

On selecting this option, time log entry will be permitted only for a Project or Enquiry related activity.

14

Disallow time log on holidays

Select this option to restrict entry of time log on holidays.

If this option is selected, and user enters the timelog for a holiday, a warning message Timelogs cannot be entered for holidays will pop-up and timelog entry operation is aborted.

When user tries to create new time logs using the generated excel in which time logs for holidays are present, during import operation, user is notified. When user tries to update the exported time logs in which time logs for holidays are present, during import operation, user will be notified.

15

Enforce daily work hour limit for weekly submission

The setting is enabled only if the submission mode is weekly.

There are organizations where both Daily and Weekly work hour restrictions are enforced. If this setting is selected effective workhour against each day of the week is validated against the setting ‘Restrict Time logs more than Calendar Hours’ and ‘Restrict Time logs less than Calendar Hours’.


Notifications

All the options that are related to mails in WRENCH is configured in this module.

Navigation Table

To | See
Open Mail settings window | Opening mail control settings window
Customize Mail settings | Customizing

Opening mail control settings window

  1. In the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel.
  2. In the control panel from the Settings group click Performance and Utilities. Control Settings window is displayed.
  1. In the left pane click Notifications.

Figure: Control Settings (Mail)

Defining mail settings

Following mail related settings can be defined here.

#

Field

Description

1

Internal Mails

External mails

SMS

Configure

Select the checkbox to allow external mail, internal mail and SMS alerts to all WRENCH users.

  1. Click Configure button.

Notification Settings window is displayed.

  2. Select a Module name from the drop-down list.
  3. Select the mail that is to be generated for an action.

Prefix for mails: In the column next to Prefix for mails enter the prefix for mails. If a prefix is not required, leave the field as blank. Prefix defined here will not be applicable for Transmittal mails. Another option Apply Prefix is displayed against each Action. If the checkbox under this column is not selected, mails will be sent without a prefix.

Figure: Notification Settings window

  4. Click Apply to save changes.
  5. Click OK to close the window.

2

Do not process external notification mails older than " " days.

Here you can enter the number of days after which an external mail is not be processed.

3

Show Add Document UI when adding mails from MS Outlook.

On selecting the check box next to this option when mails from MS Outlook are added to WRENCH, Add Document window is displayed for adding the mails to WRENCH.

4

Configure hyperlink in default workflow mail notification (Applicable only in web).

In the web version of WRENCH default workflow mail notification is sent when operations Send, Bypass, Forward and Redirect is carried out. External and Internal document hyperlinks are send with the mail. Here it is possible to configure type of link for these operations.

To define hyperlink setting

  1. Click the Configure button next to this option.

Hyperlink Settings window is displayed. Here against an operation type you can select they type of link.

  2. Click Apply to save selection.
  3. Click OK to continue.

5

Delete mails which are older than

A time period may be defined for automatically deleting mails. Sent and Received mails in the user's Inbox that exceeds the defined time period are moved to the deleted folder.

Extend to all users : Select the Check box to extend the delete mail option to all users.

6

Send Mail through MS Outlook

If transmittal is to be send through Outlook then user may set this option. User can select between two options.

  • Send immediately
  • Send later: If this option is selected the mails will be saved in the Drafts folder.

7

Set File Name as Document Number in Mail

On selecting this option, when sending transmittals the existing document number of the document being transmitted is replaced with the file name of the document. The document number of the document added in WRENCH is not affected.

Enabling External Mails while Reassigning users

  1. In order to enable settings for sending mails to newly assigned users, click "Configure External Mails."
  2. Mail Settings window is displayed.
  3. Select a Module Name from the drop down list.
  4. On Selecting Workflow a list of actions are displayed in the grid.
  5. Enable Mail option corresponding to action "Reassign User."
  6. On enabling this a new mail will be sent to the newly reassigned user.
  7. Click "Apply" button to save the Control Settings.


Views

Views for the Modules, Workspace and Document Search are defined here. Views are specified depending on the content required to be displayed in a particular project. Views may be created and saved depending on the context of usage and these views can be set in this module by the administrator.

Navigation Table

To | See
Open View settings window | Opening View settings window
Create a workspace view | Creating a Workspace View
Define default view for Document Search | Document Search View
Define default Explorer views | Explorer View

Opening View settings window

  1. In the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel.
  2. In the control panel from the Settings group click Performance and Utilities. Control Settings window is displayed.
  3. In the left pane click Views.

Figure: Control Panel - Views

Following views can be configured from this window.

Creating a Workspace view

In the Views module of Control settings the administrator can set the Workspace views of Tasks, Documents, CR,CN, MOM and My Documents. The WBS view, Document Search View and Explorer view can also be set here..

Module Views

Here the user can set a default view for WBS, MOM and the Document Search results. All the Views saved as “Public Views” will be available in the Drop Down list, from which the user can select the required view.

Explorer View

The user can set default Explorer views for the following modules from here.

  • Projects
  • WBS
  • Documents
  • Change Request
  • Change Note
  • Document
  • Correspondence
  • Part
  • Product Structure

Select the required views corresponding to each module from a drop-down list. The views saved by users as “ Public Views” will be available in the Drop down list from where the user can select the required view.

Users can set Document Search View and Explorer view individually using Personal preference . For more information on personal preferences refer WRENCH User's Manual.


Change Management

Change management is a systematic procedure charted for incorporating changes to Documents attached to a completed Task. WRENCH facilitates Change management either by initiating a process to revise the entire document in the case of very relevant changes. In some cases WRENCH incorporates this feature to add a note to the completed Task through Document Change Note where there is no change in the status of the Task.

Opening change management settings window

  1. In the WRENCH desktop click the "WRENCH" button and in the ensuing menu click Control Panel.
  2. In the control panel from the Settings group click Performance and Utilities. Control Settings window is displayed.
  3. In the left pane click Change Management.

Figure: Control Settings (CR)

  4. Auto number Generation option can be checked if the CR reference Number need to be automatically generated.
  5. If the Preset Sending option is selected user has the option of defining if the Change request has to be sent through a Pre-defined Work flow, Manual workflow or through a board.

Customizing

#

Field

Description

1

Auto Number Generation

On selecting this option CR number is generated automatically.

2

Preset Sending

On selecting this option three methods of sending are enabled. They are

  • Work flow Sending:On selecting this option when the CR is submitted it will be sent through a work flow. The other two options are disabled.
  • Manual Sending: On selecting this option the submitted CR is sent manually to the next stage user. The other two options are disabled.
  • Board Sending: On selecting this option the submitted CR is sent through a pre-defined board. The other options are disabled.

3

Approve CR without submission

On selecting this option a Change Request which is not submitted can be approved.

4

Revise related objects on approving CR

User can select the following options from a drop-down list

Yes: On selecting this option, on approval of a CR, objects linked to the CR are revised.

No: On selecting this option, on approval of a CR, objects linked to the CR are not revised.

Always Ask: On selecting this option a message "Do you want to revise the <<Object>>. Yes or No" is displayed. On selecting "Yes" the object is revised and the CR is approved. On selecting "No" the object is not revised but the CR is approved.

These settings are not applicable if a fast track revision is performed on the object.

5

Change Note Creation Setting

Here the user can enable automatic creation of a CN when a Change Request is approved. User can also define if a Change Note is created for each Change Request or one Change Note is created for each object in an approved CR.

6

Attachment mandatory for Change Note submission

If this option is selected an attachment is to be added to the CN before submission.

7

Change Note Release Settings

Here settings can be assigned so that a user is alerted to release a CN before the object gets released. Settings can be also assigned for automatically releasing CN along with object release and alerting the user to release a CN after an object is released.

8

Change Request Customization view

A view can be created and saved for the change request window. This view can be set as the default view.

To create a view

  1. Click the browse button next to Change Request Customisation View.

Customised Views window is displayed

  2. In the tool bar select New. Property selection window is displayed.

Figure: Creating Change Request view

  3. Select the checkbox next to the properties that has to be displayed in the window.
  4. Select the fields that are mandatory. Once a property is marked as mandatory, while creating a Change Request, it is possible to proceed only after entering the mandatory values.
  5. Enter a name for the view.
  6. Click OK to continue.

A new view is created successfully.


CRMS

Completion Records Management System (CRMS) Module is for creating, tracking the plan and providing a centralized location for retrieval and storage of all construction, pre-commissioning and commissioning relevant documentation. CRMS module will be available as an optional component during WRENCH Installation.

Opening CRMS settings window

  1. From the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel
  2. On the control panel from the Settings group select Performance and Utilities. Control Settings window is displayed.
  3. On the left pane select CRMS.

Default genealogy for records can be specified in " Default Genealogy for Records" and the Default Numbering template to be used for the records will be specified in " Default number Generation for CRMS". These settings would be the default settings while "Adding/ Editing Records" in Link Master. Both the Genealogy and the "Numbering template" can be override at the "Item classification Characteristics link master". (If the Genealogy and the Numbering Template is not overridden at the Link Master, the Genealogy and the Numbering Template specified at the control settings(CRMS) window will be the default genealogy and Numbering Template for all the records linked to the particular classification ). Also both Genealogy and Numbering template for each classification can be edited and overridden at the " CRMS Module" .


Part

If Product Module plug-in has been opted for during installation of WRENCH Enterprise then this option will be available in the Performance and Utilities.

The Administrator may define the settings to define the revision series of part and set the document numbering template of documents linked to parts. Option to set a criteria in which document release is linked to the part release and if the part has to be automatically revised on BOM revision can be set here.

Opening Part settings window

  1. In the WRENCH desktop click the "WRENCH" button and in the ensuing menu click Control Panel.
  2. Click Performance and Utilities. Control Settings window is displayed.
  3. In the left pane select Part.

Figure: Control Settings (Part)

  • Default Part Revision Series:The user may specify a Default Part revision series here .
  • Auto Number Generation: Part Number will be automatically generated if this option is selected. You may define numbering template for part module in the Number Generation module.
  • Release Part on Document Release: When a document linked to a part is released then automatically the part is released if this option is selected.
  • Revise Part on BOM Revision: When a BOM gets revised then its "parts" also gets automatically revised if this option is selected.
  • Document Number= Part Number: When a document is linked to a part then the document number will be the part number if this option is selected.
  • Document Number= Part Number+Part Type: When a document is linked to a part then the document number will be a combination of part number and part type if this option is selected.
  • Document Number= Part Number+Document Genealogy Code: When a document is linked to a part then the document number will be a combination of part number and part type if this option is selected.
  • Increment Part Revision on BOM Revision: On selecting this option when a Part is revised BOM is also revised.


Product Structure

If Product Module plug-in has been opted for during installation of WRENCH Enterprise then this option will be available in the Performance and Utilities.

The Administrator can define the settings to define the revision series of BOM . Options to set a criteria in which BOM completion is linked to Child BOM release and child part release is given here. In case the BOM has to be routed through a workflow then it is specified here.

Opening Product Structure settings window

From the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel

  1. On the control panel from the Settings group select Performance and Utilities. Control Settings window is displayed.
  2. On the left pane select Product Structure.

Figure: Control Settings (BOM)

  • Default BOM Revision Series: Specify a revision series exclusively for BOM here.
  • Complete BOM only if Child BOM is Released: If this option is selected then BOM completion is possible only if the Child BOMs are in the released status.
  • Complete/Revise BOM when Parent Part not released: This option will ensure the flexibility to complete and revise a BOM when the parent part is still work in progress .
  • Allow Part Number Duplication in BOM: Select this option to allow part number duplication in BOM.
  • Restrict Deleted Items to be added in BOM: This option will validate if any of the items in the BOM are deleted or not.
  • BOM Routing mandatory: Select this option if the BOM has to be routed through a workflow for release.
  • Quantity same as Gross weight: If this option is set then after the gross weight is calculated then this value is overwritten in the quantity field.

For Example: If the item to be manufactured is a cylindrical Steel box and the quantity is say 20 then the gross weight is calculated using unit weight multiplied by 20. Once this calculation is over in order to procure the raw material the gross weight value replaces the quantity value since gross weight is the information required to procure the raw material for manufacturing that item.


WRENCH Drive

WRENCH Drive serves the purpose for publishing/storing documents in a shared network location outside the regular WRENCH vault, which will be secured by WRENCH. Documents stored in WRENCH drive can be viewed without consuming WRENCH license

This is a workable model for managing x-ref in CAD, since while viewing and editing the external reference file need not be downloaded.

Figure: Settings for WRENCH Drive

The following settings can be defined here.

Universal Drive Letter: The WRENCH Drive letter defined during setup process will be displayed here

Root Path for Non-Project documents: The folder defined for storing non-project documents is displayed here

Configure the path for Non-Project documents: Click the Configure button to define a path for non-project documents

Navigation Table

To | See
Configure path for non-project documents | Configuring path for non-project documents
Configure folders dynamically | Configuring folders using dynamic method
Configure folders using static method | Configuring folders using static method

Configuring path for non-project documents

A root path can be defined for non-project files. Once the root path is defined all non-project related files can be stored in a folder in this path.

To configure path for non-project documents

  1. Click Configure button

Figure: Configuring path for non-project documents

WRENCH Drive wizard is displayed

  2. Click Next to continue

Folder Configuration window is displayed

Figure: Folder Configuration wizard

Here select a folder configuration method from available two methods. The two available methods are discussed in the following sections.

Dynamic (By defining logic)

Static (By defining path)

Configuring folders using dynamic method

In this method, based on a defined logic, system creates a folder in the root directory. The folder thus created will contain all the document genealogy levels.

To configure folders using dynamic method

  1. In the drop-down box select the folder configuration method as Dynamic
  2. Click Next to continue

Select Document Genealogy window is displayed. In this window genealogies for which WRENCH drive is enabled will be listed.

Figure: Selecting document genealogy

  1. Select the genealogies by clicking the left arrow in the window
  2. Once the selection is completed click Next to continue

Select Custom Properties window is displayed and custom properties assigned to the genealogy is listed here

Figure: Selecting custom properties

  1. Select the custom properties and click Next to continue

Logic Definition window is displayed. Here you can define the sequence of properties with which path would be created.

Figure: Defining Logic

Folder can be created using Code or Code and Description

A folder can be also created with the selected custom properties included in the logic. Custom properties can be inserted between genealogy levels.

  1. Click Next to continue
  2. In the next window click Finish to complete the process of creating the drive path

The paths which are thus logically created will not be physically created on disk until documents are added to it. When documents are added, if the path does not exist, it will be created and appropriate security will be assigned to it.

Configuring folders using static method

In this method administrator creates the folder inside the root directory and later it is mapped to the genealogies for which WRENCH drive is enabled. The folder shall be created and stored against the combination of document genealogy and document custom property values. Here the document gets added only if there is a defined folder

To configure folders using static method

  1. In the drop-down box select the folder configuration method as Static
  2. Click Next to continue

Select Document Genealogy window is displayed. In this window genealogies for which WRENCH drive is enabled will be listed.

Figure: Selecting document genealogy

  3. Select the genealogies by clicking the left arrow in the window
  4. Once the selection is completed click Next to continue

Select Custom Properties window is displayed and custom properties assigned to the genealogy is listed here

Figure: Selecting custom properties

  1. Select the custom properties and click Next to continue.

Select Value for Custom Property window is displayed.

Figure: Selecting values for custom property

  2. Click the browse button to select values for the custom property.

Select LOV window is displayed

Figure: Select LOV window

  3. Select the LOV from the list of values and click OK to continue
  4. After selecting the values for the custom properties, click Next to continue.

Define Static Path window is displayed. Here different genealogies, custom properties and the values assigned to the custom properties are displayed. A path can be defined using different combinations displayed here.

Figure: Defining Static paths

To create a path

  1. Corresponding to a genealogy click the browse button under the column Path
  2. After selecting a path click Create Path

Define Path window is displayed. All document genealogy levels and the document custom properties selected are listed here.

Figure: Define Path window

  1. Custom properties can be moved up and down by clicking the arrow
  2. Click Create to generate the folders

NOTE: Paths created cannot be deleted once documents are added under the path

NOTE: Folders for non-project documents shall be created only under the Non-Project Root Path

  3. Click Next to continue. If the procedure is completed successfully click Finish to complete.


Security Center

The Security structure provided in WRENCH Enterprise can be classified into Document Security and Modular Security.

Document Security

Security Rights at every Document level can be set so that specific User(s) groups are assigned rights according to the organizations hierarchy.

Modular Security

In this section Modular security can be assigned to users or user groups of WRENCH.

The WRENCH Modules are

  • Project and Enquiry
  • Work Breakdown Structure (WBS)
  • Documents
  • Task
  • Cost
  • Defects and NCR
  • Change Request
  • Change Note
  • Masters
  • Minutes of Meeting
  • Work Flow
  • Document Transmittal
  • Timesheet
  • Report
  • Risk
  • Smart Folders
  • Document Submittal
  • Tender
  • BOQ (Bill of Quantity)
  • JMS (Joint Measurement Sheet)
  • Live Review

If the additional components have been incorporated during WRENCH Enterprise installation the following modules will be available

  • Ideation
  • Dashboard
  • Part
  • Product Structure
  • Completion Record Management System (CRMS)

In case, the user does not have the necessary Modular security rights on a particular module, the following alert message is displayed.

Figure: Warning dialog box

The security can be provided on the basis of User or Group. There are three ways in which security can be provided to a Group(s) or User(s).

NOTE: Security preference is always for the User. If a particular security has been assigned to a Group but denied to the User then he cannot access it. If security is given to the Group and is unspecified to the User then he can access it based on the group rights.

There are three cases:

  1. The User is assigned the security rights.
  2. The User is denied the security rights.
  3. The security is unspecified for the User.

For Example:

Case 1: User A is a part of Designer group. Designer Group has the permission and the User A doesn't have permission to edit a drawing. But the user A will not have the permission to edit based on the user rights.

Case 2: User A has the permission to edit a drawing. But the Designer group has no permission. But the user A will have the permission to edit.

Case 3: The edit permission for user A is unspecified. But the Designer group has the permission to edit .Then the user A will have the permission to edit.

Please see the navigation table for more details

Navigation Table

To | See
Open Security Center | Opening Security Center
Maintain Modular Security | Maintaining Modular Security
Define Modular Security for WBS | Modular Security for WBS Module
Define Modular Security for Documents | Modular Security for Document Module
Define Modular Security for Tasks | Modular Security for Task Module
Define Modular Security for Change Request | Modular Security for Change Request
Define Modular Security for Change Note | Modular Security for Change Note
Define Modular Security for Masters | Modular Security for Masters
Define Modular Security for MOM | Modular Security for MOM
Define Modular Security for Work Flow | Modular Security for Work Flow
Define Modular Security for Document Transmittal | Modular Security for Document Transmittal
Define Modular Security for Time Sheet | Modular Security for Time sheet
Define Modular Security for Reports | Modular Security for Reports
Define Modular Security for Part | Modular Security for Part
Define Modular Security for Product Structure | Modular Security for Product Structure
Define Modular Security for CRMS | Modular Security for CRMS
Define Modular Security for Dashboard | Modular Security for Dashboard
Define Modular Security for Smart Folders | Modular Security for Smart Folders
Define Modular Security for Ideation | Modular Security for Ideation
Define Modular Security for Cost | Modular Security for Cost
Define Modular Security for File Manager | Modular Security for File Manager
Define Modular Security for Defects and NCR | Module Security for Defects and NCR
Define Modular Security for Risk | Modular Security for Risks

Opening Security Center

  1. In the WRENCH button menu select Control Panel.
  2. In the control panel click Security Centre.

Show Security window is displayed.

Figure: Show Security window

Maintaining Modular Security

The Modular Security can be edited only by user's with administrative rights. The following table displays the security settings.

# | Settings | Description
1 | List of User Groups or User | All the User Groups present in Users List is shown.
2 | List Of Modules | The modules for which the security can be assigned is listed.
3 | Security Settings | A list of access rights that can be assigned for each module are displayed here. If you want to assign a security you can select the respective check box

In an organization the activities related to the project are split between different departments; Architectural, Mechanical, Piping etc. User groups are created based on these departments and users are assigned to these groups. Depending on the privileges required ,security rights are assigned to the group and hence users added under each group will posses all the rights assigned to the group. Further, under each group, sub groups can be created for users with similar responsibilities. When new users join the organization they are assigned to the respective group instead of giving them individual rights.

The architectural drawings are created by respective designers of the departments and they are permitted to view the documents and edit it. Users belonging to other departments are not permitted to view or work with these documents as a part of maintaining the information security

  • Click User Group based Security, if security has to be set for a User Group. If Security has to be defined for a User then click User based Security.
  • Select the Group or User, Select one function. For Example: Project Management from the list of functions.
  • Select the specific Security Setting. For Example: Create, Manage by selecting the check box next to it. The user may also select "Select All" or "Unspecified" or "Deselect all". If a user has a "Unspecified Security" and the User Group has been given Modular Security rights then user has the Security rights for that function.
  • Select multiple users or groups using the CTRL key.

Figure: Modular Security window

Modular Security for Work Breakdown Structure

# | Security Right | Description
1 | Create | Selecting this right allow the user to create a WBS.
2 | Edit | Selecting this right allow the user to Manage or Edit a WBS.
3 | Release/Close | Selecting this right allow the user to complete the WBS.
4 | Remove | Selecting this right allow the user to Remove a WBS.
5 | Assign / Start workflow | Selecting this right allow the user to Assign a workflow and start a workflow.
6 | Flush Workflow | Selecting this right allow the user to remove the workflow from the active stages of the workflow.
7 | Reassign Resources | Assigning this right allow the user to reassign users to a workflow stage.
8 | Bypass | Selecting this right allow the user to bypass a stage in the work flow.
9 | Redirect | Selecting this right allow the user to redirect the work to a different workflow stage.

Modular Security for Documents

  1. Click under "Documents" and Select Document Level and click "Properties" to avail of the "Properties" window as shown in the following figure.

Figure: Assigning Document Security

  2. The object selected and its genealogy is displayed under "Select Object Details."
  3. After selecting a User Group or a User click Select All to select entire set of securities displayed in the window.
  4. Click Allow to assign the selected security right to the user.
  5. Click Deny not to assign the selected security rights to the user.
  6. Click Not Set if the security set in a different level should be applicable to the current level. For Example: If security rights are assigned to User Groups and after selecting Users, Not Set button is clicked, security rights assigned for the user groups are inherited to users that belong to the group.

# | Item | Description
1 | View Work In Progress | Assigning this right allow the user to view documents that are work in progress.
2 | View Transmittal Released | Assigning this right allow the user to view documents that are released.
3 | View Workflow Completed | Assigning this right allow the user to view documents that have completed the workflow.
4 | Copy Work In Progress | Assigning this right allow the user to Copy documents that are in work in progress.
5 | Copy Transmittal Released / Work Flow Completed | Assigning this right allow the user to copy documents that are released through a transmittal and those documents for which the workflow is completed.
6 | View Specter | Assigning this right allow the user to View Specter Files.
7 | Print Work In Progress | Assigning this right allow the user to print a document that is work in progress.
8 | Print Transmittal Released / Workflow completed | Assigning this right allow the user to print documents that are released through a transmittal or have their workflow completed.
9 | Add | Assigning this right allow the user to Add a document.
11 | Edit in Work In Progress | Assigning this right allow the user to Edit, i.e. Check Out, Check In and Replace a document that is in Work In Progress stage.
12 | Edit Transmittal Released | Assigning this right allow the user to Edit, Check Out, Check In and Replace a document which is in transmittal released stage.
13 | Edit Workflow Completed | Assigning this right allow the user to Edit, Check Out, Check In and Replace a document which has completed all the stages of the work flow.
14 | Cancel Others Check Out | Assigning this right allow the user to Cancel Check Out performed by other users.
15 | Release | Assigning this right allow the user to release a document.
16 | Reassign (Self) | Assigning this right allow the user to reassign active items in a workflow stage.
17 | Reassign (Add) | Assigning this right allows the user to add resources to a workflow stage.
18 | Reassign (Remove) | Assigning this right allows the user to remove resources from a workflow stage.
19 | Bypass | Assigning this right allows the current stage user to Bypass to any Stage of the Work flow.
20 | Redirect | Assigning this right allow the user to redirect the work to a different workflow stage.
21 | Raise Change Request | Assigning this right allow the user to raise a Change Request on a document.
22 | Approve Change Request | Assigning this right allow the user to Approve or Reject a Change Request.
23 | Update Approval Status Code | Assigning this right allow the user to update the Approval Status Code, even though he is not in the Release stage. (This right is not required for a user in "Release Stage" to update the Approval Status Code.
24 | Manage Security | Administrator in an organization can assign Manage Security right to a user. User possessing this right can assign different security rights to other users.
25 | Delete | Assigning this right allow the user to Delete documents.
26 | Obsolete | Assigning this right allow the user to render a document obsolete. User may also specify an end of life period for the document.
27 | Revoke | Assigning this right allow the user to revoke a document. On revoking an obsolete document its status is restored to that existed at the instance of making the document obsolete.
28 | Handle Obsolete | Assigning this right allow the user to work with documents that are in obsolete status.
29 | Handle Old Revisions | Assigning this right allow the user to update meta-data of old revision and to view, copy old revision file.
30 | Send Print Request | Assigning this right allow the user to Send a Print Request.
31 | Approve Print Request | Assigning this right allow the user to Approve/Reject a Print Request raised by a user.
32 | Handle Print Request | Assigning this right allow the user to Handle (Close) a Print Request raised by a user.
33 | Send Scan Request | Assigning this right allow the user to Send a Scan Request.
34 | Approve Scan Request | Assigning this right allow the user to Approve or Reject a Scan Request raised by any User.
35 | Handle Scan Request | Assigning this right allow the user to Handle (Attach) a Scan Request raised by a User.
36 | Assign/Start Workflow | Assigning this right allow the user to Assign a workflow, start a workflow .
37 | Flush workflow | Assigning this right allow the user to remove the workflow from workspace of active stage users.
38 | Allow Stamping | Assigning this options allow the user to insert a digital stamp in a document.
39 | Update Internal Status Code | Assigning this right allow the user to update the Internal Approval Status Code.
40 | Replace/Remove Related files | Assigning this right allow the user to replace or remove related files attached by another user.
41 | Replace/Remove Comment and Markups | Assigning this right allow the user to replace or remove comments and markup files attached by another user.
42 | View Related Files | Assigning this right allow the user to view related files attached to the document.
43 | View Comments/Markups | Assigning this right allow the user to view comments/markups attached to the document.
44 | Add Related Files | Assigning this right allow the user to add related files to the document.
45 | Add Comments/Markups | Assigning this right allow the user to add comment and markup files to the document.
46 | Assign Checklist | Assigning this right allow the user to manually assign checklists to objects.
47 | Multiple Update Checklist | Certain users like the group heads needs permission to bulk update a checklist without manually checking each checkpoint. For such users, if this security is checked two buttons ‘Update Comments’ and ‘Check / Un-check’ would be enabled in ‘Active Checklist’ window, using this button they would be able to update the comments and check the checkboxes in bulk.
48 | Update Comment Code | If this option is selected, respective user or user group will be able to update comment code in CRS. If users without this permission tries to update the comment code, operation is aborted, and a warning message is displayed.

Assigning Security to selected groups

You can also assign selected security to selected groups.

To assign security to selected groups

  1. In the Document Properties window select the hyperlink Click here to assign Security selectively.

Assign Security window is displayed.

Figure: Assign Security window

To select a group

You can select a Group and assign a set of security rights to this group.

  1. Click the browse button next to Groups to select groups.
  2. Group List window is displayed where you can select a single group or multiple groups.

Figure: Group List

  3. Click OK to save changes and to continue.

To select security rights

  1. In the Assign Security window select a group.
  2. Click the browse button next to Security.

Securities List window is displayed.

Figure: Securities List window

  1. In this window select the security rights you want to assign to a group. You can select single or multiple rights.

  2. Once selecting of rights is completed click OK to save changes and continue.

Security rights assigned to a selected group is displayed in the Assign Security window.

NOTE: The security rights assigned to a group can be further controlled by selecting or clearing the checkbox next to a Security Right. This helps in more controlled distribution of security to a group.

Modular Security for Tasks

The Administrator can set the security setting for User group(s) and User(s) for Tasks. For defining selected rights to selected groups refer the preceding section.

# | Security Right | Description
1 | Add | Assigning this right allow the user to Add a Task.
2 | Edit | Assigning this right allow the user to Edit a Task.
3 | Delete | Assigning this right allow the user to delete a Task.
4 | Copy | Assigning this right allow the user to Copy a Task.
5 | Revise | Assigning this right allow the user to Revise a Task.
6 | View | Assigning this right allow the user to View a Task.
7 | Reassign Resources | Assigning this right allows the user to reassign resources from the show workflow window even if the user do not possess the reassign resources right in the workflow module. This setting will not have any effect on document tasks.
8 | Manage Security | Administrator in an organization can assign Manage Security right to a user. User possessing this right can assign different security rights to other users under this genealogy.
9 | Assign/Start Workflow | Assigning this right allows the user to Assign a workflow, start a workflow and sent the deliverable to concerned resource.
10 | Flush Workflow | Assigning this right allows user to remove the workflow from the workspace of the active stage users.
11 | Bypass | Assigning this right allow the user to bypass a workflow stage.
12 | Redirect | Assigning this right allow the user to redirect the work to a different stage in the workflow. This means work is redirected to a different user.

Modular Security for Change Request (CR)

# | Security Right | Operations Possible
1 | Create | Selecting this right allow the user to create a Change Request.
2 | Edit | Selecting this right allow the user to Manage or Edit a Change Request.
3 | Release/Close | Selecting this right allow the user to Release a Change Request.
4 | Remove | Selecting this right allow the user to Remove a Change Request.
5 | Assign/Start Workflow | Selecting this right allow the user to assign a workflow to an object, start the workflow and send the object to first stage in the workflow.
6 | Flush Workflow | Selecting this right allow the user to remove the work from the workspace of the active stage users.
7 | Reassign Resources | Selecting this right allows the user to reassign resources even if the user do not possess the reassign resources right in the workflow module. Also user may flush the workflow.
8 | Bypass | Selecting this option allows the user the permission to bypass a workflow stage and move to the desired stage.
9 | Redirect | Select this option to redirect the work to a different stage in the workflow.

Modular Security for Change Note (CN)

# | Security Right | Operations Possible
1 | Create | Selecting this right allow the user to create a Change Note.
2 | Edit | Selecting this right allow the user to Edit a Change Note.
3 | Release/Close | Selecting this right allow the user to Release/ Close a Change Note.
4 | Remove | Selecting this right allow the user to Remove a Change Note.
5 | Assign/Start Workflow | Selecting this right allow the user to assign a workflow to an object, start the workflow and send the object to first stage in the workflow.
6 | Flush Workflow | Selecting this right allow the user to remove the work from the workspace of the active stage users.
7 | Reassign Resource | Selecting this right allows the user to reassign resources from the show work flow window even if the user do not possess the reassign resources right in the work flow module. Also user may flush the workflow.
8 | Bypass | Selecting this option allows the user the permission to bypass a workflow stage and move to the desired stage.
9 | Redirect | Select this option to redirect the work to a different stage in the workflow.

Modular Security for Masters

# | Security Right | Operations Possible
1 | Add | Allow user to add new entry.
2 | Edit | Allow user to edit existing entry.
3 | Remove | Allow user to remove an entry.
4 | View | Allow the user to view the master.

Accessing Masters Properties window

  1. From the Security Center select "Masters."
  2. Select Properties on the toolbar.

Masters properties window is displayed.

Figure: Master Security

User Group Security or User Security can be assigned from here.

  1. Select a tab.
  2. Select from a list of rights displayed.
  3. Select "Inherit From Parent" check box in order to inherit the rights assigned to parent folder to the child folder .
  4. Select "Extend To Child" check box to extend all the rights assigned to parent folder to child folder.

Masters

On clicking the Master tab the following details are displayed.

Figure: Masters Options

  • Expanding Change Management displays the following sub folders .
      1. Cause code Master
      2. Change Request Narration
      3. CR Category Master
      4. Reason for change
  • Expanding Checklist displays the following sub folders.
      1. Checklists
      2. List of Check points
  • Expanding Custom Characteristics displays the following sub folders.
      1. Characteristics
      2. Characteristics Security
      3. Class-Characteristics Link
      4. Classes
      5. Object Class Link
  • Expanding Documents displays the following sub folders.
      1. Approval Requirement Code
      2. Approval Status Code
      3. Association Purpose
      4. Internal Status Code
      5. Life Cycle Status
      6. Link File Type
      7. Sheet sizes
      8. Document Template Master
  • Expanding Defects and NCR displays the following sub-folders
      1. Defect Category
  • Expanding Number Generation displays the following sub folders.
      1. Block Master
      2. Template Master
  • Expanding Others displays the following sub folders.
      1. Action Point Master
      2. Action Type Master
      3. Activity Master
      4. Configurable Report Template Master
      5. Custom Report Template Master
      6. Disciplines Master
      7. Meeting Type Master
      8. List of Comments
      9. Notification Calendar Master
      10. Print Purpose Master
      11. Plant Master
      12. Plant Attribute Master
      13. Revision Series
      14. Template Mapping Master
      15. Type Master
      16. Distribution List Master
      17. RFI Type Master
      18. Unit of Measure Master
      19. Notification Calendar Master
      20. Mail Template
      21. Submittal Document Type
      22. Specialisation
      23. Location
  • Expanding Project displays the following sub folders.
      1. Project position Master
      2. Project Type Master
      3. System Master
  • Expanding Resources displays sub folders.
      1. Customers
      2. Meeting Boards
      3. Other Units
      4. Time sheet Approvers
      5. Vendors
  • Expanding Risks displays the following sub folders.
      1. Category
      2. Cause
      3. Consequence
      4. Source
      5. Probability
      6. Scheduling
  • Expanding Scheduling displays the following sub folders.
      1. Task Genealogy
      2. WBS Master
  • Expanding Ideation displays the following sub folders.
  1. Categories
  2. Rating Criteria Groups
  3. Rating Criteria
  • Expanding Defects and NCR displays the following sub folder.
  1. Defect Category
  • Expanding Risk displays the following sub folder
  1. Category
  2. Cause
  3. Consequence
  4. Source
  5. Probability

The item Users does not have any sub-folders under it.

Modular Security for MOM

# | Security Right | Operations Possible
1 | Create | Selecting this right allow the user to create a MOM.
2 | Edit | Selecting this right allow the user to Edit a MOM.
3 | Approve | Selecting this right allow the user to Approve a MOM.
4 | Remove | Selecting this right allow the user to Remove a MOM.

Modular Security for Work Flow

# | Security Right | Operations Possible
1 | Create | Selecting this right allow the user to create a Work Flow.
2 | Edit | Selecting this right allow the user to Edit a Work Flow.
3 | Release | Selecting this right allow the user to Release a Work Flow.
4 | Remove/Obsolete | Selecting this right allow the user to Remove a Work Flow.
5 | Assign/Start workflow | Selecting this right allow the user to assign a workflow to an object, start the workflow and send the object to first stage in the workflow.
6 | Flush workflow | Selecting this right allow the user to remove the work from the workspace of the active stage users.
7 | Reassign Resources | Selecting this right allow the user to re-assign resources in a particular stage and flush a workflow.
8 | Bypass | Selecting this right allow the user to Bypass a stage in the Work Flow.
9 | Redirect | Selecting this right allow the user to redirect the work to a different stage in the workflow.
10 | Regret | Selecting this right allow the user to regret any object in his workspace send through a work flow.

Modular Security for Document Transmittal

# | Security Right | Operations Possible
1 | Create | Selecting this right allow the user to create a Document Transmittal.
2 | Edit | Selecting this right allow the user to Manage or Edit a Document Transmittal.
3 | Release/Close | Selecting this right allow the user to Release/Close a Document Transmittal.
4 | Remove | Selecting this right allow the user to Remove a Document Transmittal.
5 | Transmit older revision documents | On selecting this right, in the Document Transmittal window, option Transmit older revision documents will be enabled. This is applicable only for WRENCH SmartProject.

Modular Security for Time sheet

# | Security Right | Operations Possible
1 | Create | Selecting this right allow the user to Create a Time sheet Entry.
2 | Edit | Selecting this right allow the user to Edit a Time sheet Entry.
3 | Approve | Selecting this right allow the user to Approve a Time sheet. Only users with this right will be listed as Time sheet Approvers.
4 | Remove | Selecting this right allow the user to Remove a Time sheet Entry .
5 | Manage Activity | Selecting this right allow the User/User Group to Create a new Activity Description.
6 | Administer Time Logs | Selecting this right allow the user to administer the time log of a user.

Modular Security for Reports

# | Security Right | Operations Possible
1 | Create | Selecting this right allow the user to Create a Report.
2 | Edit | Selecting this right allow the user to Manage/Edit a Report.
3 | Remove | Selecting this right allow the user to Remove/Delete a Report.
4 | View | Selecting this right allow the user to View a Report.

Modular Security for Ideation

# | Security Right | Operations Possible
1 | Create Post | Selecting this right allow the user to create a new post.
2 | Remove Post | Selecting this right allow the user to delete a post created by the user. The deletion is possible only if the moderator accepts the delete request raised by the user.
3 | Moderator | Selecting this right allow the user to Mange post, Manage category and Handle the subscription requests.

Modular Security for Smart Folders

# | Security Right | Operation Possible
1 | Create | Selecting this right allows a user to create a smart folder and assign rules to the smart folder.
2 | Publish | Selecting this right allows a user to publish a smart folder to other users or groups.

If Additional Components are Incorporated

In this case the additional components CRMS, Part and Product Structure has been incorporated then the CRMS, Part and Product Structure folder will be added to the Security Center.

The Administrator can set the security setting for user group and user for CRMS,Part and Product Structure if the Additional Components has been installed.

Modular Security for Part

In addition to the BOM security rights (for Standard BOM or Material BOM) assigned to the User(s) in the product structure genealogy, the User(s) must also have the necessary BOM security privileges in the specific Part genealogy. Or, in other words, the User must have the necessary Modular Security rights in the specific Part genealogy to Create, Edit, View, Complete, Release, Remove and Revise BOM for the selected part.

The User must have the following BOM Security rights in the selected Part genealogy.

Figure: Modular Security for Part

# | Security Right | Operations Possible
1 | Add | Selecting this right allow the user to Add a Part.
2 | Edit | Selecting this right allow the user to Edit a Part.
3 | Delete | Selecting this right allow the user to Delete a Part.
4 | Approve | Selecting this right allow the user to Approve a Part.
5 | Reject | Selecting this right allow the user to Reject a Part.
6 | Release | Selecting this right allow the user to Release a Part.
7 | Revise | Selecting this right allow the user to Revise a Part.
8 | Obsolete | Selecting this right allow the user to make a Part Obsolete.
9 | Revoke | Selecting this right allow the user to Revoke a Part.
10 | View Old Revision | Selecting this right allow the user to View old revisions.
11 | Create BOM | Selecting this right allow the user to Create a BOM.
12 | Edit BOM | Selecting this right allow the user to Edit a BOM.
13 | View BOM | Selecting this right allow the user to View a BOM.
14 | Validate/Complete BOM | Selecting this right allow the user to Complete a BOM.
15 | Release BOM | Selecting this right allow the user to Release a BOM.
16 | Remove BOM | Selecting this right allow the user to Remove a BOM.
17 | Revise BOM | Selecting this right allow the user to Revise a BOM.
18 | Fast Track Revision on BOM | Selecting this right allow the user to make a Fast Track Revision.
19 | Accept/Reject Change Request of BOM | Selecting this right allow the user to approve or reject Change Request on a BOM.
20 | Accept/Reject Change Note Request of Part | Selecting this right allow the user to Approve or Reject the Change Note request on a Part.
21 | Assign/Reassign Resources/Workflow | Selecting this right allows the user to reassign resources from the show work flow window even if the user do not possess the reassign resources right in the work flow module.

Modular Security for Product Structure

The following BOM security rights can be assigned to user or user groups in the Product Structure genealogy.

Figure: Modular Security for Product Structure

# | Security Right | Description
1 | Add | Selecting this option allow the user to add a BOM.
2 | Edit | Selecting this option allow the user to edit a BOM.
3 | View | Selecting this option allow the user to view a BOM.
4 | Validate / Complete | Selecting this option allow the user to validate and complete a BOM.
5 | Release | Selecting this option allow the user to release a BOM.
6 | Remove | Selecting this option allow the user to remove a BOM.
7 | Revise | Selecting this option allow the user to revise a BOM.
8 | Fast Track Revision | Selecting this option allow the user to perform a Fast Track Revision of the BOM.
9 | Accept / Reject Change Request | On Selecting this option the user can approve or reject a CR raised while revising a BOM.
10 | Accept / Reject Change Note Request | On Selecting this option user can approve or reject a CR raised while revising a BOM.
11 | Manage Workflow | Selecting this right allows the user to reassign resources from the show work flow window even if the user do not possess the reassign resources right in the work flow module.

Modular Security for CRMS

To set the security rights for User group and user select the CRMS folder and click Properties. The CRMS Modular Security window is displayed. Select or clear the check boxes next to the functions in order to enable or disable the rights. Use the "Select all" check box to provide security for all the functions.

Figure: CRMS Modular Security

# | Security Right | Operations Possible
1 | Create | Selecting this right allow the user to Create a CRMS.
2 | Manage | Selecting this right allow the user to Manage/Edit a CRMS.
3 | Print | Selecting this right allow the user to Print a CRMS.
4 | Remove | Selecting this right allow the user to Remove a CRMS.

Modular Security for Dashboard

# | Security Right | Operations Possible
1 | Manage | Selecting this right allow the user to Manage the Dashboard.
2 | View | Selecting this right allow the user to View the Dashboard.

Modular Security for Document Submittal

# | Security Right | Operations Possible
1 | Create | Selecting this right allows the user to create a submittal.
2 | Edit | Selecting this right allows the user to edit a submittal.
3 | Complete / Register | Selecting this right allows the user to register the documents in the submittal and complete the submittal.
4 | Remove | Selecting this right allows the user to delete the submittal.
5 | View | Selecting this right allows the user to view the submittal.
6 | Submit | Selecting this right allows the user to submit the submittal.

Modular Security for Cost

#

Security Right

Operations Possible

1

View Project Cost Information

On selecting this option, selected users or user groups will be able to view Project Cost details.

2

Edit Budget

On selecting this option, selected users or user groups who are assigned to a project may perform all the below mentioned operations in budget tab.

  • Create
  • Edit
  • Remove
  • Create Baseline
  • Distribute (distribution of budget line items)
  • Line item Import/Export/Update
  • Distribution Import

3

Edit Commitment/Receivables

On selecting this option, users or user groups, that are assigned to a project may perform all the below mentioned operations in Commitment/Receivables tab.

      1. Create
      2. Edit
      3. Remove
      4. Commitment Import/Export/Update
      5. Deliverable Import/Export/Update
      6. Payment terms
  • Create
  • Edit
  • Remove payment terms
  • Distribute (distribute payment terms)
  • Bulk Distribute (distribute payment terms through excel)
  • Import/ export/ update payment terms

4

Edit Change Request

On selecting this option, users or user groups, who are assigned to a project may perform all the below mentioned operations in Change Request.

      1. Create Change Request
      2. Edit Change Request
      3. Update Variance (both in Budget and Commitment)
      4. Remove change request

5

Edit Change Order

On selecting this option, users or user groups, who are assigned to a project may perform all the below mentioned operations in Change Order / Change Request tab.

  1. Create
  2. Edit
  3. Remove
  4. Approve /Reject Change request.

Approve/Reject Change Order

On selecting this option, users or user groups, who are assigned to a project may Approve/reject all change orders in status “Created” or “Projected”.

Modular Security for File Manager

Security can be assigned to users as well as groups. It is recommended to apply security at group level for ease of configuration and management. There are 3 different operations that can be regulated using security settings.

# | Security Right | Description
1 | Replace | On selecting the checkbox next to this option, selected users or user groups will be permitted to modify the files in the file manager using the replace option. This is applicable only for users who are outside network and who don't have access to shared path.
2 | Add to Wrench | On selecting the checkbox next to this option, selected users or user groups will be permitted to add files from file manager to WRENCH Vault.
3 | Share | On selecting the checkbox next to this option, selected users or user groups will be permitted to send files through email, directly from the file manager.

Select the checkbox next to the Security Settings and click Save.

Modular Security for Defects and NCR

The modular security window for Defects and NCR is displayed when user selects the item Defects and NCR from the Show Security window and click Properties. The security settings are explained in the following table.

# | Security Right | Description
1 | Manage Snag | On selecting the checkbox next to this option selected users or user groups will be permitted to manage a snag.
2 | Manage Issue | On selecting the checkbox next to this option selected users or user groups will be permitted to manage an Issue.
3 | Manage NCR Safety | On selecting the checkbox next to this option selected users or user groups will be permitted to manage NCR Safety.
4 | Manage NCR Quality | On selecting the checkbox next to this option selected users or user groups will be permitted to manage NCR Quality.

Modular Security for Risk

The modular security window for Risk is displayed when user selects the item Risks from the Show Security window and click Properties. The security settings are explained in the following table.

# | Security Right | Description
1 | Manage Risk | On selecting the checkbox next to this option selected users or user groups will be permitted to manage Risk.

Modular Security for Tender

The modular security window for Risk is displayed when user selects the item Risks from the Show Security window and click Properties. The security settings are explained in the following table.

# | Security Right | Description
1 | View | Select this right to allow the user to view the tender.
2 | Create | Select this right to allow the user to create the tender.
3 | Edit | Select this right to allow the user to edit the tender.
4 | Remove | Select this right to allow the user to remove the tender.
5 | Publish | Select this right to allow the user to publish the tender.
6 | Obsolete | Select this right to allow the user to obsolete the tender.
7 | Revise | Select this right to allow the user to revise the tender.

Module Security for Live Review

Module level security can be applied for Live Commenting. The modular security window for Live Review is displayed when user selects the item Live Review from the Show Security window and click Properties. The security settings are explained in the following table.

# | Security Right | Description
1 | Administer Session | If this security is enabled for a user, when the user is added to a session, Manage permission is assigned to the user by default. However, session owner may reset this if required. Once the MANAGE permission is removed, user will not be able to take control of the session.


Security Status Report

The security status report gives you detailed information on the Modular Security rights in each module as well as Document security rights assigned to a specific user in WRENCH.

Navigation Table

To | See
Generate Security Status Report | Security Status Report
Generate Security Status Report based on User Group security | Security Status Report based on User Group security
Generate Security Status Report based on User security | Security Status Report based on User security

Security Status Report

  1. Select the required module in WRENCH namely Project, WBS, Documents, Change Request, Change Note, Part, Product Structure,Masters, Minutes of Meeting, Workflow, Document transmittal or Time sheet.
  2. Click "Security Report" option in the "Show Security" window.

Figure: Show Security window

"Functional Security" window is displayed.

Here, you can extract report on the user security rights as well as user group security for each WRENCH user in the specific module.

Generating Security Status Report based on User Group security

  1. Click the "User group based security" tab.
  2. Select a User Group.

Figure: User Group Based Security

  3. Click "Generate Report" to generate the security status report.

Figure: Security Status Report

Generating Security Status Report based on User security

  1. Click the "User based security" tab.
  2. Select a User or a set of User's.

Figure: User Based Security window

  • Click "Generate Report" to generate the security status report.

NOTE: Only a user with functional security rights i.e. user based security/user group based security privileges on the report module is permitted to Create/Manage/View a security status report.


Masters

Masters module comprises of the mandatory data that should be available in WRENCH Enterprise which enables the smooth functioning of the application. It is recommended that only WRENCH Administrator provides the following data and maintains it. Please note that the applications like creating Projects, WBS , Handling Documents etc can only be delved into after this section is ready. To do operations in this module User need to have right in Control Panel>>Security Center>>Modular Security for Masters Module

Navigation Table

To | See
Define Change Management data | Change Management Master
Manage Checklists | Checklist
Manage Custom Characteristics assigned to objects in WRENCH | Custom Characteristics
Define Document properties | Documents
Manage Number Generation templates | Number Generation
Configure standard details that are essential for flawless functioning of WRENCH | Others
Configure Project related properties | Projects
Configure Resource related settings | Resources
Define Schedule templates | Scheduling

The sub modules CRMS, Part and Product Structure are relevant only for users who have opted for the Product module plug-in during installation.

To | See
Configure Completion Records Management Systems settings | CRMS
Configure Part settings | Part
Configure Product Structure settings | Product Structure


Change Management Master Data

Change Management is a sum of all processes that are related to managing the changes in design to ensure that the changes are captured, approvals are taken and changes are notified to all stake holders. The data related to the change management process is captured through the following sub masters:

  1. Cause Code Master: Cause of changes are stored in this master. Using these codes, reports can be generated about the changes across projects.
  2. Change Request Narrations: Describes the typical changes required so that the user can select it. This reduces the extent of data entry.
  3. CR Category Master: A classification of the Change Request as per user requirements can be defined here.
  4. Reason for Change: A pre defined list which can be used to indicate a reason for change can be defined here

User may refer the following navigation table for more information on configuring Change Management Master Data

Navigation Table

To | See
Open Change Management Master | Opening Cause Code Master
Add and Manage Cause Codes | Adding Cause Codes
Add and Manage Change Request Narration | Adding Change Request Narration
Add and Manage CR Category Master | Adding Change Request Category
Add and Manage Reason for Change | Adding Reasons for Change

Opening Cause Code Master

  • From the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel
  • On the control panel from the Masters group select Change Management. Cause Code master window is displayed.

Adding Cause Codes

Cause codes are the different standard set of reasons that are used in Change Request or Change Note.

To Add Cause Codes

  1. In the Cause Code Master toolbar select "New."

  2. Cause Code Entry window is displayed.

  3. Enter a description for the cause.
  4. Click "OK" to save the code.

Editing and Remove Cause Code entries

  1. Select the existing code from Cause description and click "Edit" on the toolbar to make any changes and update.
  2. Select and click "Remove" button in the toolbar to delete the selected code.

Adding Change Request Narration

Change Request Narration is used in Change Request and Change Note to explain a reason.

  1. Select "Configuration Wizard" >>"Control Panel">> "Master Data">> "Change Management">>"Change Request Narration."

Change Request Narration Master window is displayed.

To Add a Change Request Narration

  1. In the toolbar click "New."

Change Request Narration Entry window is displayed.

  2. Enter the description in "Change Request Narration" and click "OK."

Editing and Managing Change Request Narration

  1. Select a narration entry and click "Edit" in the toolbar to incorporate changes to the entry.
  2. Select a reason and click "Remove" in the toolbar to delete the entry.

Adding CP Category

CP category usually classifies the change Request as per the requirement of the client. For Example: There will be lots of changes suggested for the design when the construction is started. We can consolidate all that changes and make the design documents up to date with what we actually construct. This CR category can be called as "As built". Like this we can create different categories like " As Commissioned", "As Designed", "As maintained", "Design and Maintained" etc.This will give an audit trial on different changes which is getting processed for different design documents.

To add a CP Category

  1. In the Masters window click CP Category.

CP Category Master window is displayed.

  • Enter the CP Category Description and click "OK".

If the checkbox next to the option Approve change Proposals without submission is selected, a change proposal can be approved without sending it to the approval stage.

If the option is selected the browse button next to the option Workflow Team is disabled. If the option is not selected the browse button is enabled. On clicking the browse button, Search Workflow Team window is displayed. A workflow against a Change Proposal can be selected from the window.

Editing and Managing Category Master

  1. Select a description and click "Edit" in the toolbar to make changes to the entry.
  2. Select an entry and click "Remove" button to delete.

Adding Reasons For Change

Reasons are used in Change Request and Change Note to enter any reasons.

  1. To access Reason for Change select "Configuration Wizard" >"Control Panel"> "Master Data"> "Change Management">"Reasons For Change".

Reason for Change master window is displayed.

To Add a Reason for Change

  1. In the Reason for Change master navigation bar click "Add."
  2. Enter the reasons for change in "Change Reason Description" and click "OK" button.

Editing and Managing Change Request Narration

  1. Select an entry and click "Edit" in the toolbar to incorporate changes.
  2. Select a reason and click "Remove" in the toolbar to delete the entry.


Checklist

Checklists

Completion of certain activities and tasks may call for a set of pre-requisites. These pre-requisites can be a set of actions that are to be accomplished before an activity can be considered as complete. Without an alert system, such pre-requisites are often forgotten. Checklists serves to fill this gap. Checklists can be associated with various events in WRENCH and the system will ensure that each item in the checklist is addressed, before the event can be completed.

Checklists are a set of conditions that can be assigned to either a document,task, CN, CR or a workflow. It can be used to ensure whether a particular module has gone through the required processes. If a checklist has been assigned to a document then it will be routed to the next step only after all the conditions have been checked.

List of Checkpoints are a set of conditions that has to be checked in a particular project.

Checklist will have 2 sections as indicated in the navigation table.

Navigation Table

To | See
Define Checklists | Checklist
Define Checkpoints | List of Checkpoints


Checklist

Checklists

Checklists are a set of conditions that can be assigned to either a document,task, CN, CR or a workflow. It can be used to ensure whether a particular module has gone through the required processes. If a checklist has been assigned to a document then it will be routed to the next step only after all the conditions have been checked.

Navigation Table

To | See
Open checklist masters window | Opening checklist masters
Create a Checklist | Creating A Checklist
Assign Checkpoints | Assigning Checkpoints
Import Checklists | Importing Checklists
Assign User Groups | Assigning User Groups to Checklists
Link Checklists to objects | Assigning and activating checklist rules
Define destination stage for triggering workflow based checklists | Defining destination stage for triggering workflow based checklists

Opening the checklist masters

  1. In the WRENCH desktop click WRENCH button.
  2. In the ensuing menu click Control Panel.
  3. In the Control Panel from the Masters group click Checklist.

Figure: Checklists Masters window

Checklists master window is displayed. All the created checklists are displayed here.

Creating the Checklist

To create the checklist, certain procedures must be followed. They are:

  1. Create a Checklist Entry.
  2. Create a List of Checkpoints.
  3. Assign Checkpoints to a checklist.
  4. Link the Checklist.

To enlist the check condition in a particular title, checklists are used. User may assign a selected checklist to a module.

Creating a Checklist Entry

A checklist is created from the checklist master.

To create a checklist

  1. In the Control Panel>>Masters click Checklist.

Checklist Masters window is displayed.

  2. In the left pane click Checklist.
  3. In the checklist master tool bar click New and in the menu click Checklist.

Checklist Entry window is displayed.

  4. Enter the following details in the window.

Checklist Name: A unique name for the checklist.

Checklist Type: Select a type from a drop-down list. The following options are available.

  • Recurring with Edited Copy: On selecting this option during each iteration of a workflow, user will be able to modify the same checklist.
  • Recurring with Un-Edited Copy: On selecting this option user will be able to update a fresh copy of the checklist during each iteration of the workflow.
  • Non-Recurring: On selecting this option, checklist is accepted only during the first time the checklist is triggered during the workflow.
  5. After entering the details click OK.

New Checklist is added successfully

Assigning a list of Checkpoints

A set of checkpoints can be assigned to a checklist.

To assign checkpoints

  1. In the grid select a Checklist.
  2. In the tool bar click New and in the menu click Checkpoints.

  3. From the available list of checkpoints, select the checkpoints to be assigned to the specified module.

Figure: Assigning Checkpoints

  4. Click OK to save selection and continue.

Importing Checklists

Checklists are defined in an MS Excel sheet and it is imported to the system.

To create an excel template

  1. In the Masters-Checklist toolbar click Generate Template.

Save As window is displayed. Save the template. A template similar to the one below is generated.

Figure: Checklist Template

Enter value for the following fields in the template.

#

Field

Description

1

CHECKLIST NAME

Enter a unique checklist name.

2

CHECKLIST TYPE

Select a checklist type from the following options.

Recurring with Edited Copy: On selecting this option during each iteration of a workflow, user will be able to modify the same checklist.

Recurring with Un-Edited Copy: On selecting this option user will be able to update a fresh copy of the checklist during each iteration of the workflow.

Non-Recurring: On selecting this option, checklist is accepted only during the first time the checklist is triggered during the workflow.

3

TYPE

Type can be selected as Group or Checkpoint. Those marked as GROUP will be imported as groups and those marked as CHECKPOINTS will be imported as check points.

4

LEVEL CODE

Enter a value 0, if the checkpoints have to be added directly to the checklist. Or else enter the level number under which the checkpoint has to be added.

For Example:

  1. Provide Level Code as 1, 2, 3 etc. for groups under checklists.
  2. Provide Level Code as 1.1, 1.2, 1.3 etc. for groups under a group (having Level Code as 1).
  3. For checkpoints coming under a group, provide Level Code as same as the Level Code of the group.

5

DESCRIPTION

Enter a description for the checklist, group or checkpoint.

A sample import file is displayed in the following figure.

Closely observe the file the format in which checklists, groups and checkpoints are entered in the excel file.

After entering the values save the excel file.

To import checklists

  1. In the Checklists Masters window tool bar click Import from Excel.
  2. Import from Excel window is displayed. Click the browse button next to Select Excel File and select the excel file from the location where it is stored.

  3. Click OK.

Checklists defined in the excel sheet are imported to the system.

Assigning user groups to checklists

Usually depending upon the role, a user is required to update only a few checklists. Hence a facility to filter the checklist based on User groups is available.

Users Groups are assigned to checklists and checkpoints, and based on this they are filtered and displayed to users.

To assign user groups

  1. In the checklist master select a checklist that you want to assign to a group.
  2. In the tool bar click Edit.

Checklist Entry window is displayed.

  3. In the window click User Groups.

Group List window is displayed.

In the window select the user groups that has to be assigned to a checklist.

  4. Click OK.

Single or Multiple groups can be selected. The selected groups are saved against that checklist.

Assigning and activating checklist rules

Rules can be defined for assigning checklists to documents and tasks at different instances. Rules are created based on a set of criteria, which are document or task properties and their expected values. When the object (task and document) properties have the desired value, checklists are assigned automatically.

A primary rule is created by adding a workflow stage into the list. A checkpoint can be selected as a filter. Once a filter is selected only the selected checkpoints are displayed for an active Checklist in the Active Checklists window.

After selecting the workflow stage, additional rules are added. The stage names in the primary rule is to be unique. Meaning, one stage name cannot be used in multiple rules.

When the workflow stage is activated, system will check whether the additional rules (if any) are satisfied. If additional rules are satisfied, the checklist will be activated.

Checklist rules are assigned to documents or tasks and when the rule conditions are satisfied, these rules are activated.

To add rules

  1. In the checklist masters window tool bar click the down arrow and in the menu click Link.

Figure: Checklists Master

Checklists Rule window is displayed.

Figure: Checklist Rule window

Rules can be assigned and criteria can be added to the rules in the upper half of the window and conditions for triggering the rules rules can be assigned and and criteria for the rules can be added in the lower half of the window.

To assign rules

  1. In the Checklists Rule window, in the Assign Rules section click Create Rule.

Checklist Rule window is displayed.

Figure: Adding Checklist Rules

  2. In the window enter values for the following properties.

#

Property

Description

1

Rule Name

Enter a rule name.

2

Object Type

Select an object type from a drop-down list. Options available are Document and Task.

3

Checklist Type

Select a checklist type from a drop-down list. The following options will be available.

Recurring with Edited copy: If this option is selected, during each iteration of a workflow, user is permitted to modify the same checklist.

Recurring with un-edited copy: If this option is selected, during each iteration of a workflow, user is permitted to update a fresh copy of the checklist.

Non-Recurring: If this option is selected, checklist is accepted only during the first time checklist is triggered during the workflow.
  3. After entering the values click OK to create the rule.

After creating the rule, criteria can be added to the rule.

To add criteria

  1. Select the rule and click Add Criteria.

Figure: Adding Criteria

  2. Select Properties window is displayed. Select a property from the list.

After selecting the property values can be entered in different columns in the window.

Figure: Adding Criteria and entering values

  • Append Condition: There can be instances when multiple rules have to be defined and a relation is to be created between the rules. In such instances a condition can be defined here. Options available are AND, OR.
  • Open Bracket: Select an opening bracket to create combination of multiple rules. Bracket types available are ( and ((.
  • Operator: Here an operator for the rule can be selected from a drop-down list. The operator selected links the property and the value. For Example: Suppose the property selected is Workflow and the workflow that has to be assigned is Engineering Workflow, then the condition selected is EQUALS.
  • Value: The rule value is selected here. Value will be different for different properties.
  • Close Bracket: Select a closing bracket to create combination of multiple rules. Bracket types available are ) and )).

Once rules are added, conditions have to be defined for activating the checklists automatically so that the user has to update the checklist before proceeding. Different rules are created and criteria can be assigned to the rules to trigger or activate the checklist rules. Workflow Stage is a mandatory property to activate the checklist rule.

To create trigger rules

  1. In the Checklist Rule window, Trigger Rules section click Create Rule.

Figure: Creating Triggering Rules

  2. Checklist Rule window is displayed. In the window enter values for the following properties.
# | Property | Description
1 | Rule Name | Enter a rule name.
2 | Object Type | Select an object type from a drop-down list. Options available are Document and Task.
3 | Enable Filtering | The checkbox next tp this option will be unchecked by default during the creation. On selecting the ‘Enable Filtering’ checkbox, a browse button will be displayedin the checklist display grid. On clicking browse button, all the checkpoints will be displayed where user can select the checkpoints to be filtered.
  3. After entering values for properties click OK. Rule is created successfully and a new row is inserted.

Next step is add rule criteria to the created trigger rule.

To add rule criteria

  1. Select the trigger rule and click Add Criteria.

  2. Select Properties window is displayed. Select a property from the list.
  3. After selecting the property, values can be entered in different columns in the window.

  • Append Condition: There can be instances when multiple rules have to be defined and a relation is to be created between the rules. In such instances a condition can be defined here. Options available are AND, OR.
  • Open Bracket: Select an opening bracket to create combination of multiple rules. Bracket types available are ( and ((.
  • Operator: Here an operator for the rule can be selected from a drop-down list. The operator selected links the property and the value. For Example: Suppose the property selected is Workflow and the workflow that has to be assigned is Engineering Workflow, then the condition selected is EQUALS.
  • Value: The rule value is selected here. Value will be different for different properties.
  • Close Bracket: Select a closing bracket to create combination of multiple rules. Bracket types available are ) and )).
  4. Click OK to exit the window. On clicking OK, a message Rules Saved Successfully is displayed.

The checklist will be activated when the rule criteria are satisfied.

Defining destination stage for triggering workflow based checklists

In some organizations, the checklist is assigned to engineering lead's stage. From this stage, the document could be routed to IDC stage or to Approver's stage depending on the type of document. If the document is to be routed to IDC stage, checklist shouldn’t be activated. Only if the movement of document is from Lead stage to Approver's stage, checklist needs to be activated.

For Example: Consider the following workflow.

Consider that the stage ‘CHECK’ has checklists assigned and activated. Ideally these checklists are to be attended when routing to stage ‘APPROVE’; not when routing to stage ‘DRAFT’. But currently, when routing from stage CHECK in either direction, the checklists are validated for closure.

As a solution to this checklist can be configured based on the Source-Destination combination. While creating checklists and linking the check lists, Source-Destination combination can be defined.

When property ‘Stage Name’ is selected as a criterion for triggering checklist, option to select the Destination stage is available. In the column Value, on clicking the more option next to the source stage, in the Select Workflow stage window, Destination Stage cam be selected from a drop-down list. By default, value ANY is displayed in the column.

Figure: Selecting destination stage

While sending documents, if a checklist validation rule is found for the current stage with ‘Any’ as the destination stage, all active checklists are validated for closure. If a checklist validation rule is found for the current stage with a specific destination stage, all active checklists are validated for closure only when the destination stage is among the target stages.


List of checkpoints

List of Checkpoints are a set of conditions that has to be checked in a particular project. This module is the interface where the list of checkpoints may be entered.

Navigation Table

To | See
Open Checkpoints master | Opening checkpoint masters
Create Checkpoints | Creating Checkpoints
Import Checkpoints | Importing Checkpoints
Assign checkpoints to checklist | Assigning Checkpoints to Checklists
Manage Groups | Managing Groups
Assign groups to checkpoints | Assigning groups to checkpoints

Opening checkpoint masters

To open checkpoint masters

  1. In the Control Panel click Masters >Checklists >List of Checkpoints.

List of Checkpoints window is displayed with a list of already existing checkpoints.

Figure: List of Checkpoints window

Creating Checkpoints

A checklist usually contains different checkpoints. Based on the requirement different checkpoints are created.

To create a checkpoint

  1. Open the Checklist Masters.
  2. In the left pane click List of Checkpoints.
  3. In the List of Checkpoints window tool bar click New.

Checkpoints window is displayed.

Figure: Creating Checkpoints

  4. Enter a description for the Checkpoint and click OK.

A checkpoint is created.

After creating the checkpoints, they can be assigned to a checklist. Also checkpoints can be assigned to a group and the group can be assigned to a checklist.

Importing Checkpoints

Checkpoints can be entered in an MS Excel sheet and saved. The checkpoints defined in the file is then imported to the system.

To generate a template

  1. In the checkpoint masters window tool bar click Generate Template.

Save As window is displayed. A template similar to the one below is generated.

  3. Enter a Serial Number and a description for the Checkpoint. Save the template.

To import checkpoints

  1. In the Checkpoint Masters tool bar click Import from Excel.
  2. Import From Excel window is displayed. Click the browse button to select the excel file.

  3. After selecting the file click OK to import to checkpoints.

Checkpoints are imported successfully.

Assigning Checkpoints to a Checklist

After creating the checkpoints, they can be assigned to a checklist.

To assign checkpoints

  1. In the Checklists window select a checklist.
  2. In the tool bar click New>>Checkpoint.

Checkpoints window is displayed with a list of created checkpoints.

Figure: Assigning Checkpoints

  3. Select the checkbox next to the checkpoint that you want to assign to the checklist.
  4. Click OK to continue. Checkpoint added successfully window is displayed.

Selected checkpoints are added to the checklist successfully.

Managing Groups

Checkpoints can be added to a Checklist either directly or under a hierarchical structure of groups.

After selecting a Checklist, a group is created and checkpoints are added to this group.

To create a group

  1. Select a Checklist under which you want to create a group.
  2. In the tool bar click New>>Checklist Group.

New Group Entry window is displayed.

  3. Enter a Group Description and click OK.

A group is created under the selected Checklist.

To assign checkpoints

  1. Select the created group and in the tool bar click Checkpoint.

Checkpoints window is displayed with a list of checkpoints.

Figure: Assigning checkpoints to a group

  2. Select the checkbox next to the checkpoint that has to be added to the group.
  3. Click OK. Checkpoints are added successfully to the group.

Figure: Checkpoints added to the group

Assigning groups to checkpoints

Usually depending upon the role, a user is required to update only a few checkpoints. Hence a facility to filter the checkpoints based on User groups is available.

Users Groups are assigned to checkpoints, and based on this they are filtered and displayed to users

To assign groups to checkpoints

  1. Expand the checklist and select the checkpoint to which groups has to be assigned.
  2. In the tool bar click Edit.

Figure: Assigning user groups to checkpoints

Checkpoints window is displayed.

  3. Click User Groups.

Group List window is displayed.

Figure: Group List window

  4. In the window select the user groups that has to be assigned to checkpoint.
  5. Click OK.

Single or Multiple groups can be selected. The selected groups are saved against that checkpoint.


Custom Characteristics

Each object in WRENCH such as Documents, Schedules etc. may have a number of characteristics associated with it. Often, to serve exclusive requirements, new characteristics may need to be associated with these items. WRENCH has a scalable characteristics management system, using which additional characteristics can be created as required, for any of these items. Such characteristics may have specific security concerns, and default values etc. Customer characteristics address these requirements.WRENCH Enterprise allows for a set of characteristics to be defined as a class and assigned to an object. Class is a template definition of a set of characteristics. When a class is assigned to an object all the characteristics in that class will be assigned to the object.

The steps to follow here are:

  • Define Characteristics in the Characteristics module
  • Define a New Class in the Classes Module
  • Link the Characteristics to the Class in the Class Characteristics Link Module
  • LOV may be updated in the Characteristics module by clicking on "View Lov"
  • Once the above steps are complete the user may link the object to the Class in the Object Class Link

Custom Characteristics will contain the modules as indicated in the navigation table

Navigation Table

To | See
Create and Maintain a Class | Classes
Specify Characteristics | Characteristics
Define security for characteristics | Characteristics Security
Define Class Characteristics link | Class Characteristics Link
Define Object Class link | Object Class Link


Characteristics

All the characteristics that can be assigned to a class defined in WRENCH can be specified here.

Navigation Table

To | See
Access the Characteristic master | Opening Characteristics masters
Create a Characteristic | Creating a Characteristic
Create a List of Values | Creating a List of Values
Maintain a Characteristic | Maintaining a Characteristic
Perform a logical operation | Logical Search Operations

Opening Characteristic window

  1. From the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel
  2. In the control panel from the Masters group select Custom Characteristics. Characteristics master window is displayed.
  3. In the left pane select Characteristics. Characteristics master window is displayed

Creating a Characteristic

In the Characteristics master window entire existing characteristics are displayed in the ensuing menu.

To create a new custom character

  1. In the Characteristics Master window click New.

New Custom Character window is displayed.

  2. Enter a unique Characteristic Name.
  3. Select a Data Type from the drop-down list. Values displayed in the list are Number, Text and Date.
  4. Enter a Data Width. In case Data Type selected is Date, enter a default date.
  5. If the Data Type selected is Number a decimal point can be entered for the data width. Enter a decimal value in the field next to the property Decimal. Using the Edit option, user can increase the length of the custom property. Also the length of the custom property can be decreased to the length greater than or equal to the already existing least value for the respective custom property .

Figure: Creating Characteristic

NOTE: Character length of the numeric type custom properties is 15 characters. This is because MS Excel will support only 15 characters. While creating a Custom Characteristic if character length exceeds, a warning message is displayed. Value entered for the decimal value should be less than the Data Width. Or else a warning message is displayed.

  1. Select the check box against "Is Mandatory" if the Characteristic is to be made mandatory . If Mandatory then further processing is impossible without the data .
  2. Either a single value, a list of values(LOV) or Wrench type can be assigned to the characteristic from a drop-down list. Select "LOV " if a list of values are assigned to a characteristic. Please note that the user may select only from the LOV provided while processing.
  3. Select Wrench type if values are to be generated by the system based on the database query provided (explained in later section). When user adds a Document or Tasks having Wrench type custom properties, system will prepare the list of possible values from which the user may select one. On selecting Wrench type custom property, a box to provide query will be enabled. Here SQL query for generating values for the custom property can be entered. After entering the query click Validate to verify the query. If the query is executed successfully then a message will be displayed “Query validated successfully” If the execution of the query fails a message “Query validation failed.” is displayed. When user clicks on a Wrench type custom property assigned to a document, tasks, transmittal etc. during creation or editing, then the value in the custom property will be populated based on the query. The values thus generated cannot be edited by the user

Assigning a list of Values to a Characteristic -View LOV

  1. Select "Manage LOV" from the tool bar . This option is relevant only for those characteristics for which "Is an LOV field?" is enabled.

List of Values window is displayed. Here you can add list of values for the selected characteristics, update existing values or delete list of values assigned to the characteristics. You can also assign the list of values to projects.

NOTE: LOV value can be duplicated (same code with different description).

Figure: List of Values

To add list of values

  1. In the field LOV Description enter a description for the LOV.
  2. In the field LOV Value enter a value for the LOV.
  3. Click Add to assign the values to the characteristics.

To update list of values

  1. In the List of Values window select the value that you want to update.
  2. Edit the values.
  3. Click Update to store the changes.

To remove the list of values

  1. In the List of Values window select the values that you want to remove.
  2. Click Delete. The entered values will be removed.

Importing LOV's in bulk

List of Values's can be imported in bulk using an excel template.

  1. In the List of Values window click Generate Template.
  2. An excel template is generated. In the template enter LOV values and description and save the template.
  3. Click the link Import LOV.

File selection window is displayed.

  4. Select the template that contains the LOV values and click OK.

List Of Values entered in the template are imported to the window.

Assigning list of values to a project

List of values can be assigned to a Project, so that each project will have its own set of LOV for a given custom property. You can assign a Project ID against each LOV value. List of Values assigned to a different project can be imported to another Project.

Figure: Assigning list of values to a project

To assign list of values to a project

  1. In the List of Values window, click the browse button next to Project ID.
  2. Project Search window is displayed. In the Project Search window select a project.

If there are any LOV's assigned to the selected project, it is displayed in the grid;or else the grid would be blank.

  3. Add the list of values if there are not any assigned to the project.

To import list of values from another project

  1. Click Link button.

Select LOV window is displayed with a list of values assigned for different projects.

  2. Click the checkbox next to the list of values you want to import. You can also select all the values by clicking the Select All checkbox.
  3. Click Select button to complete the import procedure.

Maintaining a Characteristic

NOTE: User will be able to update the Characteristic only before linking Class to it.

  1. Select Characteristic from the list. The system displays the Characteristic and its specific information on the text boxes below the list.
  2. Select "Edit" for editing and "Delete" to remove.


Characteristics Security

WRENCH follows a scalable characteristics management system, using which additional characteristics can be created as required, for any of these items. Such characteristics may have specific security concerns, and default values etc. Security can be defined for each characteristic here.

User will need certain rights to add/view/update the characteristics fields that are linked to certain projects, documents etc. Characteristics Security module is where the security rights are set for specific users and user groups to add/edit/delete/view the values. User may refer the navigation table for managing characteristics security.

Navigation Table

To | See
Assign Security for Custom Characteristics | Accessing Characteristic Security
Define Security for Custom Characteristics | Creating Characteristic Security
Manage Characteristic Security | Maintaining Characteristic Security

Opening Characteristic Security window

  1. In the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel
  2. On the control panel from the Masters group select Custom Characteristics. Characteristics master window is displayed.
  3. On the left pane select Characteristics Security. Characteristics Master window is displayed.

Creating Characteristic Security

  1. Select an object type from the Combo, all the objects in this specific object type is listed under Object Type List.
  2. All the classes assigned to this Object is listed under Character list. Select the Class and the specific characteristic to which security has to be assigned.
  3. Select the User Groups/User that are to be assigned Security rights.
  4. Use '>' arrow keys to select users and '<' arrow to remove. More than one user can be selected.
  5. WRENCH allots "Can View" , "Can Add" and "Can Modify" privileges and the check boxes can be clicked to allot them to the user groups.
  6. Click Save to update the security settings for a particular Object-Class characteristic.

Figure: Characteristics Security

Maintaining Characteristic Security

  • The View and Edit options can be updated by checking the box in Group Description and clicking on 'Save' button.


Class Characteristic Link

Class is a template definition of a set of characteristics. By linking a Characteristic to a class, the user groups a specific set of features under the same Class. Objects linked to a particular class causes a predefined set of characteristics under a class to be inherited.

Navigation Table

To | See
Access Class Characteristic menu | Opening Class Characteristics Link
Create Class Characteristics Link | Creating Class Characteristics Link
Maintain Class Characteristic Link | Maintaining Class Characteristics Link
De-link a class characteristic Link | The Obsolete Button and De linking a Class Characteristic Link

Opening Class Characteristic Link window

  1. In the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel.
  2. In the control panel from the Masters group select Custom Characteristics. Characteristics master window is displayed.
  3. In the left pane select Class Characteristic Link. Class Characteristic Link window is displayed

Figure: Class Characteristics Link

Creating a Class Characteristic Link

  1. Select Class-Characteristic Link

Figure: Class Characteristics Link

  2. Class Characteristic Link window is displayed.
  3. Character Name and Status is displayed. When a new characteristic is created the “Status” column displays “Available.”
  4. To create new Class Characteristics Link the user may click "New."

"List of Classes" window is displayed.

Figure: List Of Classes window

  6. From the List of Classes displayed, select the Class to which the characteristics has to be linked and click "Ok" to avail the following window

  8. Select the characteristics to be linked to that particular class and click on "Update".
  9. Class is successfully updated box is displayed

Maintaining a Characteristic

  1. Select Characteristics from the list. The system displays the Characteristic and its specific information on the text boxes below the list
  2. Click "Edit" for editing, "Obsolete" to make the link obsolete and "Detach" to detach.

The Obsolete Button

When Custom characteristics are created and values are defined to it, occasionally a need arises to prevent the custom characteristics being reused. The “Obsolete” button in the toolbar facilitates this. The usage of the “Obsolete” function results in following actions.

Figure: Obsolete button

  1. Single or Multiple characteristics are defined as “Obsolete”
  2. If “Obsolete” status is assigned for a class, then all the characteristics grouped in this class are set as Obsolete.
  3. User cannot add values to class characteristics assigned as “Obsolete”
  4. Once a Characteristic is made as Obsolete in Class Characteristic Link, the link is made Obsolete. Hence forth when the particular Class is assigned to an object the Characteristic will not be linked to it.

De linking a Class-Characteristics link

WRENCH provides the user with an option to delink a Custom Characteristic from Class-Characteristics link master.

  1. Select a characteristic to be detached
  2. In the toolbar select “Edit”
  3. In the ensuing window clear the Characteristic to be de linked
  4. Click "Update"
  5. Once a particular characteristic is de linked from a class, the characteristic will be removed from the Particular Class. This operation would make the Characteristic to be removed from all the existing linkages to any object( even if actual values are specified, i.e. Such Characteristic and its value will be lost for an already made assignment) and characteristic will not be available for objects to which the class is linked in future.

Maintaining Class Characteristic Link

  1. To update the Class Characteristic Link the User may click "Edit"
  2. Select or Deselect the Characteristics to include or exclude Characteristics.
  3. Click Update.

NOTE: The User will not be able to update once an Object Class link has been created.


Classes

Class is a template definition for a set of characteristics. When a class is assigned to an object all the characteristics in that class will be assigned to the object.

Navigation Table

To | See
Open Class menu | Opening a Class
Create a Class | Creating a Class
Maintain a Class | Maintaining a Class

Opening Class Master window

  1. In the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel.
  2. In the control panel from the Masters group select Custom Characteristics. Characteristics master window is displayed.
  3. In the left pane select Class. Class master window is displayed.

Creating a Class

In the Class Master window entire existing classes are displayed in the ensuing window.

  1. Click "New" in the "Masters Classes" Menu
  2. Enter the new Class and Click the 'OK' button to register the new class .

Figure: Custom Class Master

NOTE: If the check box next to Inherit on revision is selected, on revising a document for which this class is assigned; the same value will be assigned after revision also.

Maintaining a Class

NOTE:User will be able to update/delete a Class only before linking characteristics to it.

  1. Enter the Class Name on the "Look For" field . If the class exists in WRENCH then it will be displayed below. Select the class and in the toolbar click Edit.

  2. Enter the Class Name on the "Look For" field . If the class exists in WRENCH then it will be displayed below. Select the class and in the toolbar click Remove.


Dependencies

While defining custom properties in WRENCH Masters, dependencies can be defined for custom properties so that some of the custom properties are dependent on the values of other custom properties. When custom properties with dependent values are selected while adding single or multiple document, values get populated automatically based upon the relationship between the custom properties defined in WRENCH.

For Example: Assume that there are two custom properties CONTINENTS and COUNTRIES, both LOV type. Property CONTINENTS will have the names of all continents in its LOV. While defining the LOVs for COUNTRIES, it should be possible to relate each LOV value to a corresponding LOV value in CONTINENTS so that when one of the values of property CONTIENTS is selected, only the corresponding related values is displayed for the property COUNTRY. If value ASIA is selected for the property CONTINENT, then value for countries will be automatically INDIA, PAKISTAN, BANGLADESH, NEPAL, SRI LANKA,CHINA etc. because a dependency exists between CONTINENTS and COUNTRIES.

To create dependencies

  1. In the Custom Characteristics window click Dependencies.

Dependencies window is displayed.

Figure: Dependencies window

  2. In the tool bar click New.

Dependency Relation window is displayed.

Figure: Dependency Relation window

  3. In the dependency source pane click the browse button.

Select Dependency Source window is displayed.

Figure: Selecting dependency source

  4. Click the down arrow to select a Class from the drop-down list.

On selecting a class, Character Names assigned to the class is displayed.

  5. Select the check box next to a character name.
  6. Click Select button to complete the selection process.

Selected characters are displayed in the Dependency Relation window.

  1. In the Dependency Source pane click the browse button next to value to select a value for the Character.

Figure: Selecting values for source

LOV’s assigned to the character are displayed.

  2. Select a value and click the Select button.

A dependency source is created successfully.

Once a source is created, browse button for selecting dependency target is displayed.

  3. Click the browse button to select the dependency target.

Select Dependency Target window is displayed.

Figure: Selecting dependency target

  4. Select the checkbox next to dependency target and click Select button.
  5. In the Dependency Target pane click the browse button to select a value for the Character.

LOV’s assigned to the character are displayed.

Figure: Selecting Target values

  1. Select the checkbox next to the values that you want to choose.
  2. In the tool bar click Select.

Dependency Target is selected successfully.


Object Class Link

"Object Class Link" enables the object linked to a specified class to inherit all the predefined Characteristics of that Class. WRENCH recognizes Document, Project , Project Line Item, Task and Part Group as Objects.

Navigation Table

To | See
Open Object Class Link menu | Opening Object Class Link
Create Object Class Link | Creating Object Class Link
Maintain Object Class Link | Maintaining Object Class Link
Incorporate Product module plug-in | Product module plug-in

Opening Object Class Link

From the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel

  1. In the control panel from the Masters group select Custom Characteristics. Characteristics master window is displayed.
  2. In the left pane select Object Class Link. Object Class Link window is displayed. The Object-Class Link window will display the current object-class links as displayed in the following figure. Different objects that have class linked to it are displayed in the window. On expanding the object classes linked are displayed.

Figure: Object Class Link

  3. To create an Object-Class Link click "New."

Custom Object Class Link window is displayed.

  4. Select an object type from a drop-down list.

Figure: Custom Object Class Link

Creating a New Object Class Link

WRENCH recognizes Document, Project , Project Line Item, Task, CR, CN, Transmittal Type, Comment Response Sheet, User Origin, BOM and Part as objects.

"Object Class Link" enables the object linked to a specified class to inherit all the predefined Characteristics of that Class.

  1. Select the Object Type from the drop-down list.
  2. A List displaying the various objects under the type is displayed to the left, click the level for which a class has to be assigned
  3. In the right under the Class name select the checkboxes against "Select " for all those classes that are linked to the level defined on the left
  4. Click "Ok" button to link the object to a class.

Figure: Custom Object Class Link

In the custom object class link window when user selects Project, "Enquiry/Project" tab is displayed in the left half of the window. On expanding the tab the entire genealogies created under project are listed as displayed in the following figure. User can link class properties to a genealogy. Select the checkbox next to a class to link them to a genealogy.

Figure: Custom Object Class Link-Project Genealogy

Maintaining Object Class Link

  • Click "Edit" and "Remove" button to de-link any of the classes from the object.

If Product Module Plug-In is incorporated

If the Part and Product Structure module plug-in has been incorporated then additional object types Part, BOM Item, BOM Usage are available in the Select object type drop-down list. Object class links can be defined for these items in the same way it has been explained earlier.

Assigning Custom properties to workflow stages

While assigning custom characteristics to documents, you can assign custom properties for workflow stages. You can also define the assigned custom properties as mandatory for completion of the stage.

To assign custom properties to workflow stages

  1. In the Custom Object Class Link window select a Class Name
  2. Click the hyperlink Workflow Class Link

Figure: Assigning Custom properties to workflow

  3. Workflow Stage Class Link window is displayed.

Figure: Workflow Stage Class Link

The elements in this window are explained in the following table

# | Item | Description
1 | Work flow | Select the browse button to select the work flow for which custom characteristics has to be assigned
2 | Work flow Team | Select a work flow team
3 | Source Stage | Select the stage to which custom characteristics has to be assigned from a drop down list.
4 | Destination Stage | Select the destination stage from a drop down. Default value will be ‘Any’. Based on the Source-Destination stage combination of routing, system will display the defined custom properties.
5 | Class | Select the class that has to assigned to the stage
6 | Characteristics | Select a characteristic from a drop down list
7 | Mandatory | Select the check box for making updating of custom characteristics as mandatory

Once the values are assigned click Save to store the changes.


Document

WRENCH being a PLM Solution , handling documents is an important component . For efficient handling of large volumes of documents appropriate classification and grouping of these documents are essential. Apart from creating document classification guidelines, you may define default document characteristics, revision series, document approval codes etc.

Document master have been classified into different section. Please see navigation table for more details.

Navigation Table

To | See
Define and maintain Approval Requirement Codes | Approval Requirement Code
Define and maintain Approval Status Codes | Approval Status Code
Define an Association Purpose | Association Purpose
Define and maintain Internal Status Code | Internal Status Code
Define and maintain Life Cycle Status Codes | Life Cycle Status
Define and maintain various Link Types | Link file type Details
Define and maintain Sheet sizes | Sheet Sizes
Define and maintain Template Master | Template Master


Approval Requirement Codes

Approval requirement code defines the nature of review and approval a document should have from the customer. For example, certain documents may need to be approved by the customer before it can be used for manufacturing/ construction (Example: General Assembly Drawings, Floor Plans etc) while some documents need to be sent to the customer just for information (Example: Government department certificates etc.)

For Example :

During the development of a Power grid, there could be a number of design tasks, which needs the customer’s approval on the design, before they can be used for construction. Examples are “Layout Plan”, “Drilling Schedule” etc. Whereas a number of other tasks may just need to get notified to the customer i.e ,no approval is required. Examples are “Environments department certification” etc. These are different kinds of approval requirements. Hence the approval requirements described in the above scenario may be consolidated as “For Approval” and “For Information” respectively. This may get further abbreviated as just “A” and “I” respectively, to call it “Approval requirement code”. In WRENCH, Approval requirement codes are defined in “Approval Requirement codes” master as a consolidated list

After the “layout plan” is created, since the approval requirement code is “For Approval”, it needs to be sent for customer’s approval. In WRENCH, Transmittal is the means of sending documents to external agencies. Also, the external agencies such as customers, consultants etc can be flagged in the WRENCH workflow as “External” so that system can validate if a transmittal has been sent to such agencies before the workflow is advanced. After reviewing the “layout plan” customer should have a facility to specify the status of the review (Approved, Rejected, Approved but having comments etc.). Such responses are codified as “Approval Status codes” in WRENCH. As different customers may codify such responses differently, WRENCH has a facility to capture the approval status codes for each customer.

Navigation Table

To | See
Access the Approval Requirement Code Entry menu | Accessing
Create Approval Requirement Codes | Creating new approval requirement codes
Maintain Approval Requirement Codes | Maintaining Approval requirement codes

Opening Documents Master

From the WRENCH desktop click the "WRENCH" button and from the ensuing menu select control panel

  • In the control panel from the Masters group select Documents. Document master window is displayed.

Creating Approval Requirement codes

  1. In the documents master window left pane select Approval Requirement Code master
  2. Approval Requirement Code Entry window is displayed

Figure: Approval requirement Code Master

Specify the new approval requirement code and a description and click "Ok" button to create a new code.

Maintaining Approval Requirement codes

  1. Select the required code from the list
  2. The system will display the selected code and description in the text boxes below the list
  3. To edit, make the changes on the description as required and click "Edit" button to save changes. The code cannot be edited
  4. Clicking "Remove" button will remove the selected code. Approval requirement codes that are already assigned to a document category and type can't be removed.


Approval Status Codes

Approval status code defines the customer's response on a document that has been sent for customer approval. For example, if a document is rejected by customer, the document will have to be revised as per suggestion and the overall percentage of progress (in creating the document) will drop considerably as it needs a lot of rework. The approval status codes are applied to each customers (in customer master ). Every Client follow unique Approval Status Codes. To accommodate this WRENCH saves the various Approval Codes with corresponding internal codes. This procedure is described below. Here we need to list the standard approval status codes , define percentage weightages and specify if revision is to done for each approval code.

NOTE: Approval status codes have special significance. When a document is rejected by the customer, it needs to be reworked and sent back for approval again. Where as documents which are approved by customer should be immune from further changes. WRENCH has facilities to categorize approval status codes depending on whether a code demands revision of the document or not.

Navigation Table

To | See
Access Approval Status Code Entry window | Accessing
Create Approval Requirement Codes | Creating Approval Requirement codes
Maintain Approval Requirement Codes | Maintaining Approval requirement codes

Opening Approval Status Code window

  1. In the control panel from the Masters group select Documents. Document master window is displayed.
  2. In the left pane select Approval Status Code.

Figure: Approval status Code Master

Creating Approval status codes

  1. Specify the new approval requirement code, description, effective (net) percentage of completion etc. and click "Add" button to create a code.
  2. The "Revision required" check box may be selected to define that the document needs revision if it comes back from customer with the specified code.
  3. The application of "Percentage completion" and "Revision required" is in the "workspace" module.

Maintaining Approval Status codes

  1. Select the required code from the list.
  2. The system will display the selected code and details in the text boxes below the list.
  3. To edit, make changes and click "Edit" button to save changes. The code can't be edited.
  4. Clicking "Remove" button will remove the selected code. Approval status codes that are already assigned to customers can't be removed.


Attachment Purpose

This master is used to specify the purpose of addition of document to the attachments types spector, Attachments, Comments, Markups and Squad check Comments. While adding these Attachments to a document the user can add the attachment purpose from the master list of values defined here.

Creating an Attachment Purpose

  1. Click " New" in the Tool bar to avail the " Attachment Purpose" window.
  2. Enter the " Attachment Purpose."
  3. Click "OK."

Figure: Attachment Purpose


Document Template Master

WRENCH may need to map a set of file properties under a specific Template name. Such Templates are created and managed in the Template Masters.

You may need a standard pattern for some documents, for example Purchase Order, Invoice etc. User can create these Templates from the Template master. The user can use these standard templates while adding a new document.

Navigation Table

To | See
Access Document Template Master | Opening Document Template Master
Add a New Template | Adding a new Template
Edit a Template | Editing a Template
Remove a Template | Removing a Template
Copy a Template | Copying a Template
Display mapped Projects | Show mapped projects
Mag images in comments | Mapping images in comments based on association type

Opening Document Template Master

First step in creating a template for mapping is to open the document template master.

To open the template master

  1. Click Control Panel>>Masters>>Documents>>Document Template Master.

Document Template Master window is displayed.

Figure: Document Template Master window

Adding a new template

A new template is added from the document template master.

To add a new template

  1. In the tool bar click New.

Template Masters Entry window is displayed.

Figure: Template Masters Entry

In the template master entry window enter the following details.

#

Item

Description

1

Template Name

Specify a template name for easy identification.

2

File Name Logic

This can be selected from the drop down combo. File name logic is usually pre-defined.

3

Select File from Hard Disk

You can create a template and save it in your system. Click the browse button to select the template file from the hard disk. The selected file name and path is displayed in the “File Name” field.

You can click on “Remove” button to clear the selected file.

4

Project Independent

You can select the corresponding check box If the template selected is project dependent. Once this box is selected browse button next to Assigned Projects will be enabled . You can click this button to select a project from the Project Search window.

5

Template to be inserted

This option is enabled if the file selected is an AutoCad or Microstation drawing file. If the check box against this option is selected it denotes that template may be inserted into other drawings.

6

Save Template without Physical File

Once you select the check box next to this option you can save the template without attaching a file that will be used as a template.

7

Assigned Genealogies

You can select a genealogy and assign the template to this genealogy. Once you assign a template to a genealogy the template will be available while adding documents under this genealogy.

To assign template to a genealogy

  1. Click the “Browse” button next to Document Genealogy.

  2. Document Genealogy window is displayed. Select a genealogy.
  3. The template will be available while adding documents under this genealogy.

NOTE: You can also assign a template to multiple genealogies.
  2. Click OK to save the details.

To map the details to the template created

  1. Select the created template.
  2. In the Document Template Master window toolbar select Options.

Figure: Document Template Master window

  1. In the ensuing menu select "Details".

Template Characteristic Map details window is displayed where you can map the details to the template created.

Figure: Template Characteristics Details window

  2. Click Add.
  3. " Select characteristics" window is displayed.

Figure: Select Characteristics window

You can select Characteristics of Document, Organization, Task, Workflow, Project, Checklists and Association Purpose of Related Files from the drop-down list. Based on the object selected, corresponding characteristics will be displayed in the grid.

  4. In the window select the characteristics that are required and click Select button.

Selected characteristics are displayed in the Template Characteristic Map Details window.

Figure: Selected Field Names

For each property identify the character mode, whether it is a "Attribute Value" or a "File Properties" and based on the mode give the place holder value in the respective columns.

NOTE: For Excel, place holders are: Worksheet name and Cell reference e.g. Sheet1, A1. For Word, place holders are: Table ID and Cell reference. For AutoCAD, place holders are: Title block name and Attribute.

  5. After populating the place holder values in the Template Characteristic Map Details window click Save to store changes.

For Word templates, the book mark inserted in the template will be available in the Template Characteristic Details window.

Figure: Selecting Bookmarks

  6. Select the Bookmarks from a drop-down list.

The mapped value will be inserted in the template against the selected bookmark.

Mapping checklist properties in excel document template mapping

There are scenarios where the checklists attached to a document are to be mapped into the document at predefined locations. One of the typical scenarios where this is observed is for a contractor. To start work in a site, they need to create a document called PTW (Permit To Work). Once this document is added in SmartProject, created checklists will be assigned based on the rules defined in the genealogy and these checklists are filled and completed to initiate the work. Here the completed checklists should be mapped to the added document.

To map checklist properties

  1. In the Select Characteristics window select the object as Documents.
  2. In the displayed properties select Checklist and click Select.

Figure: Select Characteristics window

The selected property Checklist is displayed in the Template Map Characteristics window.

  1. Select the row that contains the property Checklist.
  2. Click the button Configure Attributes.

Figure: Configuring Checklist attributes

Checklist Characteristics window is displayed. Here checklist attributes available for selection is listed.

Figure: Checklist Characteristics window

  3. Choose the required blocks and click Select.

The checklist characteristics are inserted into the document at the location as defined in the template mapping.

Mapping images in comments based on association type

There are scenarios where images attached to a document needs to be inserted into the document at predefined locations. One of the typical scenarios where this is observed is when the inspection reports are handled as documents. Each issue or snag are created as documents in a specific genealogy so that it can be sent through the workflow to the resources responsible for rectifying the issue. Ideally the ‘Issue’ image and the final ‘Fix’ image are to be inserted into the document so that the document can be a comprehensive reference for the issue.

To address this scenario, In the Select Characteristics window that is displayed on clicking Add from Template Characteristic Map Details window, a property Association Purpose of Related Files is available in the drop-down list.

Figure: Mapping images in comments

On selecting this option, in the Select Characteristics window, Attachment Purposes defined in the Master is displayed.

Figure: Select Characteristics window

  1. Click the Select button to select the value for mapping.

NOTE: Using the association purpose of related files characteristics only MS Word bookmarks and Excel files can be mapped. In case of any other file formats, an error message is displayed.

Once the user has selected a field name (Characteristic) from the association purpose of the related files option, the character mode field is auto selected as File Mode. The cell references defined in the mapped word or excel template are selected from the list and is mapped as required.

When the user adds the template to SmartProject and proceeds to attach the images which needs to be mapped as related files, the attachment purposes is listed in the Related Files window and the attachment purpose defined against the images is mapped according to the mapping defined in the template mapping master.

Editing a Template

Only users with edit rights on the Template Masters are permitted to perform this operation.

  1. Select the template to be edited.
  2. On the toolbar click Edit.

Template Master Entry window is displayed.

  3. Make changes to the entries.
  4. Click “Ok” to save changes.
  5. Click “Cancel” to discard changes.

Removing a Template

Only users with Remove rights on the master are permitted to perform this operation.

  1. Select the template to be removed.
  2. Click “Remove” on the toolbar.

Copying a Template

User can copy a template to the local machine.

  1. Select the template to be copied.
  2. Click "Copy Out" from Options in the tool bar.

The selected template is copied to the specified location.

Displaying Assigned Projects

Usually templates are assigned to projects. Hence there is an option to display projects assigned to a template.

To display assigned projects

  1. In the tool bar select "Options."

Figure: Show Assigned Projects

  2. In the ensuing menu select "Show Assigned Projects."
  3. The Mapped Project window displays a list of projects to which this template is linked.

Figure: Mapped Projects window

AutoCAD template mapping

On selecting "Details" from "Options" in the tool bar for CAD file with extension DWG, the following window is displayed.

Figure: Template Mapping of Solid Works

NOTE: For bi-directional mapping you may be able to select the read only characters of file attributes. But on the mapping direction set for a document genealogy association, if the direction is "export the properties to document" then the read only fields will fail.

Add/Remove custom Properties to Template Definition

  • This option will enable you to add custom properties to mapping definition, which are already the part of selected document genealogy.
  • To select properties just tick the required fields and click on "Add to List". You may also select all the properties by clicking on "Select All" like wise "Deselect All" will enable you to deselect all the properties.
  1. Single Directional Mapping

Fields populated at the time of creating the document (basic properties of document in WRENCH), These fields are completely under control of 'WRENCH' and the mapping of characteristics flows only from 'WRENCH' to the document during template synchronization. The security is implemented because the details populated here are the primary details of document and only be operated by 'WRENCH'. This is extremely important for the integrity of your document management system.

  2. Bi-directional Mapping

These fields are defined as custom properties in 'WRENCH' and can be mapped to-and-fro between document to 'WRENCH' and vice versa.

NOTE: Some file properties of 'MS Word' and 'MS Excel' are read only. If these read only fields are defined in 'Template Mapping', and in document category-type association if you define 'Characteristic Update mode as Export characteristics to Document' the synchronization of document will fail when you try to "check-in" the document.

MS Word:

All the file properties of "MS Word" is read only.

MS Excel:

Read only fields of "MS Excel" are "Application, Full Name, Name, Path, Revision Number and Write Reserved By".

AutoCAD:

All the file properties of "AutoCAD" is read only.

Before the user attempts to do Single Directional mapping, he has to identify the fields in the selected template for which the mapping has to be done.

If the template is Document genealogy dependent and any of the identified properties comes under Custom Properties then include these properties in bi directional mapping by Clicking "Add/Remove Custom Document properties".

After populating the place holder values, user can save the mapping definition by clicking the button "Save". If a physical file is added with the template the definitions will be validated using the file. For the validation user needs Office 2003 and AutoCAD 2004 for the respective file types.

Signature Mapping

You can map and display digital signatures of a user in MS Word and MS Excel. The digital signatures will be mapped and displayed in the specified template, if the following settings are carried out.

1. Mapping the MS Word or MS Excel template

  1. In the "Document Template Master" window toolbar select "Options".

  2. In the ensuing menu select "Details".

Template Characteristic Map details window is displayed, in which you can map the details to the template created.

  3. Select the checkbox in the Signature/Stamp column against the default document properties for which the user name is mapped.

Figure: Template Characteristic Map details window

  4. Click Save to save the template .

2. To insert a signature file, a signature file has to be selected in the User Advanced Details window.

Figure: User Advanced Details window

3. Document genealogy to which the document is added as WRENCH template must have the default property ‘Character Updation Mode’ as Export Characteristics to Document.

Figure: Document Properties window


Internal Status Codes

Internal status code are user's response on a document that has been sent to an external agency. Internal Status Codes are maintained by the system for internal purposes for eg, Purchase Activities. This is specified while releasing a General Category transmittal.

NOTE: Internal status codes are sent for information, reference and approval ;whereas approval status codes are used solely for approval.

User Scenario

  1. The document released to clients need be edited( internal revision) even though those document are pending with the client.
  2. The documents needs to be reviewed in parallel when the document is released to client. This is especially true for Vendor documents, as these are received from the vendor and are sent to the client and Internal Document Controller(IDC) together. Once the comments from the client and IDC is received then the revisions are made. Some times before the client sends his comments, the IDC comments are taken up and document is edited.
  3. There might be different submission like 25%, 50%, 75% and 100%, which is made to the client. At any point of time the client would like to know the submission status. On each submission the revision number should increment. Approvals needs to be updated at any point of time for each submission.

WRENCH Addressing the above:

  1. A receipt stage is defined for a work flow by which an external agency can receive the documents send for approval/comments before they are released
  2. An option is provided to check out- released documents from workspace and edit and check in the files
  3. An Option is provided so that the transmittal and document details will store information revision and version wise. On every submission the revision number should increment and approvals are updated for every submission.

Navigation Table

To | See
Access Internal Status Code window | Accessing
Create and Maintain Internal Access Code | Creating and Maintaining Internal Access Code

Opening Internal Status Code

  1. In the control panel from the Masters group select Documents. Document master window is displayed.
  2. In the left pane select Internal Status Code.
  3. Internal Status Code window is displayed.

Figure: Internal Status Code Master

Creating and Maintaining Internal Status Codes

  1. To add a new Internal Status Code enter Internal Status Code and Description
  2. Specify if "Revision Required" and click "Ok"
  3. To edit select the code, make the changes and click "Edit"
  4. To delete a code , select the code and click "Remove."


Life Cycle Status

A document after its release will go through an entire life cycle where it is referenced by customers , vendors etc.. according to engineering processes followed by different industrial verticals. A Released document will have its revision updated for every revision imbibed by it. It is important for WRENCH Users to be able to pinpoint on what phase of this life cycle the document is at any given time. This interface is provided for entering the various phases in the life cycle of a Released/Work In Progress Document and the corresponding revision series used.

Sometimes it is necessary for the user to send a particular task that is not completed to either the vendor or client and according to the feedback the particular task may have to be revised. For that a feature to link a Work In Progress document/task to a revision series is available. The user may select either the existing revision series to the Work In Progress progress task or he/she may select a new revision series.

Navigation Table

To | See
Access the Life Cycle Status List window | Opening
Define Life Cycle Status | Defining Life cycle Status
Maintain Life Cycle Status List | Maintaining Life cycle status list

Opening Life Cycle Status window

  1. In the control panel from the Masters group select Documents. Document master window is displayed.
  2. In the left pane select Life Cycle Status.

Life Cycle Status List window is displayed.

Defining Life cycle status List

  1. Enter a unique Status Code.
  2. Specify the status Description.
  3. Specify whether the object is "WIP" (Work In Progress) or "Released."
  4. Click the ellipse button next to the Revision Series and select the Revision Series for this Status code by selecting one from the list displayed.
  5. Select either the existing revision series or select a new revision series. If the "Use Existing Revision Series" is checked the "Revision Series" Browse button will be disabled. "Use Existing Revision Series" can be enabled for both Work In Progress and Released documents.
  6. If the type is "Released" then the user can select a new revision series.
  7. Click "OK" to save.

Maintaining Life cycle Status List

  1. Click "Search" for the life cycle Status list.
  2. Select the specific entry, click "Edit" from the menu.

Life Cycle Status List dialog box is displayed.

  1. Edit the Status Description
  2. Select the Life Cycle Type.
  3. Select the check box against "Use Existing Revision Series" to use the revision series already assigned.
  4. Assign a revision series.
  5. Enter the new details and save.


Link FileType Details

This module is where the user may define the various link types and what application is to be used for editing a document of a particular file type that is used in the organization.A drawing file referenced by another drawing is called an external link. You can attach an entire drawing to the current drawing as an external reference (xref). With xrefs, changes in the referenced drawing are reflected in the current drawing. Attached xrefs are linked to, but not actually inserted in, another drawing. Therefore, with xrefs you can build drawings without significantly increasing the drawing file size.

Navigation Table

To | See
Access Link File Type window | Opening
Define a New Entry | Defining a new entry
Maintain Link File Type | Maintaining Link File Type

Opening Link File Type master window

  1. From the Control Panel select Masters.
  2. Select Documents>>Link File Type .

Link File Type window is displayed.

Defining a new entry

  1. In the tool bar click New.

Link File Type Details window is displayed.

Figure: Link File Type window

  3. Enter the extension of the new file link type. For Example: doc, txt
  4. Specify the file type e.g. text, document
  5. Specify the Associated Application. You can select an application from a drop down list. The drop down list can be accessed by clicking the arrow as shown in the following figure. On selecting Others from the list, documents and drawings created in applications which are not mentioned in the list can also be handled.
  6. You can also select a fetch Mode. You can select between Automatic and Express modes. On selecting handling of drawings and documents other than AutoCad, Microstation, Solid Edge and Solid Works is possible.
  7. Select the "Allow Linking" option. Selecting allow linking permits handling of X-ref documents.
  8. Select the "Xref Mandatory" option. Selecting Xref mandatory permits the handling X-ref documents mandatory for the defined link file type.
  9. Select the "Prompt for reference handler" option. Selecting prompt for reference handler permits the handling X-ref documents for the defined link file type in a later stage also.
  10. Click OK to save the link file type.

NOTE: While adding a drawing, if you have selected the "Allow Linking" option and "Xref Mandatory" option for the specified file type, then it is mandatory to link child X-ref documents to it. So if you have selected "Allow Linking" option and "Xref Mandatory" option, then while adding a drawing, Reference Handler window will be displayed to add the Xref documents to the drawing. Or if you have selected the "Allow Linking" option and "Prompt for reference handler" option for the specified file type, then user can add and link the child X-ref documents manually on a later stage.

Maintaining Link File Type List

  1. Click "Search" for the Link File Type List.
  2. Select the specific entry, Click "Edit" from the menu.
  3. Enter the new details and save.


Sheet Sizes

Sheet Sizes defines a list of paper sizes that documents can be made in. In this module the user may enter the Sheet sizes used in the business process.

Navigation Table

To | See
Access Sheet Size window | Accessing
Maintain Sheet Size | Maintaining Sheet Sizes

Accessing

  1. In the control panel from the Masters group select Documents. Document master window is displayed.
  2. In the left pane select Sheet Size
  3. Sheet Size window is displayed

Figure: Sheet Sizes

Maintaining Sheet sizes

  1. Type in the sheet size and click "Add" button to add a sheet size
  2. Click a sheet size from the list, select "Edit from the menu , modify it in the text box and click "Ok" to save changes
  3. Clicking "Remove" button will remove the selected sheet size. Sheet sizes assigned to documents can't be removed.


Number Generation

Reference numbers are mandates in any quality standards. Generating and maintaining distinct reference numbers for documents and other items is an arduous operation when managed using paper registers. Often these numbers are complex. WRENCH has a configurable reference number generation engine, which can complement a large spectrum of usage. It can be configured to create virtually any type of reference numbers.

Number generation module is used to generate project/Document/Part/MOM/CP numbers where there is a specific logic for number generation. This module is used to define the logic for each of the blocks of a number, so that user can easily generate numbers from any modules by selecting the number generation template.

This is a function that can only be done at the administrative level. An in depth study of the template numbers used for the various documents are recommended before the administrator proceeds to map this on WRENCH. Template master and Block master is used for defining the numbering template. In template master the template can be defined with the number of blocks and each block details can be defined in Block master.

The number generation module consists of the sub-modules as indicated in the following table.

Navigation Table

To | See
Define and Maintain blocks | Block Master
Define and Maintain number generation templates | Template Master


Block Master

The Block master is used for defining the numbering template. Templates are used for a wide spectrum of documents in the engineering process.

For Example: A template needed for Projects may not be relevant for Transmittal module. But certain portions of the template may be reused for another module. So WRENCH defines "Blocks" which may be Manual, Auto generated, LOV or Date . A Block may be also defined of type "WRENCH" that may be extracted from WRENCH database through an SQL query. Blocks may be numeric or alphanumeric. Type is specified. In template master the template can be defined with the number of blocks and each block detail can be defined in Block master.

Navigation Table

To | See
Access Block Master window | Accessing
Define a Block | Defining a new Block
Maintain a Block | Maintaining a block

Opening the Block Master window

  1. In the control panel from the Masters group select Number Generation.

Number Generation master window is displayed.

  2. In the left pane select Block Master.

Block Master window is displayed.

Figure: Block Master window

Defining a Block

  1. In the Block Master window click New.

Block Details window is displayed.

Figure: Block Details window

In the window enter values for the properties mentioned in the following table.

#

Field

Description

1

Code

A unique code is defined for each block.

2

Description

The user may enter a brief description for the Block.

3

Type

Facility to choose the mode of block generation is defined here. Options are WRENCH ,Auto generate, Manual, List of Values or dates.

If the block is defined to represent a sequential addition in the template say for example, RS1, RS2, RS3 the user may specify 1,2,3 as a block with type "auto generate" with length 1 . Its also necessary to define the start and finish numbers during template definition.

Here if the templates are to be defined for a set of templates already available in WRENCH the user may specify the type as "WRENCH". A sql query may be defined to extract that data from the database.

4

Length

The length of the block can be defined here.

5

Data Type

User may may define the data type here. Options available are Alphabets ,Numeric and Pre-defined. Alphanumeric data types fall under Alphabet. Option Pre-defined can be used to configure a pre –defined alphabetic sequencing in the last part of the document number. For more information on this see Configuring alphabet sequences in auto-generation block .

6

Default Value

A default value may be entered here.

7

Query

This feature is relevant only if the Type is defined as "WRENCH". Instead of tediously entering a list of values manually the user is provided with a facility to enter a SQL query through which a specific list of values can be returned from the database during number generation.

For Example: If a query such as Select DISTINCT ORDER_NO FROM ORDER MASTER is defined for a block, during number generation in TEMPLATE MODULE a distinct list of values is retrieved from the WRENCH database.

Configuring alphabet sequences in auto-generation block

There are organizations that uses document numbering system with alphabet sequencing in the last part of the number. For Example: 1016-003-AAA, 1016-003-AAB etc. Currently there is no provision to create auto generated pre-defined alphabet sequencing in numbering template. Hence a new facility to configure a pre defined alphabetic sequencing in the last part of the document number.

To configure alphabet sequence in auto generation block

  1. In the Block Details window select the type as Autogenerate.
  2. Select the Data Type as Pre-defined.

On selecting Pre-defined, a hyperlink Configure the values is displayed.

Figure: Configuring pre-defined values

  3. Click the hyperlink. Value Configuration window is displayed.

Figure: Value Configuration window

  4. In the window click New. Value Entry window is displayed.

Figure: Value Entry window

  5. Enter the required alphabetical sequence and click OK.

The created sequence is displayed in the Value Configuration window.

Maintaining Block Details

  1. Note that if the block is used for a template then it cannot be removed.
  2. Select the specific block and Click "Remove."


Numbering Template Master

You can define a number generation template by choosing the blocks and defining their relationship in this module. Template master and Block master are used for defining the numbering template. In template master the template can be defined with the number of blocks and each block detail can be specified in Block master. Here a number of Blocks can be selected for a particular template number generation. This template is specifically used in a particular module . Templates can be created for the modules Transmittal, Project sites, Project,MOM, Document, Correspondence,Change Request and CRMS. If a number of blocks of type "WRENCH" are used for a specific template then if their dependency is also mentioned , a SQL query can retrieve the data taking that into account.

Navigation Table

To | See
Access Template Master | Accessing
Define a Template | Defining a Template
Maintain a Template | Maintaining
Specify field to be mapped in Number Generation | Specifying field to be mapped in Number Generation

Opening Template Master

  1. In the control panel from the Masters group select Number Generation.

Number Generation master window is displayed.

  2. In the left pane select Numbering Template Master.

Numbering Template Master window is displayed.

Defining a Template

  1. In the tool bar click "New".

Create Template window is displayed.

Figure: Create a Template

#

Property

Description

1

Module

The module for which the template is used should be specified by the user. Select a module from the drop-down list.

2

Code

The user may define a unique code as reference number.

3

Description

Enter a description here for the template usage.

4

Selected Blocks

Click "Block" button and select the blocks to be specified for this template.

5

Start Number

Facility to mention the Start Value. This is applicable for auto- generates block types only.

6

Finish Number

Facility to mention the End Value. This is applicable for auto- generates block types only. For eg if length is 1 for numeric data type then Finish value will be 8.

7

Separator Character

Facility to select a separator for each block. Separator will appear after the block while displaying the number.

For Example: If separator is "/", then templates will be created will be RS/001/SI/2007

"None": If the user selects this option as the separator between two blocks, the blocks would appear concatenated while generating the number.

8

Dependent Blocks

Facility to select dependent block. If a dependent block is defined then the value being generated for this block is dependent on selected previous blocks .

For Example: if P1/001 is of Block BLK1 and P2/001 is defined as BLK2. If the user opts for a sequence of numbers (P2/001, P1/002, P2/003,...)where dependency is considered then select BLK2 as dependent. If dependency is not considered then we get a sequence like ((P2/001, P1/001, P2/002,...)

9

Query

This is relevant for blocks of "WRENCH" type. Dependency should be defined.

For Eg,

SELECT DISTINCT ORDER_STRUCTURE.SI_NO FROM ORDER_STRUCTURE INNER JOIN ORDER_MASTER ON ORDER_STRUCTURE.ORDER_ID=ORDER_MASTER.ORDER_ID WHERE ORDER_MASTER.ORDER_NO=<<PROJNO>>

10

Field to be mapped

If the block selected is "Manual" and if in the control panel "Use Automatic Number Generation for document " option is checked then WRENCH offers a facility by which the user can map a field to a specific block.

The properties available for mapping will be displayed based on the module selected.

While creating a numbering template for a Transmittal or Submittal, in the Field to be Mapped drop-down list, filed User Origin will be available.

When this field is selected for mapping in submittal numbering template, only the code of User Origin is mapped to the selected block. It is possible to override the mapped origin name in the submittal number generation window.

11

Save block value in

If the block selected is "Manual" you can save the value of the block in custom properties. Custom Properties can be selected from a list displayed on clicking the drop-down arrow.

Maintaining a Template

Note that if the templates are used, then it cannot be removed. If its not used then the user may select the specific Template and Click "Remove."


Others

There are a number of other standard details that are essential for flawless functioning of WRENCH PLM system. Disciplines, Project types, transmittals types etc. are some among them. These data are comprehensively managed here.

This section contains the modules indicated in the navigation table.

Navigation Table

To | See
Define a list of Action Points | Action Point Master
Define types of Action Points | Action Type Master
Define activities | Activity master
Define Organization Calendars | Calendar Master
Define Configurable Report templates | Configurable Report Template master
Attach report templates for each custom report | Custom Report Template Master
Define disciplines and codes that are essential for various functions in WRENCH | Disciplines
Predefine a list of comments | Master List of Comments
Manage Print jobs | Print Purpose Master
Document Revision series | Revision Series
Define Transmittal Mail Template | Transmittal Mail Template
Define Transmittal Templates | Transmittal Template Master
Define Transmittal types | Transmittal Types
Define units of measure | Units of Measure


Action Point Master

Action Points Master is where the user may enter a list of Action points. Action points are required in the MOM module.

Navigation Table

To | See
Access Action Point Master menu | Accessing Point Master
Create Action Point Master | Creating Action Point Master

Opening Action Point Master

  1. On the control panel from the Masters group select Others
  2. On the left pane select Action Point Master.
  3. Action Point Master window is displayed

Creating Action Point Master

  • Enter Description of the Action Point and select "OK" to Save.

Maintaining Action Point Master

  1. To make any changes to the existing purpose, select a Action Point from the list and edit it
  2. Click "Update" to save the changes
  3. The user cannot delete a Action Point already used.


Action Type Master

User may define various types of Action points which are used in MOM module.

Navigation Table

To | See
Access Action Type Entry window | Accessing Action Type Master
Create Action Type Master | Creating Action Type Master
Maintain Action Type Master | Maintaining Action Type Master

Opening Action Type Master

  1. In the control panel from the Masters group select Others.
  2. In the left pane select Action Type Master.

Action Type Master window is displayed.

Creating Action Type Master

  1. In the Action Type Master window click New.

Figure: Action Type Master

Type of Action window is displayed.

  2. Enter "Description" in the corresponding text box.
  3. Click OK to create the Action Type .

Maintaining Action Type Master

  1. To make any changes to the an existing Action type, select the type and enter the changes
  2. Click Update button to save the changes
  3. If the Action Type is used in MOM, it cannot be deleted.


Activity Master

Activity Master is where the user may enter the required activity for making time sheet entries in the 'Time sheet' module.

Navigation Table

To | See
Access Activity Master menu | Opening Activity Master
Create Activity Master | Creating Activity Master

Opening Activity Master

  1. In the control panel from the Masters group select Others.
  2. In the left pane select Activity Master.

Activity Master window is displayed.

Creating Activity Master

Figure: Activity Entry

In the 'Activity Entry' window, you may create “Activities” based on “discipline”.

Activity : Enter the activity name here. An activity can be linked to a discipline, project type and Workflow.

Discipline: For an activity single or multiple disciplines can be selected.

To select an activity

  1. Click 'Browse button' next to the column header Discipline.
  2. Select Discipline window is displayed.
  3. Select the checkbox next to a discipline. You can select single or multiple disciplines.

After selecting the discipline, you can either save the changes and exit or you can assign project types to the activity.

NOTE: Discipline is not mandatory in case of general activities.

Project Type: An activity can be linked to a project type.

To select a project type

  1. Click the browse button next to the column header Project Type.
  2. Select Project Type window is displayed.
  3. Select the check box next to a Project Type. You can select single or multiple project types.
  4. After assigning disciplines and project types to an activity, click OK to save the changes and continue.

Workflow: An activity can be linked to workflow stages.

To select a workflow team and stage

  1. In the workflow section click the browse button.

Select workflow stage window is displayed.

  2. Workflow team names are displayed. Expand the team names and select stage names.
  3. After selecting stage names click OK to save changes and continue.

Maintaining Activity Master

  1. To make any changes to the existing purpose, select Activity from the list and edit it.
  2. Click "OK" to save the changes.

You cannot delete an Activity that has been already used.


Calendar Master

A work calendar for your organization can be configured here. You can define the working hours, weekly off's and other holidays in the calendar.

To configure the calendar

  1. In the Masters, under the group Other select Calendar Master.

Calendar Master window is displayed.

  2. Calendar 1 and Calendar 2, default calendars are displayed in the master window.
  3. In the toolbar click New.

New Calendar Creation window is displayed.

Figure: New Calendar Creation window

  1. Enter values for the following fields.
  • Calendar Name: Enter a unique name for the calendar.
  • Create From: A calendar can be created only from an existing calendar. Create the existing calendar from a drop-down list.
  2. Configurations defined in the selected calendar can be copied to the new calendar by selecting the respective check box.
  3. Click OK to continue.

Configuring your calendar

In the new calendar you have to define the working time, set working hours and define holidays.

To configure a calendar

  1. In the Calendar Master toolbar click Calendar Details.

Define Working Time window is displayed.

Figure: Define Working Time window

In this window you can carry out the following configurations.

  • Set Working Time for your organization.
  • Set Calendar Options.

Setting working time for your organization

Every organisation have their own working time. Time Sheet entries are made based on these timings. Hence for an organization a working time has to be defined in the calendar. In additions holidays specific to the organisation can also be defined here.

To set working time

Here you can define the Working Time and define Holidays for your organization

  1. In the Define Working Time window click the tab Set Working Time.
  2. In the lower half of the window click Work Weeks tab.
  3. Select the check box under the column Non-Working to define the non-working days for the organization.
  4. Enter the Session Start and Session End times under the respective sessions. The column From denotes Session Start time and To denotes Session End time.
  5. Enter the Overtime. This is required only if when a resource wants to work beyond the specified working hours.
  6. Click Apply to save changes.

NOTE: If the sum of the working time and overtime time hours specified is greater than 24 hours, then an alert message Sum of the working time hours and overtime time hours cannot exceed 24 hours is displayed. User can make necessary changes and save the value entered for Overtime.

To define holidays

  1. Click the tab Holidays.
  2. In the window click Add button.
  3. Select the holiday date from the date picker.
  4. Enter a Description for the holiday.
  5. Click Apply to save changes.

Setting Calendar Options

Details like Week Start day, hours per day, hours per week and hours per month can be defined here.

To define calendar options

  1. In the Define Working Time window, click the tab Set Calendar Options.

Different settings for the calendar is displayed.

Figure: Defining Calendar settings

You can define the following settings here.

Week Numbers are for whole year (52 weeks): Select the radio button next to this option if the week number in time sheet submission window is displayed from 1 to 52 weeks.

Week number are for each month: Select the radio button next to this option if the week number in the time sheet submission window is displayed in the form of weeks in a month.

Week Starts on: Select the day on which the week will start from a drop-down list.

Hours per day: Enter the normal working hours per day.

Hours per week: Enter the normal working hours per week.

Hours per month: Enter the normal working hours per month.

Overtime hours per day: Enter overtime hours per day.

Overtime hours per week: Enter overtime hours per week.

Overtime hours per month: Enter overtime hours per month.

  1. Click Apply to save changes.

If the value entered for overtime hours per day is greater than or equal to overtime hours per week, a warning message is displayed as shown in the following figure.

If the value entered for overtime hours per week is greater than or equal to overtime hours per month, a warning message is displayed as shown in the following figure.

If the value for overtime entered exceeds the value specified in the setting Overtime hours per day, a warning message is displayed.


Configurable Report Template Master

Reports created by defining the list of details that needs to be reported as output are referred to as Configurable reports. User has the option to use a pre-formatted MS Excel file, into which the report information can be mapped, so that the report can be exported to the MS Excel template. Here user can create an MS Excel template based on the Stored Procedures available in the system.

To access Configurable Report Template Master, select Control Panel>>Masters>>Others>>Configurable Report Template Master.

Existing template names and their related stored procedures, date on which the template was edited last and name of the user who edited the template are displayed in the grid.

Configuring a Template

  • In the tool bar select "New." Configurable Report Template Mapping window is displayed.

Figure: Configurable Report Template Mapping

User can enter a new template name. Template file located at a specific location can be selected. Default Sheet name and Stored Procedure can be selected from a drop-down list. On selecting an SP, all the output fields of the SP are listed. User can map the fields that should appear in the reports to the header and footer columns. The newly created template will be available while creating configurable reports.

User can also edit an existing template.


Custom Report Template Master

Custom Report Template

WRENCH provides the facility which enables the user to attach report templates for each custom report as well as save the filter criteria of the report. A custom report could be mapped from WRENCH to an external report format according to your institutional policy. The custom report could be directly printed from the system without exporting to excel.

Navigation Template

To | See
Access Custom Report Template Master | Accessing Custom Report Template Master
Perform Custom Report Template Mapping | Custom Report Template Mapping

Opening Custom Report Template Master

Custom Report Template Master can be accessed from Control Panel>>Masters>>Others>>Custom Report Template Master

Custom Report Template Mapping

  1. Click "New" in Custom Report Template Master to avail the "Custom Report Template Mapping" window.

Figure: Custom Report Template Mapping

In the "Custom Report Template mapping" interface

  1. Specify a template name in the "Template Name" field.
  2. If you want to create a custom report template for WRENCH based reports, choose WRENCH Reports option in 'Show Fields Of' frame. Or if you want to create a custom report template for table views created, choose Table Views (Hybrid Mode) option in 'Show Fields Of' frame.
  3. On clicking the browse option next to Select Table View option, Select Table View window will be displayed from where you can select the the SQL table views available.

NOTE: The Select Table View option will be enabled only if you have selected the Table Views (Hybrid Mode) option.

  4. If you have chosen WRENCH Reports, then the properties for the different items will be available under respective item headers under Header/Footer mapping section as well as in the Detail mapping section. User can expand the items to view the fields grouped under them.
  5. Or if you have chosen Table Views (Hybrid Mode) and selected a particular table view, then the properties available in that table will be listed under Header/Footer mapping section as well as in the Detail mapping section.User can expand the items to view the fields grouped under them.
  6. Click the 'Forward' ('>') arrow to select the required fields to be displayed in the custom report template
  7. Click the 'Backward' (‘<’) arrow to remove/deselect a specific field
  8. User may assign different target locations for a single header/detail item
  9. User can select a Sheet Name from a drop-down list
  10. After viewing the template file, the user may specify a 'Target location' ie, the user may enter the MS Excel cell reference numbers of the target sheet where the information has to be displayed.
  11. Select a Default Sheet Name from a drop-down list.
  12. Click "Ok" to display the newly created template in the ‘Report Templates’ window.
  13. Click the 'Remove’ button (X) to clear the ‘Template File’ text box.

In case you are not sure if the detail data can be accommodated in between the header and footer mapping, you can check the "Insert New Row"option. If this option is enabled, then for every detail information a new row is created in MS Excel

  1. Click "View" to view the template
  2. Click "Ok"
  3. "Template Created Successfully" dialog box is displayed.

Saving filter criteria for Custom Reports

The user may save the filter criteria for the specific custom report template generated for a project/document/task. The filter criteria may be saved as 'public' or 'private'. For further information on custom report template mapping, please refer the section Custom Report Template Master in Masters in Control Settings module.

NOTE: If the user selects 'Public' view, the specific user who has the necessary functional security rights and the Wench Administrator will have the privilege to edit/delete/replace it. If the user selects 'Private' view, the view is completely restricted to other users including the WRENCH Administrator and could be accessed/edited/deleted/replaced ONLY by the user who has the required functional security rights.

  1. Click 'Views' in custom report window to get the 'Save View' interface.
  2. In the toolbar select "Save View."
  3. Enter a specific 'View name'
  4. Click the Template browse button to avail the 'Select template' window
  5. Here, the user may select the required template from the list of templates already defined in the Master.

Custom Report Views

  1. In the "Search Result" window select "Views."

Select/Save View window is displayed.

Figure: Select/Save view window

  2. Select a view from the menu
  3. The search criteria saved along with the view is displayed on the “Custom report” window.


Disciplines Master

This module deals with the various disciplines and codes that are essential for various functions in WRENCH.

Navigation Table

To | See
Access Discipline menu | Accessing Disciplines
Create Disciplines | Creating Disciplines
Maintain Disciplines | Maintaining Disciplines

Opening Disciplines Master

  1. In the control panel from the Masters group select Others
  2. In the left pane select Disciplines Master.

Disciplines Master window is displayed.

Creating Disciplines

Figure:Discipline Master

  1. Enter the "Discipline Code" and "Discipline" in the corresponding Labels
  2. Click "OK". Disciplines are shown in the list box.

Maintaining Disciplines

  1. The user can only make changes to the Discipline field. The Code cannot be updated
  2. Only those disciplines that have not been used could be deleted.


Distribution List Master

The distribution list or the list of people to which a transmittal has to be sent mostly depends on the document type. So, as the type of document varies, the list of people to whom it should get transmitted will also vary. Therefore, it is desirable to create distribution lists for document genealogies.

Distribution Lists can be created by defining users or user groups for a list. The created distribution list can be assigned to a transmittal type or to a document genealogy, so the distribution list will be available while creating a transmittal.

To create a distribution list

  1. In the Masters under the group Others select Distribution List Master
  2. In the distribution list grid tool bar click New

Distribution List Master window is displayed with the Basic Details tab selected by default

  3. Enter a Code and Description for the distribution List

Figure: Creating a distribution list

A distribution list contains a set of members or different groups.

  1. Click the browse button in section Users, to add members to the distribution list.
  2. Click the browse button in section Groups to add a group to the distribution list
  3. Select a User Type from the drop-down list. User Types available are To, Cc and Circulation List

Once a distribution list is created next step is to assign the distribution list to a genealogy (folder). When creating a transmittal, based on the document genealogy of the documents selected, the distribution list is filled based on this configuration.

Figure: Assigning the distribution list to a genealogy

To assign distribution list to a genealogy

  1. In the Distribution List Master window select the tab Advanced Details.
  2. Click the browse button next to the section Genealogy

Figure: Assigning distribution list to genealogy

Genealogy Search window is displayed with a list of genealogies available in WRENCH.

  3. Select the check box next to a genealogy and click OK to complete selection.

A distribution list can be added to a transmittal type also. When adding a transmittal type to a project, the distribution list that is linked to it in the masters get inherited to that transmittal type automatically. When releasing a transmittal with some documents, if the transmittal type has a distribution list linked to it, then this distribution list is applied to the transmittal.

To assign distribution list to a transmittal type

  1. In the Distribution List Master window select the tab Advance Details.
  2. Click the browse button next to Transmittal Type/Submittal Type.

Figure: Assigning distribution list to transmittal type

Select Transmittal Type window is displayed with a list of available transmittal types

  3. Select the check box next to a transmittal type. You can select single or multiple transmittal types.
  4. Click Select in the tool bar.
  5. In the Distribution List Master window click OK to save changes.

A distribution list can be edited. This means users can be added to or removed from a distribution list, genealogies assigned can be removed and transmittal types can be changed.

  1. Click Edit in the tool bar to make changes to a distribution list.

Distribution List Master window is displayed.

Figure: Distribution List Master window

When users join or leave a project, correspondingly the distribution list is updated. But data in the Project remains unchanged. This is not desirable. To manage this select the check box next to the setting Apply Changes to All Projects .

Once this option is selected changes made in the distribution list is updated in the projects, provided the users in the distribution list are members of the project.


List of comments

Lists of Comments

This facility predefines a list of comments so that user need not enter it each time. During "Routing" procedure these comments are used.

Navigation Table

To | See
Open list of comments | Opening List of Comments
Create list of comments | Creating List of Comments
Maintain list of comments | Maintaining List of Comments

Opening List of Comments

  1. In the control panel from the Masters group select Others.
  2. In the left pane select List of Comments.
  3. List of Comments window is displayed

Creating List of Comments

Figure: Comments Master

  1. Enter the details into "Comments" field
  2. Click "OK" button.

Maintaining List of Comments

  1. To edit a comment, select the required comment and make changes
  2. Click "Ok" button to save the changes
  3. Click "Delete" after selecting the comment that has to be deleted.


Print Purpose Master

All the print jobs in your organization shall be entered and saved here.

Navigation Table

To | See
Open Print Purpose menu | Opening Print Purpose
Create Print Purpose | Creating Print Purpose
Maintain Print Purpose | Maintaining Print Purpose

Opening Print Purpose Master

  1. In the control panel from the Masters group select Others.
  2. In the left pane select Print Purpose Master.

Print Purpose Master window is displayed

Creating Print Purpose

Figure: Print Purpose

  • Enter the description in "Print Purpose" and click "OK" button.

Maintaining Print Purpose

  1. To make any changes to the existing purpose, select a Print Purpose from the list and edit it
  2. Click "Ok" to save the changes

You cannot delete a print purpose already used.


Revision Series

Revision series defines the style of document revision number. Each series may be defined against a serial numeric sequence. Revision (change) is a critical event in any project. Various organizations may have different methodology of identifying revisions. Some may use numeric serial numbers, may be some other organization follow alpha numeric revision series such as "A", "B", "C" etc. Some organizations follow different revision series for minor and major changes. WRENCH has a configurable revision series handler so that each project can have a revision series that is most suited to the customer's practice.

NOTE: WRENCH does not permit the user to enter the revision number so that errors can be prevented. However in this module the revision number series that should be followed when a document is revised during the various stages of its life cycle can be defined.

Navigation Table

To | See
Manage Revision Series in the Control Panel | Revision Series Management in the Control Panel
Open Revision Series windo | Opening
Maintain Revision Series | Maintaining Revision Series
Define Revision Series | Defining Revision Series

Before the user defines the Revision Series in WRENCH the user may define the Revision control management to be used.The Administrator may set the following options in Revision series in Control Panel .

Revision Series Management in the Control Panel

Before the user defines the Revision Series in WRENCH the user may define the Revision control management method to be used in Performance and Utilities>>Documents .

The user may choose either of the options provided:

  1. Allow for project wise revision number mapping

As a default this setting will be checked, to uncheck this we need to define a revision series and make it default.

  2. Use minor revision series only up to the first approval

For Example: Minor Revision Series is A, B, C,D,... and Major Revision Series is 1,2,3,4,... . Then if the first approval consists of three steps and if this option is set then the Revision series would be A,B,C,1,2,3...

Opening Revision Series window

  1. In the control panel from the Masters group select Others.
  2. In the left pane select Revision Series.

Revision Series window is displayed.

Figure: Revision Series

On defining a revision series master we can define

  1. Check "Default Revision Series" box to define the selected Revision series as default.
  2. Check "Use Minor Revision Series" if Minor Revision series is to be used.

NOTE: Only one Revision series can be defined as default at a time. You cannot remove a default series if “Allow Project Wise Revision Number Mapping” is disabled in Performance and Utilities>> Documents .The setting "Use Minor Revision Series" will define whether a series will use its minor series or not. If not the revision series details will show only the major series

Maintaining Revision Series

  1. Type in the description of the revision series and click "Add" button to add a revision series
  2. Click a revision series from the list.
  3. Select "Edit" from the menu.
  4. Modify it in the text box and click "Ok" to save changes
  5. Clicking "Remove" button will remove the selected revision series.

Defining the series

  1. Select the required revision series description and click "Series" button to display a series definition window as shown below.

Figure: Revision Series Details

  2. If user minor revision is selected on revision details you can define external revision series mapping for “Minor” series.

NOTE: If minor revision series is not defined in the master then it will be assigned to the internal number.

Revision series interface if Product module has been installed

  • BOM/Part Revision Series :Select this option if the Revision series selected is also applicable as BOM/Part Revision Series

  • Document Revision Series :Select this option if the Revision series selected is also applicable as Document Revision Series


Submittal Document Type

For identifying documents added to a submittal, a submittal document type is used. Submittal document type added here will be available when documents are added to a submittal from the Document Submittal window.

To add submittal document type

  1. In the Masters under the group Others click Submittal Document Type.

Submittal Document Type Masters window is displayed.

  2. In the tool bar click New.

Submittal Document Type window is displayed.

  3. Enter a value for submittal document type.

Figure: Creating submittal document type

  4. Click OK.

A submittal document type is created and listed in the grid.


Mail Template

Mail is the official communication that happens during the release of documents through transmittals, submittals, packages or correspondences between the stake holders. The information communicated througha mail might differ for different type of objects and as per the stakeholder’s requirement. So WRENCH provides a flexible environment for this, by providing a facility to define the mail content against each object type.

Navigation Table

To | See
Define / Create a Mail Template | Defining Mail Template
Map a Mail template to object type | Mapping Mail template to object type

Defining a Mail Template

User can create a Mail Templates which are essentially mail formats against an object type of the project in Masters.

  1. In Control Panel, from the Masters group select Others.
  2. In the left pane select Mail Template.

Mail Template window is displayed.

  3. On clicking 'New' in the tool bar, Configure Mail Template window is displayed.

Figure: Mail Template Configuration window

Enter basic details mentioned in the following table and a new mail template is created based on it.

#

Element

Description

1

Object

Select an Object from the drop-down list. In the drop-down list items Transmittal, Submittal, Package, Timesheet, E-Tendering, Meetings, Project, Issues, Risks, Snags, Non-Conformance, Access Control and WRENCH Correspondence are available.

2

Code

Unique code for the template to be defined.

NOTE: The code can be maximum of 10 characters.

3

Description

Name of the template to be defined.

NOTE: The name can be maximum of 25 characters

4

Subject

Subject for the mail.

5

Message

Body of the mail to be displayed.

NOTE: In this message box, the selected 'Transmittal Details' and 'Document Details' will be included.

6

Include Object Details

Various object properties available can be selected for including in the message part of the mail. On clicking the down-arrow next to the "Properties" field, a drop-down menu will be displayed.

On clicking Insert the selected property will be inserted to the Message option.

7

Include Document Details

Various document properties available can be selected and sorted as per their order of appearance and can be included in the message part of the mail.

  • On clicking the selected document properties in the 'Available properties' option will be moved to the 'Selected properties' option.
  • On clicking the selected document properties will be removed from the 'Selected properties' option.
  • On clicking (Up arrow ) and (Down arrow), the user can arrange the order of displaying the document properties in the 'Selected Properties' option.

If the object selected is transmittal, option to set an alignment for the selected properties will be available. Alignment can be selected from a drop-down list.

Click Sort to sort the properties for creating the table.

On clicking Sort, the following window is displayed.

All the selected properties for the creating the table will be available here. Select single or multiple items and click on right arrow button to move to “Selected Items” section in the right side. This can be moved back by clicking on ‘left arrow’ button.

After selecting an item, move the items using the up or down arrow to set a sorting order. Once sorting order is set, the mail template will be sorted based on this order.

NOTE: In the Workflow Organizer mail configurator window, in the list of Available Properties Sl.No. is available. When the property SL No is also inserted along with other document properties, SL No will be displayed in tabular form in mail template.

NOTE: When properties are mapped into fields in transmittal mail template, custom properties can also be mapped into the template .

Inserting link to download attachments

In cases where external users are invited for the meeting, then internal and external users can download attachments from the mail without logging into Wrench.

A facility to download attachments form mail notification will be available. To enable this while configuring meeting mail template, in the Properties drop-down list, the following properties are available

  • External hyperlink to attachments (Login not Required)
  • External hyperlink to attachments (Login Required)
  • Internal hyperlink to attachments (Login not Required)
  • Internal hyperlink to attachments (Login Required)

Figure: Configuring Mail Template

If these properties are inserted in mail template, when user receive the notification link for downloading attachments will be available in the notification.

When external emails are sent for correspondences, if the email template has an attachment link, a link for the attachments, which will not have any expiry date is created and is inserted in the email content. When the user clicks Internal /External hyperlink to attachments (login required) from the external email, WRENCH Login page is opened in a new tab.

Once log in is completed successfully, file download window is displayed.

Previewing the Mail Template

    1. Click Preview in the Mail Template window.
    2. A Transmittal Mail Template Preview window is displayed, where the user can view the subject and message of the transmittal mail template defined.

Figure: Transmittal Mail Template Preview

    3. On clicking OK, a message showing that the Transmittal Mail Template created successfully will be displayed.

NOTE: At any instance of the mailing event, the user can modify the mail template created.

Configuring the mail generated for the Forgot password option

To configure forgot password mail

  1. In the Configure Mail Template window select the Object as Access Control.

All the options below are disabled.

Figure: Configuring mail template for Forgot Password option

On selecting this object, in the list of Properties, under Object Details options Temporary Password and Organization Logo is available for selection. Selected property is displayed in the Forgot Password mail.

If the properties Temporary Password or Organization logo is inserted in the mail subject, a warning message is displayed and the operation is cancelled.

If the mail template is saved without inserting the property Temporary Password, a warning message is displayed and user is restricted from saving the configuration.

User can specify the pre-defined forgot password mail template in SmartProject.


Meeting Type Master

In some organizations, meetings are categorized into Internal meeting, Client Meeting, Design meeting, Procurement meeting etc. This helps users to retrieve the meetings easily. Meeting Type Master helps the organization to handle different types of meeting, by defining meeting types and sub types.

To create a meeting type

  1. In the Masters window click Others.
  2. Under Others click Meeting Type Master.
  3. In the Meeting Type Master window tool bar click New.

Figure: Meeting Type Master window

  4. A pop-up menu is displayed. In the menu click Meeting Type.

Meeting Type window is displayed.

Figure: Meeting Type window

  5. Enter a Meeting Type Description and click OK.

Meeting type created successfully message is displayed.

Meeting Sub type

A meeting sub-type can be created under a meeting type.

To create a meeting sub type

  1. In the Meeting Type master window select a meeting type master.
  2. In the tool bar click New and in the menu click Meeting Subtype.
  3. Meeting Type window is displayed. Selected Meeting Type Description is displayed by default. A different type can be selected from a drop-down list.

Figure: Creating Meeting Subtype

  4. Enter a Sub Type description and click OK.

Meeting subtype added successfully message is displayed.

Assigning mail template against meeting types

Mail templates can be configured for a meeting type.

To configure a mail template

  1. In the meeting type master window click Mail.

Mail Configurator window is displayed.

Figure: Mail Configurator window

  2. In the window select an operation from the listed Operations. Operations displayed are Meeting Invitation, Publish Minutes and Assign Action Items.
  3. Click the browse button next to Code, to select a template.
  4. Select Mail Template window is displayed. In the window configured templates are displayed. Select a template from the list.

Selected template and the message is displayed in the window.

Figure: Mail Configurator window

  5. Click Save to store changes. Saved successfully message is displayed.


Template Mapping Master

A transmittal can be mapped from WRENCH to an external report format that is used as per your organizational policy. A typical template to which the user may map the transmittal details would be a MS Excel File with appropriate Header/footer information which will contain the general details of the company,logo, project and contact details. The body will contain the document information (See sample).

The user can select a transmittal template while defining a transmittal type .

The user may extract a transmittal in the mapped template format if the transmittal type has specified the template.

Navigation Table

To | See
Open Template Mapping Master | Opening Template Mapping Master
Map a Transmittal to an external template | Mapping a transmittal to an external template

Opening Template Mapping Master

  1. In the Control Panel from the Masters group select Others.
  2. In the left pane select Template Mapping Master.
  3. In the tool bar click New.

Template Mapping Master window is displayed. Here different modules can be selected and templates can be created for each module. Templates can be mapped for Transmittals and Meeting.

Figure: Transmittal Template Mapping

Mapping transmittal details to an external template

  1. Select the module as Transmittal.
  2. Define a template name.
  3. The Transmittal related fields and project related custom property fields is displayed under Header/footer map section and the document related fields , document and task related custom property fields are displayed under Detail map section. Select the required fields to be displayed in transmittal template by clicking on the forward arrow ">" , deselect by clicking on the backward arrow "<". List of available items includes
  4. Receipt details of the document.
  5. Created By, Released By and Revision Number.
  6. Fields which make possible inputting of web access hyperlinks of documents in transmittal reports can be selected from the detail map area. The fields are "Internal Web Access Link" and "External Web Access Link." Usually for the internal users in the organization "Internal Link" of the documents are provided. For users accessing the documents externally the "External Link" of the documents are provided
  7. Specify a target location ie, the cell address of the target sheet where the information has to be displayed. This location can only be specified after viewing the template file.
  8. Select the "Template File" ie, the sample transmittal report format to which the transmittal has to be printed.
  9. Insert New Row: Sometimes users are not sure if the detail data can be accommodated in between the header and footer mapping. If the checkbox next to this option is checked then for every detail information a new row is created in excel.
  10. Click "View" to view the template.
  11. Click "OK".

NOTE: In the coversheet or transmittal report attached to a Transmittal along with To and Cc users their department names and company names can also be displayed. For this while creating a transmittal template fields To (User Name + Company), Cc (User Name + Company), To (User Name + Discipline) and Cc (User Name + Discipline) can be selected. When a transmittal numbering template is created with a manual block, in the field to be mapped drop-down list all transmittal custom properties will be displayed. If the custom property is mapped to a manual block, the custom property value in the transmittal will be auto captured in the configured manual block.

Mapping Meeting details to an external template

Templates can be created to map minutes of meeting details.

To create a meeting template

  1. Select the module as Meetings.

Figure: Mapping meeting details

  1. Enter a Template Name.
  2. Select the template file from the location where it is saved.
  3. Select the properties that has to be displayed in the header and footer.
  4. Select the meeting details that has to be displayed in the template.
  5. Insert New Row: Sometimes users are not sure if the detail data can be accommodated in between the header and footer mapping. If the checkbox next to this option is checked then for every detail information a new row is created in excel.
  6. Click OK.

NOTE: This template will be available only in WRENCH SmartProject (Web version).


Type Master

Transmittal Types are defined in WRENCH to distinguish different types of transmittals and submittals.

Navigation Table

To | See
Open Transmittal and Submittal Types | Opening Transmittal and Submittal types
Create Transmittal and Submittal Types | Creating Transmittal and Submittal types
Maintain Transmittal and Submittal Types | Maintaining Transmittal and Submittal types

Opening Transmittal Types

  1. In the control panel from the Masters group click Others.
  2. In the left pane click Type Master.

Type Master window is displayed.

Creating Transmittal Types

  1. In the toolbar click New. Type Details window is displayed.

Figure: Type Details window

To create a transmittal type

  1. In the drop-down next to category select Transmittal.
  1. Enter Code and Description in the corresponding fields.
  4. Click the browse button to select a Distribution List defined in the Distribution List Master .
  5. Select a template file to be attached to the transmittal. i.e., specified in the Transmittal Template Master.
  6. Select a mail template file to be attached to the transmittal. i.e., specified in the Transmittal Mail Template.

  6. Enter the Ageing Days if the transmittal is for handling vendor documents. Ageing days is the default number of days a client can spend on reviewing a document. For Example: If I specify Ageing days as 5 and release the transmittal on 10th of this month, the client is expected to review and return the document by 16th of the month.

If the check box next to Allow Multiple Transmittal for a Document Revision is selected, transmittal can be released for the same version of the transmittal released document.

The Check box next to “Client document number mandatory on transmittal release” is not selected by default. If this option is selected, transmittal can be released only after providing client document number.

  7. If the transmittal report is to be generated in PDF format select the check box against Attach Transmittal Coversheet in PDF.

On selecting the checkbox next Include Referenced Documents Details in Coversheet, referenced document details will be inserted below the main document details in the transmittal report.

On selecting the check box against "Life Cycle Status mandatory/Issue Purpose Mandatory", while creating a transmittal using this type a Life Cycle Status is to be assigned before saving the transmittal.

On selecting the check box next to Include Reference Document Details in Coversheet, while releasing a transmittal, details of reference documents will be included in the coversheet.

On selecting the check box next to Send mails to Recipients in BCC, notification mails will also be sent to recipients in BCC.

On selecting the check box next to Automatic live commenting session on transmittal save, live commenting session will be enabled when a transmittal is saved. This option is applicable only for WRENCH SmartProject.

On selecting the checkbox next to Override Recipients List, pre-defined list can be changed by the creator of the transmittal.

On selecting the checkbox next to Assign transmittal recipients (To/Cc) to the workflow stage, transmittal recipients both To and Cc are added to the next stage of the workflow.

  8. Once the option Send Mails to Recipients in Bcc is selected, while sending transmittals, mails are sent, the mails will be addressed to the person who releases the transmittal and to all the other recipients and will be sent in BCC – so that mail recipients will not be able to see, who else have received the email.
  9. Click "OK" to create a new Transmittal Type.

To create a submittal type

  1. In the drop-down list next to category, select Submittal.

Figure: Transmittal / Submittal Type window

  2. Enter Code and Description in the corresponding fields.
  3. Click the browse button to select a Distribution List defined in the Distribution List Master .
  4. Click OK to continue.

Configuring transmittal acknowledgement mail

Transmittal acknowledgement mail is configured from the Type Master in the Masters window.

To configure transmittal mail

  1. In the Control Panel click Masters>>Others.
  2. Under Others, click Type Master.
  3. In the Type Master tool bar click New.

Type Details window is displayed.

  4. In the Type Details window click Mail Template Configuration.

Mail Template Configuration window is displayed. Here mail templates for transmittal Release and Acknowledge operations can be selected.

To select template for acknowledge mail

  1. In the mail template configuration window click the down arrow in the Mail Template column next to Acknowledge.

List of available templates are displayed.

  2. Select the template and click OK to continue.

Transmittal Acknowledgement mails will be generated based on this template.

Maintaining Transmittal and Submittal types

  1. Select the transmittal or submittal type in the tool bar click "Edit" .

Transmittal / Submittal code cannot be edited. The description can be changed. Transmittal Types already in use cannot be deleted.


Units of Measure Master

Units of Measure need to be specified while creating a Project. This information is saved here.

Navigation Table

To | See
Open Units of Measure | Opening Units of Measure
Create Units of Measure | Creating Units of Measure
Maintain Units of Measure | Maintaining Units of Measure

Opening Units of Measure

  1. In the control panel from the Masters group select Others.
  2. In the left pane select Units of Measure.

Units of Measure window is displayed.

Creating Units of Measure

Figure:Units of Measure

  1. Enter the UOM code and Units of Measurement in the corresponding fields
  2. Click "Ok" button.

Maintaining Units of Measure

  1. UOM that has been used in other modules cannot be deleted
  2. Existing UOM Code cannot be edited
  3. Units of Measure can be edited and Updated.


Projects

Project

The Project master comprises of the sub modules as indicated in the navigation table

Navigation Table

To | See
Define Positions for a Resource | Project Position Master
Define Project Type details | Project Type Master
Define the systems and parts that are to be used in projects | System Master


Project Position Master

In a project the resources may be assigned Roles according to the demands of the client. For one client the resource may be assigned as a "Project Controller" while in another project the same resource would be assigned as "Project Coordinator". The Administrator may save these different positions in this module. A particular resource may be assigned a position in the Resource section of the project module.

Navigation Table

To | See
Open Project Position Master | Accessing
Create a New Entry | Creating a new entry
Maintain the Project Position Master | Maintaining the Project Position Master

Opening Project Position Master window

  1. In the control panel from the Masters group select Projects.
  2. In the left pane select Project Position Master.

Project Position Master Entry window is displayed.

Creating an entry

  1. In the Project Position Master toolbar click New.
  2. Enter a Code, Position and Cost/Hour.
  3. Click OK to save changes.

Maintaining the Project Position Master

  1. Select the entry and click "Edit" to edit the entry
  2. Select the entry and click "Remove" to delete the entry.


Project Types

This module is to provide an interface to enter the project type details that is required in the Projects module.

Navigation Table

To | See
Open Project Type | Opening Project type
Create Project Type | Creating Project type
Maintain Project Type | Maintaining Project type

Opening Project Type Master

  1. In the control panel from the Masters group select Projects.
  2. In the left pane select Project Types Master.

Project Types Master window is displayed.

Creating Project type

Figure: Project Types

  1. Enter the "Project Type" in the text field next to it
  2. Click "Add" button to see it in the list shown.

Maintaining Project type

  1. The user cannot Update a project type used elsewhere
  2. To Update select a project type and make changes in the field below and click on Update.


System Master

Systems are the standard bought out equipment that is identified as deliverables of a project. Systems are bought to specifically manufacture a part. A Part is a component used in a higher-level engineering and manufacturing assembly. For example, in building a spacecraft, a transistor is considered a part .

In this module the user may list out the systems and parts that are to be used in projects. Sometimes additional descriptions may be required for each customer as per his/her business process which may be captured in WRENCH by defining custom properties for parts.

If the product module plug-in has been installed its necessary to define the part genealogy level of the parts belonging to that system thereby grouping them.

Navigation Table

To | See
Open Systems | Opening Systems
Create Systems | Creating Systems
Open Parts | Opening Parts
Maintain Systems | Maintaining Systems

Opening Systems

  1. In the control panel from the Masters group select Projects.
  2. In the left pane select System Master.

System Master window is displayed.

Figure: Systems Master window

Creating Systems

  1. To create a new system, in the System Master window tool bar click "New."

System Master Entry window is displayed.

Figure: System Master Entry

  2. Enter a System Code and System Description. System code should be a unique number, System description is a mandatory field.
  3. Enter Remarks , SI Code.
  4. Click "OK" after the details are entered to create a new System.

If the Product Plug-In has been installed

Figure: System Master Entry

  1. System code should be a unique number, System description is a mandatory field
  2. Enter Remarks , SI Code
  3. Select the Part Genealogy level for the system
  4. Only parts in this level can be added to this system
  5. Click "Ok" after the details are entered to create a new System.

Maintaining Systems master

  • To make any changes to the existing group, select the item from the list,click on "Edit", make the changes and click the "Ok" button
  • Click "Remove" button to delete any entry.


Resources

Resources comprehensively manage human resources from various sources such as clients, vendors and internal staff. Customers and Vendors may have a number of contact personnel for various interactions. Operations in WRENCH may even necessitate them to participate by logging in. Such Contact personnel in WRENCH are considered to be authorized WRENCH users and they are given an access to WRENCH accordingly. Along with basic details such as name, address etc., WRENCH also maintains a list of "Approval codes". "Approval Code" is the customer's response to each document submitted. Each customer will have a specific list of approval codes and these codes can be mapped to the internal Approval Codes .

Resources Master will include the sub modules indicated in the navigation table

Navigation Table

To | See
Maintain Customer or Client details | Clients
Maintain Meeting Boards | Meeting Boards
Define and maintain other units | Other Units
Define Time Sheet Approver details | Time Sheet Approvers
Define and maintain vendor details | Vendors


Customer/Clients

This module contains client details. Client details are primarily associated with work orders. Along with basic details such as name, address etc., WRENCH also maintains a list of "Approval codes". "Approval Code" is the customer's response to each document submitted. Each customer will have a specific list of approval codes and these codes can be mapped to the internal Approval Codes .

Navigation Table

To | See
Open Customer menu | Opening Customer Master window
Register New Customers | Registering New Customers
Maintain Client Contacts | Maintaining Client Contacts
Map Approval Codes | Mapping Approval Codes

Opening Customer Master window

  1. In the control panel from the Masters group select Resources.
  2. In the left pane select Customers.

Customers Master window is displayed

Figure: Masters-Customers

Registering new customers

  1. In the Customer Master window tool bar click New.

Figure: Customer Details

Customer Details window is displayed.

  2. Specify the required customer details on the window. Those which are marked with an asterisk (*) are mandatory items and are to be specified before the new customer details can be saved
  3. Click OK button to register the new customer.

Maximum allowed file size available: Specify the maximum allowed file size (in bytes) for the selected vendor/customer or other unit. Only manual entry is allowed with positive values including zero. The default value will be zero which indicates no file size limit. Once saved, all the users of this configured origin name will be allowed only to add/upload up to files size as configured throughout WRENCH SmartProject. If a user tries to add a file exceeding the size specified here, a warning message is displayed and the operation is aborted.

Mail Server Configuration: When multiple organisations participate in a project, users will have their own organisations email addresses. But when users try to send emails through WRENCH, since WRENCH has only one SMTP email server, it will try to send emails through that server using the respective user’s email address. This will fail as the server will not recognise a different organisations email address. To overcome this problem there is a facility to configure email servers for each organization that participate in a project.

To enter mail server configuration details

  1. In the Customer Details window click the hyperlink Mail Server Configuration.

Mail Configuration Details window is displayed

Figure: Mail Configuration Details window

  2. In this window enter outgoing and incoming mail settings for Customer/Clients.
  3. Click OK to save changes and continue.

Maintaining Client details

Customer name and details can be located using the "Search" facility and once located, the details can be edited or can be deleted as required.

  1. To run a wild search, click "Clear" button and then click on "Search" button. All available customer names will be listed.
  2. Select the required one by clicking it.
  3. User may also run a finer search by specifying available details on the window, before clicking on "Search" button. For Example: To list all customers whose name starts with "W", type W in the "Name" and click on "Search" button. Similarly, you may make precise searches by specifying search criteria on multiple details.
  4. Select a customer name from the search results to display details.
  5. Click "Edit" from the menu interface change details as required and click "Ok" button to modify customer details.
  6. Selected customer name can be removed by clicking the "Remove" button.
  7. Customers can't be deleted once assigned to a work order. Such customer names need to be de-linked from work orders before they can be deleted.

Maintaining Client contacts

For each customer, there can be multiple contact people.

  • Select the required customer name and click "Options" and select "Contacts" to display list of contact people.

Figure: Entering a new contact

  • Client contact window is displayed.
  • To enter a new contact click the "Add" button in this window.

Figure: Entering a new contact

  • The new contact details may be entered as shown in the following figure.

Creating User in WRENCH for Client Contacts

  1. A login user name and password is assigned , the user group is defined here and other details are saved here.

Figure: Creating User in WRENCH for Client Contacts

  2. Once a User account is successfully created the "Advanced" button in the "User Details" window is activated and the advanced details can be entered in the window shown in the following figure.

Figure: User Advanced Details window

  3. Contact details may be provided here, the file upload mode may be selected, Signature file can be browsed and specified, the checkout path can be defined here.
  4. Specify relevant details about the contact person and click "Ok" button to add a new contact person.
  5. On selecting a contact person's name from the list, system will display the selected contact's details.
  6. These details can be modified and click on "Update" button to save the changes.
  7. Click "Delete" button to remove the selected contact person.

Mapping Approval codes

Approval codes are customer's response for each document that has been sent for customer's review.

  1. Select "Options" from the top hand menu in Client masters.
  2. Click "Approval Status Code" button on the Client Master Interface to get the Approval Status Code Mapping window as shown in the following figure.

Figure:Approval Status Code Mapping

  3. Click "Assign" button shown on the Approval Status Code Mapping window.
  4. Select Approval Code window is displayed.
  5. Select the codes relevant to the Client from the existing list displayed and Click "Select" to save.

Figure: Select Approval Code

  6. The selected Codes will appear in the Approval Status Code Mapping window.
  7. For each Approval Code the user may enter the corresponding Client Approval Code.
  8. Select the First Anticipated Response.

Figure: Approval Status Code Mapping


Meeting Boards

Boards are expert panels for conducting meetings and making decisions on various matters. Each board comprises of a number of people, headed by a board chair person and a convener.

Navigation Table

To | See
Open Board Master Entry | Opening meeting boards masters
Maintain Boards | Maintaining boards

Opening Meeting Boards master

  1. In the Control panel from the Masters group select Resources.
  2. In the left pane select Meeting Boards.

Board Master Entry window is displayed.

Figure: Board Master

Maintaining boards

  1. All the available board names will be listed in this window.
  2. Specify the required details and click "New" button to create a new board.
  3. Those which are marked with an asterisk (*) are mandatory items and are to be specified before the new board details can be saved.


Other Units

"Other Units" refers to different branch offices, between which documents are transacted during the execution of projects. A list of such branch offices can be maintained using this facility.

Navigation Table

To | See
Open Other Units | Opening Other Units
Add New Branch Unit Details | Adding new branch unit details
Maintain Branch Unit Details | Maintaining branch unit details
Maintain Branch Unit Contacts | Maintaining branch unit contacts

Opening Other Units

  1. In the Control panel from the Masters group select Resources.
  2. On the left pane select Other Units.
  3. Other Units Master window is displayed.

Figure: Other Units

Adding new branch unit

  1. Specify the required branch office details in the window. Those which are marked with an asterisk (*) are mandatory.

Maximum allowed file size available: Specify the maximum allowed file size (in bytes) for the selected vendor/customer or other unit. Only manual entry is allowed with positive values including zero. The default value will be zero which indicates no file size limit. Once saved, all the users of this configured origin name will be allowed only to add/upload up to files size as configured throughout WRENCH SmartProject. If a user tries to add a file exceeding the size specified here, a warning message is displayed and the operation is aborted.

Mail Server Configuration: When multiple organisation's participate in a project, users will have their own organisation’s email addresses. But when users try to send emails through WRENCH, since WRENCH has only one SMTP email server, it will try to send emails through that server using the respective user’s email address. This will fail as the server will not recognise a different organisation’s email address. To overcome this problem there is a facility to configure email servers for each organization that participate in a project.

To enter mail server configuration details

  1. In the Customer Details window click the hyperlink Mail Server Configuration.

Mail Configuration Details window is displayed.

Figure: Mail Configuration Details window

  2. In this window enter outgoing and incoming mail settings for Customer/Clients.
  3. Click OK to save changes and continue.

Maintaining branch unit details

Branch name and details can be located using the "Search" facility and once located, the details can be edited or can be deleted as required.

  1. To run a wild search, just click "Clear" button and then click "Search" button. All available branch names will be listed.
  2. Select the required one by clicking it. You may also run a finer search by specifying available details in the window, before clicking on "Search" button.

For Example: To list all branch units whose name starts with "W", type W in the "Name" and click on "Search" button. Similarly, you may make precise searches by specifying search criteria on multiple details.

  3. Select a branch name from the search results to display details. you may change details as required and click on "Update" button to modify branch details.
  4. Selected branch details can be removed by clicking on the "Delete" button.

Maintaining list of contacts in each branch

For each unit, there can be multiple contact people.

  1. Select the required unit name from the list and click "Contacts" from "Options" menu to display " Contacts" window.

Figure: Creating New Contact

Adding user to contacts list

Users are added to the Contacts.

To add users

  1. In the Other Units Masters window click Options>>Contacts.

Other Units Contacts window is displayed.

  2. In the window click "Add."

User Details window is displayed.

Figure: User Details window

  3. Enter a Login Name, User Name.
  4. Set Password and assign a group.

Once a User account is successfully created the "Advanced" button in the "user Details" interface is activated. Select the new contact and click "Advanced" button and enter the details in the window


Timesheet Approvers

The "Time sheet Approvers" module essentially contains approver details. Approver details are primarily used for making time sheet entries in the Time sheet module. In this module, the user may set the required global approver for the approving the time sheet entries as well as select the desired users from the "List of users".

Navigation Table

To | See
Open Time Sheet Approver window | Opening the 'Time sheet Approvers' window.
Select a global approver from the approver list | Selecting a global approver from the Approvers List

Opening 'Time sheet Approvers' window

  1. In the Control panel from the Masters group select Resources.
  2. In the left pane select Timesheet Approvers.

Timesheet Approvers window is displayed.

Figure: Time sheet Approvers window

List of Approvers are displayed here.

NOTE: Only user with Approver right in the time sheet module will be listed as approver here

Here against each user an approver can be defined or for an approver a set of users can be assigned.

To assign resources for an approver

Figure: Assigning resources for an approver

  1. Select the approver.
  2. Click the browse button next to List of users.

User List window is displayed

  3. Select the users and click OK to continue.

Selected users will be displayed in the window.

  4. Click Save to store the changes.

Selecting a global approver from the Approvers List

  1. To set a specific global approver for the submitted time sheet entries, select the required approver from the "List of approvers".
  2. Click the "List of users" browse button.

The list of all users assigned to the specific approver would be displayed here.

  3. Select the required user/users from the user list for the specified approver.
  4. Click "Save" to save the settings.


Vendors

WRENCH comprehensively manage human resources from vendors also. Vendors may have a number of contact personnel for various interactions. Operations in WRENCH may even necessitate them to participate by logging in. Such Contact personnel in WRENCH are considered to be authorized WRENCH users and they are given an access to WRENCH accordingly. WRENCH also maintains basic details such as name, address etc. about the vendors.

Navigation Table

To | See
Open Vendors menu | Opening Vendor Master
Add New Vendor Details | Adding new Vendor details
Maintain Vendor Details | Maintaining Vendor details
Maintain Vendor Contacts | Maintaining Vendor contacts
Import Vendor Contact Details | Importing Vendor Contact Details

Opening Vendors Master

  1. In the Control panel from the Masters group select Resources.
  2. In the left pane select Vendors.
  3. In the tool bar click New.

Figure: Opening Vendor Master window

Vendors Master window is displayed.

Figure: Masters-Vendors

Adding new vendor details.

  1. Enter the vendor details in the window. Those which are marked with an asterisk (*) are mandatory items and are to be specified before the new vendor details can be saved.
  2. Once the necessary vendor details are specified, click "OK" button to add the new vendor.

Specialisation: Specialisations are the lists of products/ services as offered by vendors. Click the browse button to select the specializations of the vendor. Specilisation selection window is displayed. Select the required items from the window.

Location: Location is the place where the vendor’s services/ products are required. Click the browse button to select the location. Location selection window is displayed. Select the required locations.

Default User Account: For each vendor, in the vendor master a default system user account can be configured. Select the user account from a drop-down list.

NOTE: Location and Specialisation masters are created from WRENCH SmartProject. Values defined there will be available here when you click the respective browse button.

Maximum allowed file size available: Specify the maximum allowed file size (in bytes) for the selected vendor/customer or other unit. Only manual entry is allowed with positive values including zero. The default value will be zero which indicates no file size limit. Once saved, all the users of this configured origin name will be allowed only to add/upload up to files size as configured throughout WRENCH SmartProject. If a user tries to add a file exceeding the size specified here, a warning message is displayed and the operation is aborted.

Mail Server Configuration: When multiple organisation's participate in a project, users will have their own organisation’s email addresses. But when users try to send emails through WRENCH, since WRENCH has only one SMTP email server, it will try to send emails through that server using the respective user’s email address. This will fail as the server will not recognise a different organisation’s email address. To overcome this problem there is a facility to configure email servers for each organization that participate in a project.

To enter mail server configuration details

  1. In the Customer Details window click the hyperlink Mail Server Configuration.

Mail Configuration Details window is displayed.

Figure: Mail Configuration Details window

  2. In this window enter outgoing and incoming mail settings for Customer/Clients.
  3. Click OK to save changes and continue.

Maintaining vendor details

Vendor name and details can be located using the "Search" facility and once located, the details can be edited or can be deleted as required.

  1. To run a wild search, just click "Clear" button and click on "Search" button. All available vendor names will be listed.
  2. Select the required one by clicking it. You may also run a finer search by specifying available details on the window, before clicking "Search" button. More precise searches can be performed by specifying search criteria on multiple details.
  3. Select a vendor name from the search results to display details. you may change details as required and click "Update" button to modify vendor details.
  4. Selected vendor name can be removed by clicking the "Delete" button. Vendors can't be deleted once assigned to a system (in Work Order). Such vendor names need to be de-linked from the systems in Work order before they can be deleted.

Maintaining vendor contacts

For each vendor, there can be multiple contact people.

  1. Select the required vendor name from the list and click "Contacts" from "Options" menu.

Figure: Creating New Contact

Vendor Contact window is displayed.

  2. To enter a new contact click the "Add" button in this window.

Creating User in WRENCH for Vendor Contacts

  1. A login user name and password is assigned , the user group is defined here and other details are saved here.

Figure: Creating User in WRENCH for Vendor Cont acts

  2. Once a User account is successfully created the "Advanced" button in the "user Details interface is activated and the advanced details can be entered .

Figure: User Advanced Details

  3. Contact details may be provided here, the file upload mode may be selected, Signature file can be browsed and specified, the checkout path can be defined here.
  4. Specify relevant details about the contact person and click "Ok" button to add a new contact person.
  5. On selecting a contact person's name from the list, system will display the selected contact's details. These details can be modified and click "Update" button to save the changes.
  6. Click "Delete" button to remove the selected contact person.

Importing Vendor Contact Details

Vendor date can be imported using an MS Excel template. An MS Excel template is generated, Vendor details and Vendor Contact details are entered in the template and the values are imported to the Vendor Master.

To generate an import template

  1. In the Vendor Masters window click Options.
  2. In the menu click Generate Template.

Figure: Generating Vendor Import Template

  3. Save File window is displayed. Select the location where the file is to be saved and save the file.

The generated template will have two tabs, VENDOR DETAILS and CONTACT DETAILS.

  4. Enter values for different properties in the file. In the VENDOR DETAILS tab details like Vendor Code, Vendor Name, Address, Specialisation and Location can be entered. In the CONTACT DETAILS tab details like User Name, Login Name, Designation, Address, Mobile Number, Email and User Group can be entered.
  5. After entering values save the file.

To import vendor details

  1. In the Vendor Master window click Options.
  2. In the menu click Import From Excel.

Figure: Importing Vendor Contact details

  3. File selection window is displayed. Select the file where Vendor details are entered.

Vendor details entered in the excel file is imported to Vendor Master.


Scheduling

Complex projects may have large number of tasks to manage. Defining schedule templates helps creating large schedules in very short time. Such templates can define common tasks (often spawn into hierarchical sub tasks). Defining default characteristics for common tasks is also a practice that will aid easier management of larger schedules.

This is a preliminary activity required for Scheduling .

Using the WBS master, you may define WBS templates for different types of projects. A template could be a number of common tasks pre-created in a WBS like format

The user may also specify some default settings for a task as shown below:

  • Default Task Genealogy
  • Workflow Team
  • Default Document Genealogy

This module will contain the modules indicated in the navigation table.

Navigation Table

To | See
Define WBS templates for different types of projects | WBS Master
Assign default document genealogy and a default workflow team to a task. | Task Genealogy


WBS Master

Using the WBS master, you may define WBS templates for different types of projects. A template could be a number of common tasks pre-created in a WBS like format.

Navigation Table

To | See
Open WBS Master | Opening WBS Master
Create Tasks in WBS Master | Creating a task in WBS Master
Maintain Tasks in WBS Master | Maintaining tasks in WBS master

Opening WBS Master

  1. In the Control panel from the Masters group click Scheduling.
  2. In the left pane select WBS Master.

WBS Master window is displayed.

Creating a task in WBS Master

  1. Click "New" from the WBS master menu to create a new set of tasks.
  2. Enter WBS Name into the corresponding fields next to the labels.
  3. Click ellipse button next to "Project Type" and Select an Project type from the list displayed.
  4. Click "Save."

Figure: WBS Master window

To create a task

  1. Click "Edit" button.
  2. Right-click anywhere on the space under the labels "Task genealogy" , "Task name" , "Documents."

Figure: Adding a task

  3. In the menu click "Add Task" to create a task under the WBS master just created.

"Task Properties" window is displayed.

Figure: Task Properties window

  4. Enter the "Task Name"
  5. Click the browse button next to "Task Genealogy" to choose one from a list.
  6. Select Task Priority from the drop down box to show the importance of the task.
  7. Click the browse button next to "Document Genealogy" to choose one from a list.
  8. Click the browse button next to "Part Genealogy" to choose one from a list.
  9. Enter the details as mentioned in the following table.

# | Item | Description
 | Basic Details
1 | Is Document Task(y/n) | User may select the box if a document has to be attached to this task and clear it if it is otherwise. Enter the document properties if the field is selected.
2 | Is Customer Schedule(y/n) | Tasks that requires interaction with customer (may be for approvals, inspections etc.) can be flagged so that such tasks can easily be identified.
3 | Is Milestone task(y/n) | User may select the checkbox if the task is a milestone task and clear if it is otherwise. Tasks that marks completion of a major phase of project can be marked as "milestone" tasks so that the gets due attention when looking at WBS.
4 | Remarks | General remarks

  1. Click the browse button next to "Origin Type" to choose a origin of the task .The origin of document that will be assigned to the task (such as "Internal", "Customer", "Vendor" etc.). The purpose of this data is to define the source of the document that will be eventually be attached to the task.
  2. Click the browse button next to the "ARC Description" and select one.
  3. Click "OK" button to save the task properties.

Insert Before / Insert After

This option can be used to create a task before or after the existing task in the WBS. On clicking one of this option, Task Creation window is displayed. Created task is inserted before or after the selected task based on the option selected in the menu.

Export to Excel File

WBS master can be exported to an Excel File for easy reference.

  • Select the WBS Master and click "Export to Excel File" option in WBS Menu.

Maintaining tasks in WBS master

  1. The user may add or delete any task from the created WBS.
  2. A task without a sub task can be deleted by an user with administrative right. It cannot be deleted if it is being used in a project.
  3. In Task Properties for a particular task all properties except for task types and categories can be updated by a user with administrative rights.


Task Genealogy

The task genealogy has to be specified so that a default document genealogy and a default workflow team can be assigned to a task.

Navigation Table

To | See
Open Task Genealogy menu | Opening task genealogy window
Define task genealogy properties | Defining task genealogy properties

Opening task genealogy window

  1. In the Control panel from the Masters group select Scheduling.
  2. In the left pane select Task Genealogy.

Task Genealogy window is displayed.

Defining task genealogy properties

  1. Select the genealogy from the list and click Properties

Specify the following:

  1. Default Task Genealogy: Specify the task hierarchy here.
  2. Workflow Team: Click the browse button to select a default workflow team.
  3. Default Document Genealogy: Select a default document Genealogy.
  4. Click "Apply" to save the above details.

Figure: Task Genealogy window


CRMS

The Completion Records Management System (CRMS) module streamlines the Construction Completion Quality Records work process, activities and requirements involved in the preparation, compilation, review, approval, and hand over of a Project. This module helps to create , execute and track a plan for project completion and maintains a centralized location for retrieval and storage of all construction, Pre-commissioning and commissioning relevant documentation and information.

The Completion Records Management System (CRMS) comprises of the modules indicated in the navigation table.

Navigation Table

To | See
Define a master list of characteristics | Item Characteristics
Define a new Item Classification i.e. grouping for Records | Item Classification
Define a master list of Records | Record Master


Item Characteristics Master

Item Characteristics Master is used to define a master list of characteristics. Project component parts that are verified for delivery, preservation, installation and functionality are referred as an Item in WRENCH.Characteristics are set of values used for uniquely identifying an item.

For Example: A mechanical equipment (item) can be identified using characteristics like Item Number, Plant Item Characteristics and P and ID Reference Number. All the items that comes under Mechanical department will have the above three characteristics. These Characteristics are assigned against a particular Item Classification, ie all the mechanical equipment's(items) will be assigned to the Mechanical Department (Classification).

Navigation Table

To | See
Access Item Characteristics Master | Accessing Item Characteristics Master
Create New Characteristic | Creating New Characteristic
Edit a Characteristic | Editing a Characteristic
Remove a Characteristic | Removing a Characteristic

Accessing Item Characteristics Master

  1. On the Control panel from the Masters group select CRMS
  2. On the left pane select Item Characteristics Master
  3. Item Characteristics Master window is displayed

Creating New Characteristic

  1. Click "New" from the Item Characteristics Master to create a new "Item Characteristic Entry"
  2. Enter the Characteristics Name into the corresponding field
  3. Select the "Characteristic type" from the list .(Values available in the list are Text, Number and Decimal )
  4. Specify the " Characteristics Size"
  5. Specify the " Character Decimal Size"(This option will be enabled only if the selected " Characteristic Type" is Decimal)
  6. Click Ok.

Figure: Item Characteristic Entry

Editing a characteristic

  1. Select the characteristic to be edited
  2. Click "Edit" from the "Item Characteristics Master"
  3. Only the Characteristic Name and Characteristic size can be edited
  4. After making the required changes, click "Ok".

Removing a Characteristic

  1. Select the characteristic to be removed
  2. Click "Remove".(If the characteristic is used as “Level” or “Group” in any “item classification", then it can be removed only after de linking the characteristic from those “item classifications" )

See Also

Item Classification Characteristics Link Master

Record Master


Item Classification Characteristic Link Master

Item Classification Master is used to define a new Item Classification i.e. grouping for Records (such as “Electrical cables”, “Instrumentation cables”, “Piping” etc.).

Navigation Table

To | See
Create Item Classification Entry | Creating Item Classification Entry
Add or Edit Characteristics | Add or Edit Characteristic Link Master
Add or Edit Certificates | Add or Edit Certificates

Creating Item Classification Entry

  1. Click "New" to create a new Item Classification Entry. User may also set an icon for the Classification.This icon appears against the items created under this classification in any CRMS.

Add/Edit Characteristics

  1. Click " Add/Edit Characteristics" to avail the Classification Characteristics link window
  2. Click " Select Characteristic" to avail the Characteristics in the "Item Characteristics Master"
  3. Select the Characteristics from the list of item characteristics to be assigned for the selected classification using the check box
  4. Specify one Characteristic as "Show as Level in CRMS"
  5. Define one or more characteristic(s) as “Grouping Characteristic(s)”. (This is used for grouping items i.e., to auto generate Groups based on distinct values entered in this field when Items are added under a Level in the CRMS.)

Figure: Define Classification Characteristics Link

Add/Edit Records

  1. Click " Add/Edit Records" to avail the "Link Records" window

Figure: Link Records window

  2. The Genealogy to which the Records belong can be Browsed and selected using the " Browse" Button provided against the Genealogy Tab.( The default genealogy specified for Records can be set in "Control Panel >> Settings >>Performance and Utilities >>CRMS which will be displayed in the Genealogy tab)
  3. Select the " Number Generation Template" using the Browse Button. The default numbering template specified for Records in the Control settings (if any) will appear by default. User may override the template here
  4. Select a list of Records by clicking “Select Records” button where the master list of Records defined in Record master would appear , from where the user may pick a list of Records to be assigned for the selected classification using the check box .

Figure: Select Record window

  5. Define the Weightage for each record (Based on the weightage ,the percentage progress would be calculated in the CRMS as and when the Records are attached in the CRMS)
  6. Single reference Records are those kind of Records which are to be obtained for each items for which it is planned.
  7. Multiple reference Records, when obtained for one item, is considered as obtained for all other items, which are sharing a common Item characteristics value
  8. Specify the Records as Single/ Multiple Reference .ie, tick the "Multiple Reference " checkbox for those records which are meant to be of Multiple Reference.
  9. Specify the "Reference Characteristics" for each “multiple reference” Record from the drop down menu. (The list of Characteristics defined for the selected Classification will appear here) .

NOTE: Based on the selected Reference Characteristic the system will identify the list of items to which the Record is to be attached when obtained.

If a reference characteristic is not specified for a multi reference Record, the Record would be considered as multiple reference for the Level

Template Mapping: Specify the Record template to which the characteristics are to be mapped.

  1. Clicking on the Template Mapping will list all item characteristics that are assigned to the “item classification”, from where it can be mapped to a location in the template file .
  2. Two extra details which are also available for mapping are :

(a) Parent level description

(b) Parent level hierarchy

  3. There is facility to map details on HEADER and DETAIL sections. Details section will be applicable only for multiple reference Records.

View Template: Clicking on "View Template" will show the Template file attached to Record (if any in the Record master).

See Also

Item Characteristics Master

Record Master


Record Master

Record Master is used to define a master list of Records which later will be linked to Classification(s) .

Navigation Table

To | See
Access the Record Master | Accessing the Record Master
Create a Record | Creating a Record
Edit a Record | Editing a Record
Remove a Record | Removing a Record

Opening the " Record Master"

  1. On the Control panel from the Masters group select CRMS
  2. On the left pane select Record Master
  3. Record Master window is displayed

Creating a new Record

  1. Click "New" from the "Record Master" to create a new "Record Entry"
  2. Enter the "Record Code" into the corresponding field
  3. Enter the "Record Description" into the corresponding field
  4. Specify "Make the Record applicable for" from the available list of values.(Specify whether the record is applicable for Items and Groups)
  5. Specify the " File type"
  6. Browse and Select the template file from the hard disk
  7. Click Ok.

Figure: Record Entry dialog box

Editing a Record

  1. Select the Record to be edited
  2. Click "Edit" from the "Record Master"
  3. User may edit Record Description and File type
  4. After making the required changes, click Ok.

Removing a Record

  1. Select the Record to be removed
  2. Click "Remove".(If the Record has been assigned to any Item classification , then it can be removed only after de linking the Record from those “item classifications" )

See Also

Item Characteristics Master

Item Classification Characteristics link Master


Parts

Systems are the standard bought out equipment that is identified as deliverables of a project. Systems are bought to specifically manufacture a Part. A Part is a component used in a higher-level engineering and manufacturing assembly.

For Example: In building a spacecraft, a transistor is considered as a Part. In this module the user may list out the systems and Parts that are to be used in projects. Sometimes additional descriptions may be required for each customer as per the business process which may be captured in WRENCH by defining custom properties for Parts.

Navigation Table

To | See
Access Parts | Accessing Parts
Access Part Type Master | Part Type master
Access Shape Master | Shape Master
Access Source Master | Source Master

Accessing Parts

User may access Part from "Control Panel" >> "Masters" >> " Part" menu.

The following masters are displayed here.

  1. Part Type Master : Part Type Master is for the purpose of defining Part Types.
  2. Shape Master: Shape Master is used to define a shape with its well defined attributes.
  3. Source Master: Source Master is for specifying the source and vendors of the Parts.

Part Type Master

Part Type master is for the purpose of defining the Part types. The Parts can include Product, Assemblies, Sub-assemblies or components. The Part Type Master enables one to define a Part type and group the Part depending on the Part type.

The following operations are possible in the Part Type Master window.

Figure: Part Type Master window

  • Create new Part Type Master entry.
  • Edit existing Part Type Master entry.
  • Remove existing Part Type Master entry.
  • Search Part Type Master entry.

Creating a New Part Type Master entry

For creating a new Part type master entry

  1. In the Part Master toolbar click on the "New" button
  2. Enter Part Type Code and Description
  3. Click "Ok" to save the Part type.

Figure: New Part Type Master entry

Edit existing Part Type Master entry

The "Edit" button in the toolbar enables the user to edit an existing Part type for editing its contents like Part Type Code and Part Type Description.

Remove existing Part Type Master entry

Removal of an existing Part type is possible by selecting the respective Part type and clicking on the "Remove" button.

NOTE: A "Part Type" already used in a Part cannot be deleted.

Search Facility in Part Type Master entry

Figure: Part Type Search

  1. User can select a search criterion between Code and Description from the "Look For" drop down list.
  2. To perform a Part type search click the "Search" button on the toolbar.

Shape Master

Shape Master is used to define a shape with its well defined attributes. In the shape master, a user with appropriate rights can fill in the details of the shape with its attributes. If an attribute is selected as a Part attribute then that attribute remains same or constant for that Part.

For Example: If a user chooses radius of the cylindrical steel rod as a Part attribute then the radius remains same and only the length is treated as variable for the calculation of its volume (cubic meters)

Figure: Shape Master

  1. To create a shape master entry select the "New" button in the toolbar
  2. Shape Master window is displayed
  3. User can provide the appropriate values in the respective fields.

Figure: New Shape Master entry

  4. To edit an existing shape master entry select the "Edit" button in the toolbar and update the necessary details. The shape code is non editable if it get used in a released Part
  5. To remove an existing shape master entry select the "Remove" button
  6. The Shape master entries can also be searched using the "Search" button available in the toolbar, the search can be done using code or description as the criterion
  7. The shape master is for defining a shape and its related attributes
  8. This is used with a conversion master for assigning its input UOM and converted UOM
  9. The values of the Part attribute can be updated when creating a new Part and the values of the non Part attribute can be updated in the "variable items" tab when adding an item in the BOM

NOTE: The shape master entries are required when creating a new Part, in the variable items tab of a standard BOM and material BOM. It is also used when creating a conversion master

Source Master

Source Master is required to specify the source and vendors of the Parts. Source master is used to select the vendors. The source master entry can be entered when creating a new Part.

Figure: Source Master

To Create a new Source Master entry

  1. Click "New" button
  2. Add the Source Code and Source Description
  3. Click "Ok"

Figure: New Source Master

  4. Select "Edit" on the tool bar to edit an existing Source Code The source code is not editable if the source is being used in a released BOM
  5. For adding Vendors to a source click on "Add Vendors" button in the toolbar
  6. "Add Vendors" window is displayed where the user can add or remove vendors relating to the selected "Source"

Figure: Add Vendors

  7. For adding vendors to the selected Source click on the "Add" button in the "Add Vendors" window
  8. A search box opens up for searching and selecting the vendor
  9. The user can search and select the vendors, created through the "Vendor Master"

Figure: Search and Select Vendors

  10. For removing a selected vendor the user can click on "Remove" button after selecting the required vendor in the "Add Vendors" window

NOTE:The vendors are selected for respective Sources, the source information's can be filled when creating of a new Part and when the Part is being selected for a BOM, the vendor details get captured in the "Source and Vendors" tab of the "Item Details"


Product Structure

Navigation Table

To | See
Access BOM Group Master | BOM Group Master
Access BOM Usage Master | BOM Usage Master
Access Conversion Type Master | Conversion Type Master
Access Sub-Items Series Master | Sub-Items Series Master

User can access Product Structure from "Control Panel" >> "Masters" >>" Product Structure" menu.

Figure: BOM Group Master

BOM Group master

BOM Groups are meant to group the variable BOM depending on their common attribute. Since the variable BOMs have different parent Part Number, there should be a common attribute for grouping them. The attribute is considered as the new BOM Group

  1. Create a BOM Group Master entry
  2. Edit existing BOM Group Master entry
  3. Remove existing BOM Group Master entry
  4. Search BOM Group Master entry

Create BOM Group Master entry

To create a BOM Group

  1. Click BOM Group Master.
  2. In the toolbar click New.
  3. BOM Group Master Entry dialog box is displayed.

Figure: Creating a New BOM Group Master Entry

For creating the new BOM group Entry, the user has to specify the BOM Code and BOM Description. The user can also specify whether the BOM Group is a configurable one. Standard BOMs are configurable ones.

NOTE: The "Is Configurable" check box is irrelevant when using a Material BOM or Variant BOM

Edit existing BOM Group Master entry

For editing an existing BOM Group master click on the "Edit" button in the toolbar after selecting the respective existing BOM Group Entry

Remove existing BOM Group Master entry

For removing or deleting an existing BOM Group master click on the "Remove" button in the toolbar after selecting the respective existing BOM Group Entry

Search BOM Group Master entry

Searching of the existing BOM Group Master entry is possible through the "Search" tab in the toolbar,where the user can have a search by code or description. The user can select code or description as the criterion for search.

BOM Usage Master

"BOM Usage Master" is used to create and manage BOM Usage data. BOM Usage defines different kinds of BOMs used in the organization. For instance, there can be BOM related to design and manufacturing for the same parent Part.

Figure: BOM Usage Master

To create BOM Usage

  1. Select Masters>>Product Structure>>BOM Usage Master
  2. Click "New" button
  3. Enter "BOM Code"
  4. Enter the "Description" (Maximum of 35 characters)
  5. Click "Ok" button

To Update BOM Usage

  1. Select Masters>>Product Structure>>BOM Usage Master.
  2. Select a BOM Usage.
  3. Click on "Edit" button.
  4. Edit the Description, Code and click on “OK” button.
  5. The new Description and code will be updated wherever it is used.
  6. User can delete BOM Usages by using the Remove button.

NOTE: BOM usage is the usage perspective of the BOM with respect to a user, i.e. a BOM may have different usage perspective to different users hence this entry is treated as a mandatory field when creating a Material BOM or a Standard BOM.

  • BOM usage defines the different kinds of BOMs used in an organization
  • User should have an option to select a BOM Usage from a master list
  • If there is only one value in the BOM usage master then it will get selected by default
  • Validation that if any default value is specified for BOM usage in the BOM usage master system displays that by default.

Conversion Type master

Conversion type master is issued for the conversion of respective UOMs using formula. It is used when the user intend to convert a quantity from one UOM to other.

For Example: If the user makes rectangular boxes where a unit of measurement cubic meters is used for the volume, and if an order is to be placed for steel used which is measured in Kg's then the user can set the Conversion type in the Conversion Type Master. Here user can enter the Conversion Formula, Shape Code, Conversion Type, Input UOM, Converted UOM and Constants if needed.

Figure: Conversion Type Master

  • Create new Conversion Type Master entry
  • Edit existing Conversion Type Master entry
  • Remove existing Conversion Type Master entry
  • Search Conversion Type Master entry

Creating a new Conversion Type Master entry

To create a new Conversion Type Master entry

  1. Select Masters>>Product Structure>>Conversion Type Master
  2. In the tool bar click "New"
  3. Conversion Type dialog box is displayed.

Figure: Conversion Type dialog box

User can provide the following values in the dialog box.

Shape Code: Click on the "Browse" button corresponding to "Shape Code" to select from a pre-defined "Shape Master."

Input UOM: Input UOM assigned to the shape is displayed here.

Conversion Type: User can specify the type of conversion used in converting an Input UOM to an Converted UOM.

Converted UOM: Click the corresponding browse button to select a Converted UOM. This is the UOM to which the Input UOM is to be converted.

Conversion Formula: User can define a conversion formula. Dimensions specified in the Shape Master can be used in the formula.

Constants: The dimensions specified in the "Shape Master" are available in the drop-down list. If the dimensions are to be available in the drop-down list the check box against Part Attribute is to be enabled in "Shape Master" window.

Evaluate: Click Evaluate to check the correctness of the conversion formula. A tick mark indicates the correctness of the formula.

  • Click "Ok" to confirm changes

Figure: New Conversion Type

Edit existing Conversion Type Master entry

For editing an existing Conversion Type entry click "Edit" button in the toolbar and change the relevant entries. The entries like shape code, conversion type, converted UOM can be changed using the edit option available in the toolbar.

Remove existing Conversion Type Master entry

For removing an existing Conversion Type click the "Remove" button available in the conversion type master toolbar after selecting the required conversion type

Search Conversion Type Master entry

Searching of the Conversion types is possible through the "Look For" window available in the toolbar. The user can search a conversion type on the basis of Shape Code, Input UOM, Conversion type, Conversion Formula etc.

Figure: Search Conversion Type

NOTE: The conversion type master is required when a conversion is required from Input UOM to Converted UOM. This is used in a scenario when the internal usage unit of measurement and the purchase purpose unit of measurement differs.

Sub Item Series Master

The "Sub Item Series Master" is intended to create a Revision series for the sub items. The sub item series master is more relevant when considering the standard BOM since items can be Standard, Alternate or Optional. Hence the sub item series should be enabled to segregate the items having same item number.

Figure: Sub Item Master

  1. Here the user can assign revision series for an item to segregate it from same kind of Part having same item number
  2. For assigning a series to standard, alternate or optional items, select the respective item first and click on the "Series" button available in the toolbar.

Figure: Sub Item series entries for Alternate items

  3. Select a "Sub Item series"
  4. In the tool bar click "New"
  5. "Sub Items Series Entry" dialog box is displayed

Figure: Sub Item Series Entry dialog box

  6. User can provide an "External Sub Item No"
  7. Click "Ok" to save changes
  8. The new External Sub Item No. assigned is displayed in the Sub Item Series window
  9. User can also Edit and Remove a Sub Item Series Entry
  10. Click the respective buttons on the toolbar.


Workflow

Workflows

The process flow in an organization is as mapped into WRENCH as workflow. An Organization can have different Process flow structures for specific activities.

It is recommended that adequate data is collected and the entire organization structure is studied before the WRENCH Administrator designs the workflow.

Navigation Table

To | See
Define Workflow defaults | Workflow Defaults
Design for a Workflow | Workflow Designer
Assign resources to a workflow and workflow stage properties | Workflow Organizer
Define workflow actions based on the activation and completion of workflow stages. | Configurable Stages
Define Custom stages | Custom Stages
Define Unguided Workflow Stages | Unguided workflow stages


Workflow Defaults

As process flow in an organization is to be mapped into WRENCH as Workflow, certain Workflow defaults are required. These defaults may be used by the entire organization.

Navigation Table

To | See
Open Workflow Default window | Opening Workflow Default
Create Default properties for a workflow | Creating Default properties for a Workflow

Opening the Workflow Defaults window

  1. In the Control panel from the Work Flow group select Workflow Defaults.

Workflow Defaults window is displayed.

Here colour schemes different workflow stages can be selected. Selection is made from the Workflow Properties section in the window. Colours available in a drop-down list can be selected.

Figure:Workflow Defaults

Creating Default properties for a Workflow

This utility is for the user to define the color code of Data flow Diagram WRENCH uses to depict the Workflow.

The user needs to have administrative privileges for the same. Once the color codes for the various stages are defined this change is uniformly maintained in all the workflow for the specified server.

  1. Click the Edit button in the menu to change the color scheme of the current workflow.
  2. The User may specify the Server for which he needs to apply the new settings for.
  3. Click the drop down buttons next to 'Fore Color' and 'Fill Color' to select the new values.
  4. The 'Pen Width' will specify the border thickness of the diagram.
  5. Click 'Save' button to incorporate the new color scheme.

See Also:

Custom Stages

Workflow Designer

Workflow Organiser


Workflow Designer

This module is where the user may Create Workflow. In an effort to provide the user with maximum ease, facility is provided where the user actually sketches the workflow. Each stage is physically created and properties assigned to it. In addition, conditional stages can also be defined and the linking conditions are also taken care of.

Navigation Table

To | See
Open Workflow Designer | Opening Workflow Designer
Create a Workflow | Creating a Workflow
Create a workflow from an existing one | Creating workflow from an existing workflow
Define Stage properties | Stage properties
Define Sending rules | Sending rules
Define Link Properties | Link Properties

Opening Workflow Designer

  1. In the Control panel from the Workflow group select Workflow Designer.

Workflow Designer window is displayed.

Creating a Workflow

A new workflow can be designed from this window.

Figure: Workflow Design

  1. Click "New" from "Workflow Design" window.
  2. Enter the "Workflow Name" next to the label "Workflow Name"
  3. Under the label "Workflow" "Click and Drag" the mouse to get a Stage. "Click and drag" from one stage to another to create a link(forward/backward arrow)

NOTE: A workflow should always have a Start stage and a Final Release stage, the last stage in a workflow. The Final Release Stage could be a conditional stage where if the user approves, the entire workflow ends or else it can be routed back to the previous stage.

The approver stage in a workflow can have outgoing links.For more information, you may please refer the topic Routing through a predefined workflow from the Workspace in the WRENCH user manual.

  • A minimum of two stages is required. A stage can be either made a conditional stage or a non conditional one.
  • A conditional stage can have only two outgoing links, a non conditional stage can have any number of outgoing links.
  • While routing from a non-conditional stage, a Stage Selection window is displayed with the list of stages defined in the outward link
  • User can select the required stages
  • The object is routed to the selected link
  • In a workflow the user needs to set certain properties for every "Stage" and "link"
  • Once a workflow is created, unless it is 'Released' it cannot be assigned a team
  • A workflow after release cannot be edited.

Obsolete Workflow: If a workflow is made obsolete, It cannot be used for further assignments. However any assignment in which the workflow is used can be continued to the closure.

NOTE: If there are many workflows which are in obsolete status and unusable for different objects in WRENCH, these workflows have to be removed from WRENCH. WRENCH facilitates users to delete unused obsolete workflows.

Removing a Workflow from Workflow Designer

Workflow designs with any status could be removed from WRENCH if there are no workflow teams defined for it. You can remove all existing workflow teams assigned to a workflow to remove it.

A workflow is complete only after resources are assigned to each stage. Select a specific stage and click "Properties" to avail the "Stage Properties" window where the following details may be assigned.

Creating workflow from an existing workflow

A workflow can be created from a workflow that is already released.

To create a workflow

  1. In the workflow designer toolbar click the arrow pointing downward.
  2. Click From.

Select Workflow window is displayed.

  3. Choose a workflow from the list and click Select in the toolbar.

The selected workflow is displayed in the workflow designer.

  4. Follow the steps mentioned in Creating a workflow .

Creating a workflow team from Workflow Designer

Instead of closing the workflow designer and then switching to Organizer, you can create a workflow team from the designer.

To create a workflow team

  1. In the Workflow Designer toolbar click Create Team.

  2. The workflow is opened in the Organizer as displayed in the following figure.

For more information on creating a workflow team refer the section Workflow Organizer.

Enabling and disabling designer grids

The designer grid in the workflow designer window helps you to position and align different stages and links that you are creating for a workflow. Depending on your preference the grid can be made visible or hidden.

To show and hide grids

  1. In the workflow designer window select the check box next to Show Grid.

Grid is displayed in the organizer window.

  2. Clear the check box if you want to hide the grid.

Figure: Showing and hiding grid

Stage Properties

Figure: Stage Properties

Stage Details

1

Stage Name

Enter the name of the Stage.

2

Stage Type

Start Stage:- The initial stage.

Ordinary Stage:-Ordinary Stage.

Transmittal Stage (Stage that comes before Client Comment stage):-The stage through which Documents are send to the customer. For more details Please refer Transmittal Module in the user manual.

Client Comment Stage (Release to Customer):-A stage in which a comment has to be received from a customer (which requires an approval code from the customer). By default system, assigns Transmittal stage before a Client Comment Stage.

Final Release Stage (Release to Vault):- The end stage .It can be a conditional/ Non conditional stage.

Receipt Stage:- Select this option, if the users wants to update the Receipt Details(External agency Transmittal Number and Receipt Date) in this stage.

Stage to be closed by single resource only: - Select this option, if this stage should be closed only by a single resource.

3

Stage Style

Specify if it's a Conditional stage or non-conditional stage.

Conditional Stage: if a stage requires to be met with certain conditions or decisions, the system can specify it in as a conditional stage. If the conditions are met then the routing is carried forward else the task is routed backward.

Non Conditional Stage: If there are no conditions to be checked before routing to the next stage then WRENCH treats this as a non conditional stage.

4

Origin Details

Defining origin details is only applicable for web version of WRENCH.

  1. Click the browse button next to origin name.
  2. Select an origin name from the list.

Origin Type is displayed based on the origin name selected.

In the Workflow Organizer window, if the setting "Limit visibility to selected origins" is selected, workflow stages will be displayed in black colour for users who do not belong to the selected origin.

Sending Rules

Different rules that can be assigned to a workflow stage is defined here.

Figure: Sending Rules

Sending Rules

1

Stage Name

This shows the name of the stage.

2

User Response For

Select the appropriate User Response For from the drop-down list. You can have different outcomes for a stage. It can be Accepted, Rejected or More info. Here the user can set the terminology to appear while routing to next stage.

Instead of values like APPROVE, REJECT etc. customised values can also be used. The response values configured here will be displayed in SmartProject Workflow window Response drop-down list for both documents and Tasks.

3

Sending

Here we set a trigger which will activate this stage and the condition the stage has to satisfy to move to the next stage. The user can select from the list of options provided in the combo.

Activate this stage on completion of any/all stage:In the case of a work flow with parallel stages previous to the specified stage this option specifies the activation of this stage on completion of any one of the previous stages or all of them.

Physical file is mandatory: A physical file should be attached for sending from the stage.

Approval Status Code mandatory for issued documents: Client comment and approval status code should be updated from the selected stage.

Move to next stage on approval by sequenced users: Here the user can specify if the object is to be routed to the next stage on approval either by any one user or all users or sequenced users. In case of a sequenced stage, the user may enter the sequence for each User/Group.

Default Mail Intimation: A mail is sent to the user in the next stage if this option is selected.

Assign only a single resource to this stage: If this option is selected you can only assign a single resource to this stage and only this resource can close this stage.

Enforce sequencing for stage activation: This setting can be defined only if the stage is sequenced. Once this check box is selected,the sequenced stage will be opened to the user only if the previous user closes it.

General transmittal is mandatory: In some organizations there may be multiple consultants reviewing the documents using one workflow, here a consultant can only send an object through a workflow after releasing a transmittal (general). Hence a validation is required to ensure that a general transmittal is released from a particular stage of workflow before proceeding to next stage.

Once you select this option for moving to the next stage a general transmittal has to be send.

Stall workflow when reference documents are of older revisions: On selecting this option for a stage on sending the document from that stage, system will check if any of the reference document linked to that document is latest Revision. If Revision of any of the reference document is not latest, document cannot be send to next stage and alert message is displayed .

Timelog entry is mandatory: On selecting this option for moving to the next stage timelog entry will be mandatory for a workflow stage.

4

Budgeting

You can enter the anticipated time (in hours) required to finish this stage.

Percentage of Completion of a stage is entered here to specify the Percentage completed on completion of the stage .

Close routing automatically after planned finish date: This option is not selected by default. On selecting this option the workflow stage is closed after planned finish date for the stage expires. Planned finish date is calculated based on the value entered for Lead time allotted in Hrs.

Also notifications can be send indicating the expiry of planned finish date. A setting that allow automatic sending of notifications is also available.

5

User Accessibility for this Stage

Here the administrator can provide access rights for the resources assigned to each stage. Against each association type two check boxes Allow and Mandatory are provided.

Click Configure button to define User Accessibility for a workflow stage. On clicking the configure button the following window is displayed.

If the check boxes next to Allow and Mandatory are selected then the association type will be mandatory for that stage.

If the check box next to Allow is only selected the association type will not be mandatory for the stage, but user will be able to attach one.

If the check boxes next to both options are not selected, user will not be able to attach any associated files.

NOTE: Rights assigned here will have precedence for the current stage users over the rights assigned in the genealogy. The settings can be made for each stage in work flow. All these rights are selected by default.

View: The checkbox against view is selected by default. Once this checkbox is selected the documents may be viewed by the current stage user, even if the user does not posses rights in the genealogy. User may also take into account the following arguments.

  • View” permission in the genealogy takes precedence if view right is unspecified for a specific stage.
  • If the option is selected, user without view permission in the genealogy is permitted to view the document. Once the document is routed to the next stage the user is restricted from viewing the document.
  • If the option is cleared for a specific stage current stage user is restricted from viewing the document even if the user possesses view right in the genealogy.
  • You can assign unspecified status to any of the user accessibility options available in the workflow stage property window. Once the status is assigned as unspecified the rights assigned in the document or task genealogy is given higher precedence

Edit: Users can edit the document if the checkbox against Edit is selected.

Markup: The users can add markup if the checkbox against Markup is selected.

Comments: If the selected stage is a sequenced stage, the "Comments option controls the user accessibility for the stage to add comment files. if this option is unchecked, the specific user in the current stage will not be able to add comment files. Otherwise, the user may have the privilege to add comment files.

Related Files: If the selected stage is a sequenced stage, the "Related Files" option controls the user accessibility for the stage to add related files. if this option is unchecked, the specific user in the current stage will not be able to add related files. Otherwise, the user may have the privilege to add related files.

Squad Check Comment: You can add a Squad Check Comment file to a specific document from his/her workspace only if he/she has the above mentioned rights in that work flow. Once a squad check comment is added the system restricts further addition of comment files.

Specter: You can add Specter files if the Specter check box is selected.

Check Out/Check In/Replace: If this check box is enabled users in this stage can perform check out, check in and replace operations form their workspace

Link Document: Select this option if a document or drawing has to be linked to this stage.

Refer Document: Select this option if a document or drawing has to be referred to this stage.

Client Comments: Select this option if client comments has to be attached to a stage.

Link Properties

Forward link is used for both conditional and non conditional stage. In this link, after the completion of each stage the work flow is routed automatically to the next stage. Backward link is present only for non conditional stage. This link is activated when a stage is in the rejected status. Only after the stage gets approved, the work flow will be routed to the next stage.

  1. Select the link and click the 'Properties' button. Link Properties window is displayed. For non conditional Stage the system displays a forward link.
  2. For a Conditional Stage, specify the link description as "Yes" in a forward link and "No" for a backward link.
  3. If the link description is "No" the user may specify the drop in percentage here. A drop in percentage is an estimate made by the Work flow designer wherein the user specifies the percentage of rework that is needed if the routed object is not approved.

Here it is important that the user reaches upon an accurate estimate of the work that has to be redone and from this calculate how much this will impact the entire work flow.

Figure: Link Properties

Zoom

Click "Zoom" button to zoom in and zoom out a work flow diagram for a better view.

Obsolete

Click "Obsolete" button to make an active work flow inactive.

Facility to select multiple out links for a non-conditional stage.

When a non-conditional stage is selected, list of stages defined in the outward link is displayed in the send window. The user can select the required stages. The object is routed through the selected links.

See Also:

Work flow Defaults

Work flow Organizer

Custom Stages


Workflow Organiser

This module is where the user may allocate a Work flow Team to a Work flow (ie; Human Resources to each stage in a Work flow).

Navigation Table

To | See
Open Workflow Organizer | Opening Work flow Organizer
Select a Workflow to Assign Resources | Select a Work flow to Assign Resources
Assign Resources to a Workflow | Assigning Resources to a Work flow
Define Mail Options | Defining Mail Options
Input Web Access Link of Documents | Inputting Web Access Link of Documents
Define Advance options for workflow stages | Defining Advanced Options
Define Resources for a stage | Defining Stage Resources
Configure Escalations and Notifications | Configuring Escalations and Notifications
Configure Work flow Mail | Work flow Mail Configurator
Send Sequentially | Sequenced Sending
Search and Select and existing workflow team | Searching and Selecting an Existing Work flow Team
Lock the sequence for a specific stage in a workflow | Locking the Sequence for a Specific Stage in a Work flow
Create a Workflow from an existing Workflow | Creating a Workflow from an existing Workflow

Opening Work flow Organizer

  1. In the Control panel from the Workflow group click Organizer.

Workflow Organizer window is displayed.

Select a Work flow to Assign Resources

After a Work flow is created in the Work flow Designer, WRENCH provides the facility to assign each stage with a resource in the Work flow Organizer.

  1. In The Work flow Organizer window, Click "New" to avail of the "Select Work flow" interface.
  2. Select the Work flow to which resources are to be assigned.
  3. Click "Preview" button to view the Work flow.

Figure: Select Work flow

Assigning Workflow to different modules

User can also assign a work flow team to different module.

To assign workflow to different modules

  1. In the work flow organiser window select the browse button next to Modules.

Module selection window is displayed.

  2. User can make a selection from the following objects

-Documents

-Task

-Change Request

-Change Note

If additional components Part and Product Structure are installed the following modules are also listed

-Part

-BOM

User can select multiple modules for the same work flow team. If transmittal stages are present in the work flow only the fields “Documents” and “Document Tasks” are displayed or else all the modules are displayed. While searching for a work flow, if a value "Document" is assigned to the "Module" field the work flows assigned to documents are listed. If no work flows are assigned to the module all the work flows are listed.

Assigning Resources to a work flow

  1. Select a Work flow.
  2. Select a Stage and click the ellipse button next to the list titled Resources for the stage.

A resource list is displayed.

Figure: User List window

  1. Select the Resources to which this stage has to be assigned.
  5. WRENCH also facilitates grouping similar Users and defining them as User Groups .
  6. Click the ellipse next to the "Groups for the Stage" to select a particular group for the stage.

Bypass first stage on start workflow: If the check box next to this option is selected for a workflow team, on sending an object using this workflow team, first stage of the workflow is bypassed.

Limit visibility to assigned origins: When multiple organisations work together within a single workflow, it is not desirable for each organisation to view workflow process of other origins and the resources assigned to their stages. Select this option to control this. Also an option to select origin type is available in stage properties window of Workflow Organizer. Once this option is selected after selecting origin type in stage properties window, the workflow stage will be visible only for the selected origin type.

Figure: Work flow Team

To Assign Properties to Stages in a Work flow Team

  • Select a stage and Click "Properties" button from the menu and enter details as outlined.
  • Refer Stage Details in Work flow designer. The User may view the details here.
  • Refer Sending Rules in Work flow designer. The User may view the details here.
  • Click Advanced option icon to get the interface below.

Sending Rules

Different rules that can be assigned to a workflow stage is defined here.

Figure: Sending Rules

#

Property

Description

1

Stage Name

This shows the name of the stage.

2

User Response For

Select the appropriate User Response For from the drop-down list. You can have different outcomes for a stage. It can be Accepted, Rejected or More info.

It is possible for the user to set the terminology to appear while routing to next stage. Also , customised values can be defined for user response values.

3

Sending

Here we set a trigger which will activate this stage and the condition the stage has to satisfy to move to the next stage. The user can select from the list of options provided in the combo.

Activate this stage on completion of any/all stage:In the case of a work flow with parallel stages previous to the specified stage this option specifies the activation of this stage on completion of any one of the previous stages or all of them.

Move to next stage on approval by sequenced users: Here the user can specify if the object is to be routed to the next stage on approval either by any one user or all users or sequenced users. In case of a sequenced stage, the user may enter the sequence for each User/Group.

Physical file is mandatory: There are times when physical file is required during the lifecycle of a document. Workflow of such documents has to be stopped without a physical file. To manage this, select the checkbox next to the option Physical file is mandatory. If this option is selected, while sending or bypassing a document from one stage to another, if a physical file is not available, document cannot be send to the next stage and a warning message is displayed.

Default Mail Intimation: A mail is sent to the user in the next stage if this option is selected.

Assign only a single resource to this stage: If this option is selected you can only assign a single resource to this stage and only this resource can close this stage.

Enforce sequencing for stage activation: This setting can be defined only if the stage is sequenced. Once this check box is selected,the sequenced stage will be opened to the user only if the previous user closes it.

General transmittal is mandatory: In some organizations there may be multiple consultants reviewing the documents using one workflow, here a consultant can only send an object through a workflow after releasing a transmittal (general). Hence a validation is required to ensure that a general transmittal is released from a particular stage of workflow before proceeding to next stage.

Once you select this option for moving to the next stage a general transmittal has to be send.

Stall workflow when reference documents are of older revisions: On selecting this option for a stage on sending the document from that stage, system will check if any of the reference document linked to that document is latest Revision. If Revision of any of the reference document is not latest, document cannot be send to next stage and alert message is displayed .

Timelog entry is mandatory: On selecting this option for moving to the next stage timelog entry will be mandatory for a workflow stage.

4

Budgeting

You can enter the anticipated time (in hours) required to finish this stage.

Percentage of Completion of a stage is entered here to specify the Percentage completed on completion of the stage .

Close routing automatically after planned finish date: This option is not selected by default. On selecting this option the workflow stage is closed after planned finish date for the stage expires. Planned finish date is calculated based on the value entered for Lead time allotted in Hrs.

Send Alerts <<0>> days before the planned finish date: Specify the number of days before the planned finish date and select the checkbox. A notification is sent to the user prior to the planned finish date mentioned against the workflow stage.

Send Alerts<<0>>days after the planned finish date: Specify the number of days after the planned finish date and select the checkbox. A notification is send to the current stage users if items are not closed from their workspace even after the planned finish date.

Both internal and external notifications is sent to each user with the list of items pending to be completed.

Is Recurring: If the checkbox next to this option is selected, notifications are sent to the active stage users daily, until the respective pending items in their workspace are closed.

5

User Accessibility

Here the administrator can provide access rights for the resources assigned to each stage. Against each association type two check boxes Allow and Mandatory are provided.

Click Configure button to define User Accessibility for a workflow stage. On clicking the configure button the following window is displayed.

If the check boxes next to Allow and Mandatory are selected then the association type will be mandatory for that stage.

If the check box next to Allow is only selected the association type will not be mandatory for the stage, but user will be able to attach one.

If the check boxes next to both options are not selected, user will not be able to attach any associated files.

NOTE: Rights assigned here will have precedence for the current stage users over the rights assigned in the genealogy. The settings can be made for each stage in work flow. All these rights are selected by default.

View: The checkbox against view is selected by default. Once this checkbox is selected the documents may be viewed by the current stage user, even if the user does not posses rights in the genealogy. User may also take into account the following arguments.

  • View” permission in the genealogy takes precedence if view right is unspecified for a specific stage.
  • If the option is selected, user without view permission in the genealogy is permitted to view the document. Once the document is routed to the next stage the user is restricted from viewing the document.
  • If the option is cleared for a specific stage current stage user is restricted from viewing the document even if the user possesses view right in the genealogy.
  • You can assign unspecified status to any of the user accessibility options available in the workflow stage property window. Once the status is assigned as unspecified the rights assigned in the document or task genealogy is given higher precedence

Edit: Users can edit the document if the checkbox against Edit is selected.

Markup: The users can add markup if the checkbox against Markup is selected.

Comments: If the selected stage is a sequenced stage, the "Comments option controls the user accessibility for the stage to add comment files. if this option is unchecked, the specific user in the current stage will not be able to add comment files. Otherwise, the user may have the privilege to add comment files.

Related Files: If the selected stage is a sequenced stage, the "Related Files" option controls the user accessibility for the stage to add related files. if this option is unchecked, the specific user in the current stage will not be able to add related files. Otherwise, the user may have the privilege to add related files.

Squad Check Comment: You can add a Squad Check Comment file to a specific document from his/her workspace only if he/she has the above mentioned rights in that work flow. Once a squad check comment is added the system restricts further addition of comment files.

Specter: You can add Specter files if the Specter check box is selected.

Check Out/Check In/Replace: If this check box is enabled users in this stage can perform check out, check in and replace operations form their workspace

Link Document: Select this option if a document or drawing has to be linked to this stage.

Refer Document: Select this option if a document or drawing has to be referred to this stage.

Client Comments: Select this option if client comments has to be attached to a stage.

Apply to all teams of the design: If a workflow team is already created and then if the user needs to configure the user accessibility, going into each and every workflow team and configuring each stages one by one is a tedious process for the user, if there are multiple number of workflow teams even of the same design.

Click this hyperlink if user accessibility is to be configured for multiple workflow teams. On clicking this option, Select Workflow Team window is displayed.

Workflows teams having same design of the selected workflow is displayed here. Select the checkbox next to the required workflow teams and click OK.

Defining Mail Options

Notification mails are sent when a document is sent from one stage to another. The mail body for these notification mails can be defined here.

To define mail options

  1. In the workflow organizer window tool bar click Edit.
  2. Click Mail.

Workflow Mail Configurator window is displayed.

Figure: Mail options

Entire mail related configurations may be defined here. User may define the settings mentioned in the following table.

#. | Item | Description
1 | Subject | A Subject for the Message can be specified.
2 | Message | The Message content can be specified here.
3 | From | Resources in the selected stage or current stage are displayed here.
4 | To | Resources in the next stage are displayed here.
5 | Import Mail | Click this button to import mail configuration from a different workflow.

For more information on this topic see Workflow Mail Configurator .

Defining Mail bodies

WRENCH provides with an option to define mail bodies.

  • Select an Object from the drop-down list. The list includes

-CR

-Document

-Project

-Task

-Work flow

Corresponding Object properties are listed in the “Properties” drop-down list.

By defining mail bodies the corresponding information is assigned in the message box. This helps in avoiding errors while entering information and reduces time consumption.

For Example: If the Object CR is selected, the properties field displays CR Category, CR Reference No. and CR Status.

  • Click Insert to add the Object and related properties in the Subject and Message box.

Inputting Web Access Link of Documents

While sending mails user can input the web access link of documents in the mail. User can specify the external web access link or internal web access link in the mail. Usually for the internal users in the organization "Internal Link" of the documents are provided. For users accessing the documents externally the "External Link" of the documents are provided. The receiver of the mail can click on the web access hyperlink to access the document through WRENCH Web Access. If the mails send by the user are task related, hyperlink of the documents linked to the tasks are displayed. If multiple documents are linked to the task, then the document hyperlinks are displayed separated by commas.

  1. Select "Document" as the object from the drop down list.
  2. In the object properties list, Internal web access link and External web access link are displayed.
  3. On selecting "Internal Link" the mail send displays the internal link of the web access document.
  4. On selecting "External Link" the mail send displays the external link of the web access document.

Defining Advanced Option

Figure: Advanced Option

# | Item | Description
1 | Checklist for the Stage | Click the browse button to select the checklists.

Defining Stage Resources

  1. Click Stage Resources .

Figure: Stage Resources

  1. Click 'Stage Resources'. The "Stage Resources" window displays the Resources and Groups that has been assigned to a specific stage.
  2. The User may enter Resources either from Work flow Organizer window or from the stage resources window.

Cc Resources for the stage

Cc resources are usually defined in organizations where specific users are only permitted to process and forward a document, while other resources in that stage are permitted only to incorporate their comments and close route.

Adding Cc resources

To add resources to Cc list

  1. Click the browse button next to Cc resources for the stage grid.
  2. Select resources from the user list.
  3. Login Name and User Name of the selected resources are listed in the grid.

Assigning Distribution List

In scenarios where different categories of documents are sent for review and commenting, they are checked by a combination of different disciplines. For Example: Category 1 would be checked by ROT (Mechanical Rotating) and HTAT (Heat Transfer& Applied Technology), Category 2 would be checked by C&I (Control & Instrumentation), ELE (Electrical) and ROT. So here there are different discipline combinations for each category documents that go for inter departmental comments.

To address such scenarios provision to configure separate Distribution List for assigning the combinations of different discipline to each category of document against workflow stage is provided.

To assign distribution list

  1. Click the hyperlink Assign Distribution List.

Assign Distribution List window is displayed.

Figure: Assign Distribution List window

In the window, all Distribution list defined in Masters will be displayed in alphabetical order.

  2. Select the required distribution list and click OK.

When user creates a workflow team using the option ‘Create From’ in ‘Organiser’, the stage resources from the source/parent workflow team and distribution list defined against the source workflow team if any gets inherited.

Configuring Escalations and Notifications

Escalations serves the purpose of notifying the concerned authorities on schedule lags and other delays.

Figure: Escalations and Notifications

# | Item | Description
1 | Define Escalation for the User(s) | A sequence for sending escalations may be defined here. If a stage is not completed on time, an escalation mail is send to a higher official .
2 | Define Escalation for the Group(s) | An escalation may be defined for user groups.
3 | Subject | A Subject for the Message can be specified.
4 | Message | The Message content can be specified here.
5 | Object | Object for the mail is to be selected.
6 | Properties | Various properties corresponding to the object selected will be available for selection. This will be included in the message part of the mail. On clicking Insert the selected property will be inserted to the Message option.
7 | Escalations based on stage activation date | Select this option, if the escalations are to be configured based on the workflow stage activation dates.

NOTE: If the user have enabled Escalation mail setting for Object Schedules, but there are no rule of credits dates defined for that object then in such cases the escalation mails will not be sent.

Work flow Mail Configurator

The "Work flow Mail Configurator" helps a user in the current stage to send mails to selected users or user groups in the next stage of the Work flow. You can include Response, Subject and Message in the mail. You can also list the object properties in the "Subject" and "Message" lines of mails sent to different users in the organization. WRENCH also provides with an option to define mail bodies for a particular stage.

To define values in the work flow mail configurator

  1. Open the work flow organizer and select a workflow.
  2. In the workflow select a stage.
  3. In the toolbar click Edit.
  4. Click Mail.

Workflow Mail Configurator window is displayed.Here you can configure mails for single and multiple objects. Window for configuring mails for single object is selected by default.

Figure: Work flow Mail Configurator

  3. In the drop-down box corresponding to Mail Configuration Objects, select the object for which the mail configurator values has to be defined.
  4. Next select the stages between which the configured mails is to be sent. Select the current stage and the next stage or the stage to which the object has to be sent.
  5. Enter the subject for the mail.
  6. Enter body of the mail in the text area provided in the column ‘Message.’

To define the mail properties

  1. In the drop-down list next to Properties select a property. Properties are listed based on the object selected.
  2. Place the cursor at the position where you want to insert the document properties and click the Insert button.

Only the property label is displayed. Object properties are mapped only when the object is sent to the next stage. In this way you can map the values for the mail content.

By defining mail bodies the corresponding information is assigned in the message box. This helps in avoiding errors while entering information and reduces time consumption.

To configure mails for multiple objects

  1. In the Workflow mail configurator window click the tab Multiple.

Multiple Mail Configurator window is displayed.

Figure: Workflow Mail Configurator - Multiple Objects

  2. In the drop-down box corresponding to Mail Configuration Objects, select the object for which the mail configurator values has to be defined.
  3. Next select the stages between which the configured mails is to be sent. Select the current stage and the next stage or the stage to which the object has to be sent.
  4. Enter the subject for the mail.
  5. Enter body of the mail in the text area provided in the column ‘Message.’

The details of the objects that is being sent will be represented in Tabular form similar to the default mail generated in sending multiple objects.

  6. Select the required fields from the left column ‘Available Properties’ and add it to right column ‘Selected Properties’ using the ‘>’ button.

The properties can be rearranged using the Up-Down Arrow button next to the column. This allows to set the display order of fields in the Table.

  7. Once the required properties are selected, place the cursor in the area where table has to be inserted.
  8. Click ‘Insert Table’. A text <<Insert Table>> is displayed in the window as shown in the following figure.

Table will be displayed in the mail generated while multiple objects are send.

Importing Mails from another workflow team

  1. Click the Import Mail button to import mails from another workflow team. On selecting this button the following message is displayed.

  2. Click Yes to continue with importing of mails.
  3. Search Workflow window is displayed. you can select a workflow from the list. If the workflow team contain any mails they are imported.

Configuring next stage buttons in workflow notification mails

There are scenarios when Approvers/PM/Senior Management is part of the workflow. As most of the documents would have reviewed/approved by the Engineer, the document can be sent directly to next stage from Approvers Workspace.

To reduce the number of clicks, next stages can be directly selected from workflow notification mail. A hyperlink will be available in the mail body. To facilitate this in Workflow Mail Configuration window, a new property Workflow send operations will be available. This will be available only for the object Document.

Figure: Workflow Mail Configurator window

Once this property is inserted, buttons to carry out workflow operation will be available in the mail body.

Inputting Web Access Link of Documents

While sending mails user can input the web access link of documents in the mail. User can specify the external web access link or internal web access link in the mail. Usually for the internal users in the organization "Internal Link" of the documents are provided. For users accessing the documents externally the "External Link" of the documents are provided. The receiver of the mail can click on the web access hyperlink to access the document through WRENCH Web Access. If the mails send by the user are task related, hyperlink of the documents linked to the tasks are displayed. If multiple documents are linked to the task, then the document hyperlinks are displayed separated by commas.

For more information on inputting web access links refer to a detailed explanation in Work flow>>Advanced options .

Sequenced Sending

If the stage is an Ordinary /Release stage and if "Move to Next Stage on Approval" is given as "Sequenced" then sequence can be set for that specific stage. "Sequenced Routing" is a feature in routing, which follows a predefined pattern within a stage. This is ideal for Inter department/Intra department Squad Checks.

While performing a sequenced sending user may take into account the following

  1. In case of a Sequenced stage, the user may enter the sequence for each User/Group.
  2. The sequence number is mandatory for all Users/Groups in the list.
  3. Click "Ok" or "Apply" button to save the changes and close the window.

Locking the sequence for a specific stage in a Work flow

WRENCH facilitates users to lock the sequence for a particular stage in a work flow. This sequence cannot be modified/edited while routing .

When an object is routed to a specific stage for which the sequence is locked, the user would be ONLY able to see the pre-defined sequence set for the resources in the next stage. However, as the sequence is locked, the user will not be able to modify or edit the sequence while routing.

In case, the user adds new resources into the specific stage, he/she may define the sequence for such users.

While Routing from a Stage to a Sequenced Stage

  1. The Sequence specified in the Work flow Organizer must be entered in the sequence column.
  2. You may change the existing sequence number or provide a new sequence number.
  3. You can send from the current stage only after specifying sequence to all users .

If the sequence is not defined for any User in the next stage of the sequenced stage, the User is alerted and the routing aborted.

Information: When routing from a sequenced stage to the next stage, there are few things to remember.

  1. While routing from a sequenced stage to next stage, only the final user in the sequence is permitted to route to the next stage. Other Users can only close route their workspace entries. This is applicable to conditional stage also. Only the final User can route forward or reject from the conditional stage.
  2. Before the final User in the sequence begins to route to the next stage, the user should check that all the other users existing in the sequenced stage have closed routed from their workspace. If any of the users in the sequenced stage haven't close routed the entry from their workspace, then routing cannot proceed to the next stage.
  3. In case, the current user in the sequenced stage is not the final user, he can only close route the entry from his workspace.
  4. Before close routing, the current user must check that all the previous users have close routed from their workspace in the sequential order.
  5. If there is a user who is available both as a stage user and in the group, then his sequence specified as 'user' need to be given preference.
  6. The sequence number specified for a certain group is applicable for all the users in that group. All the users of the group will inherit the same sequence number assigned to the group. As a result, any of the users in the group has the right to close routing on behalf of all.
  7. When a comment file is routed through a work flow which has a sequenced stage, all the users/reviewers in squad check stage can check out the comment file from their respective workspace. A sequenced user would be intimated by mail on the activation of his/her sequence.

Searching and selecting an existing workflow team

  1. Click the "Open" button on the Work flow Organizer.

Search Workflow Team window is displayed.

Figure: Search Workflow Team

  3. Click Open button to display a list of available work flow.
  4. Workflow Team Name, Status and Design Name is displayed in the search results window.
  5. Select the appropriate workflow from the "Search results" and click "Select" button to assign the work flow to the selected document category and type.
  6. The workflow can be previewed (graphical view) by clicking the "Show preview" button. Selecting a workflow will navigate you back to the "Workflow Organizer" interface.

Creating a Workflow from an existing Workflow

You can create a workflow from an existing workflow. All the properties defined for the workflow which is being copied will be available in the new workflow.

To create a workflow from an existing workflow

  1. In the Workflow Organizer toolbar select Create From.

Figure: Workflow Organiser window

Workflow Search window is displayed

  1. You can select an already existing workflow from the list displayed there.
  2. Enter a new Workflow Team name for the selected workflow.
  3. Save and Release the workflow.

The created workflow will have the properties defined for the sources workflow. Before saving and releasing the workflow you can change the properties according to your requirements.

Removing a work flow In the work flow organizer

  • Work flow teams with any status could be removed if there are no objects in WRENCH (such as Task, Documents, CR, CN etc.) assigned with it. The user may remove all existing objects from WRENCH which uses the work flow team to delete the team from WRENCH.

See Also

Work flow Defaults

Custom Stages

Work flow Designer


Custom Stages

This is where the Administrator can define Custom Stages. If there is a stage that is used in more than one Workflow then this stage can be defined as a custom stage and can be assigned to more than one Workflow.

Navigation Table

To | See
Open Custom Stages | Opening Custom Stages
Set Custom | Setting Custom Stage properties

Opening Custom Stages

  1. In the Control panel from the Workflow group select Custom Stages.

Custom Stages window is displayed.

Figure: Workflow Custom Stages

Setting Custom Stage properties

#. | Field | Description
1 | Stage Name | The user may specify a stage name here for which custom properties are defined .
2 | Stage Style | The user may specify if its a conditional or non conditional stage.
3 | Stage Type | Stage type can be specified here.
4 | Activate this Stage on the Completion Of | The user can specify completion of an activity that can activate the stage.
5 | Move to the Next Stage on Approval by | The approval body can be specified here.
6 | Default Mail Intimation Required | If check box against default mail intimation is selected,then when the object reaches that stage, the user will get the mail.
7 | Accepted | The syntax that can imply approval can be specified here.
8 | Rejected | The syntax that can imply rejection can be specified here.
9 | More Info | If the user requires additional details about a certain task then he may intimate the specified person.
10 | Lead Time Allotted in Hours | Estimate of the time taken for a particular activity has to be specified.
11 | Percentage Completion | The user can specify the completion stage of the entire workflow in percentage.
12 | User Accessibility | Defines if edit rights are to be given to the user or only "Mark" rights are defined.

See Also:

Workflow Defaults

Workflow Designer

Workflow Organizer

Configurable Stages


Configurable Stages

Configurable stages assists in defining workflow actions based on the activation and completion of workflow stages.

Some of the activities that may be ensured using configurable workflow stages are

  • Activation of one Workflow after the completion of any defined Workflow stage.
  • Updating the life cycle status of a document when it reaches a particular stage.
  • Defining a delay (Timer) for each stage.

A configurable stage includes a Timer stage, Application stage, Logical stage, Replication stage, Gate stage and an Activation stage.

Accessing Configurable Stages

  1. In the Control Panel under Workflow select Configurable Stages.

Configurable Workflow Stage Master window is displayed.

Figure: Configurable Workflow Stage Master window

Configuring a new workflow stage

  1. In the toolbar select "New." Configurable Workflow Stage Mapping window is displayed.

Figure: Configurable Workflow Stage Mapping window

For configuring workflow stages, the properties mentioned in the following table are to be defined.

# | Item | Description
1 | Team Name | Team name is the workflow team name defined in the workflow designer. Click the corresponding browse button to select from a list. User may also remove a workflow team assigned.
2 | Stage Name | Select a stage name from the drop-down list
3 | Perform Action | User can select a stage action.
4 | Iterations | User may define whether the action should be performed only for the first instance of stage activation or for every instance of stage activation.
5 | Stored Procedure | User may select a stored procedure from a drop-down list. The execution of the stored procedure is carried out based on the selection made in the perform action field.
6 | Input Criteria Details | Values for these criteria may be entered by the user
7 | Fixed Value Criteria | The values specified for these criteria will remain fixed.
8 | Variable Value Criteria | The values for these criteria may change in accordance with the instance.
  • Click "OK" to save changes.

Managing a workflow stage

User may edit or remove an existing configuration by clicking the respective buttons in the tool bar.

Once a stage is configured and an action is defined the workflow will be completed only on completion of the action.

See Also

Workflow Defaults

Workflow Designer

Workflow Organizer

Custom Stages


Unguided workflow stages

In small organizations, there will not be strict process or workflows for review and approval of engineering documents. They use unguided workflow to send documents for Review/Approval. Stages for the unguided workflows are created here.

To create workflow stages

  1. In the Control Panel under the group Workflow click Unguided Workflow Stages.

Unguided workflow stages window is displayed. In the window stages already created will be listed.

Figure: Unguided workflow stages

  2. In the tool bar click New.

Unguided workflow stage window is displayed.

  3. In the window enter a Stage name.
  4. Click OK to save changes.

A workflow stage is selected.

On assigning an unguided workflow to an object, the stages defined here will be available for selection. Also in the Send window of Unguided workflow, option to select the next stage will be available. Here Unguided workflow stages defined will be displayed.


Genealogy

Genealogy is an orderly arrangement of documents, projects, tasks or Parts. This helps in proper grouping and retrieval of documents. WRENCH provides facility to define document or task genealogies depending on the organization. Genealogies are defined for different departments in the organization and documents are added under the respective genealogies. Genealogy System permits the creation of child levels (upto 8 numbers) under a parent genealogy.

For Example: Under a parent genealogy called "Correspondence", child levels Fax, Email and Letters can be added.

The documents in a project might be highly confidential. Access to these documents are to be limited to selected users. Defining security permissions for individual users is a tedious task. To avoid this, security policies might be applied for a genealogy. All the documents grouped under this genealogy inherits the security policies, default properties and custom properties assigned to the genealogy.

All the documents grouped under a specific genealogy can be easily searched and retrieved using the "Document Search".

Level Configuration is a one time administrative function. This process is initiated during deployment when Security levels are defined and the Work Flow and routing procedures are finalized. The maximum number of levels supported in WRENCH is Eight.

NOTE: The Administrator may create the level structure for Tasks, Documents and Parts here and assign rights to users and user groups to manage Documents, Tasks and Parts at different levels.

Navigation Table

To | See
Open Level Configurator | Opening Level Configurator
Create a New Level | Creating a New Level
Create a New Level from the desktop | Creating a genealogy from the desktop
Define Level properties | Defining Level Properties
Define and Edit Level Names | Level Names
Define User and User Group Security | User and User Group Security
Define Custom properties | Custom Properties
Define Document Level default properties | Defining Document Level Default Properties
Filter resources in a specific Document genealogy based on Project | Notification Resource Pool in Genealogy Level Properties
Search for Users and User Groups in Document genealogy | Dynamic Search facility for Users and User groups in Document Genealogy
Define Project level default properties | Defining Properties for Project Genealogy
Define Task level default properties | Defining Task Level Properties
Define Part Level default properties | Defining Part Level Default Properties
Drag and Drop documents from other genealogies | Drag and Drop Documents from other Genealogies
Cut, Copy and Paste Documents within the same Genealogy and from other Genealogies | Cut, Copy and Paste Documents within the same Genealogy and from other Genealogies
Import genealogies from MS Excel template | Importing genealogies in bulk

Opening Level Configurator

  1. To open the level configurator click the "WRENCH " button.

  2. In the ensuing menu select Module>>Genealogy.

Genealogy level configurator is displayed.

Genealogy Configuration

Here, define or create levels in a genealogy as well as perform a whole host of other functions such as Edit or Remove a specific level as well as cut,copy and paste selected folders.

  1. Select "Document" or "Task" or "Part" according to the configuration required.
  2. Right-click Document, Task or Part folder to avail a list of options.

Figure: List of Values window

Options available in Genealogy Configuration are:

  1. Create Level
  2. Remove Level
  3. Rename Level
  4. Copy
  5. Paste
  6. Cut
  7. Properties

Creating a Level

To create a new Document or Task or Part genealogy level,

  1. Right-click a folder and click Options>>Create. This facilitates the creation of a new level.
  2. Enter the required value and description. Both these fields are mandatory.
  3. Click ‘OK’. The new level is added as the sub-level of the selected level.
  4. If the new level has be defined for a structure which already has 5 levels, then the new level will be 6.
  5. Documents and Tasks can be added to any defined level provided there is no defined child level for that specific level.

Figure: Creating a Level

NOTE : An alert message similar to one in the following figure is displayed if a particular user does not have the administrative rights on a particular genealogy.

Remove Level

You can remove a specific level in a genealogy. However, system restricts the removal of a specific level if a child level exists under the selected level and also if Documents are already added under the selected level.

Rename Level

You can Rename a specific level ( Value and Description)in a genealogy using this option.

Copy

You can copy the selected genealogy folder in a particular location without sub folders. If Documents are added under the selected folder, then user cannot perform this operation. You can also copy multiple folders. For copying multiple folders select multiple folders using CTRL key.

Paste

You can paste the copied folder in the same level as that of the selected level. The user may note that you cannot paste the copied folder that exceeds the maximum no. of levels permitted. (8 levels).

Cut
You can "Cut" a specific folder in a genealogy level without sub folders. If Documents are added under the selected folder, then user cannot perform this operation.

Defining Level Properties

Right-click a specific genealogy level and select ‘Properties’ from the list of options. The administrator can define the following properties:

  • User Group Security
  • User Security
  • Custom Properties
  • Default Properties

Level Names

Different Options available under Level Names are:

  • Define Level Name
  • Edit Level Name
  • Expand ALL
  • Collapse ALL

To define a level name

  1. Select a genealogy and in the group Level Names click Define level name.

Figure: Defining Level Names

Genealogy Definition window is displayed.

Figure: Genealogy Definition window

  2. In the tool bar click Add to add or define the level names.

Level Details window is displayed.

Figure: Level Details

  3. Enter a level name and Remarks.

A small or large icon can be selected for the level. Click the browse button to select an icon.

  4. Click OK to save the details entered.

Edit Level Names

You may edit the existing level names. Click "Edit" to avail the "Level details" interface. Here, user can edit the already existing values.

Expand all : User can expand all the genealogy levels.

Collapse all: User can collapse all the genealogy levels.

Shortcut for genealogy values

  1. The user may create shortcut for genealogy values in WRENCH by right-clicking on a selected item

  2. User can also edit the shortcut name
  3. Right-click the shortcut item created on the WRENCH desktop
  4. Click “Edit” in the menu to display a text box with the current name of the shortcut which could be edited by the user as desired.

Dynamic Search facility for User and User group in Document Projects/Enquiry, Part and Task Genealogy

WRENCH provides users the facility whereby they could dynamically search for user and user group in Document genealogy.

Search facility in User Group

  1. Type in any letter in the "Search" text box above the "User Group"

Figure: Search Facility

  2. The corresponding user groups beginning with that letter is displayed in "User Group" grid.
  3. Select the required user group.

Search facility for users

In the "Search in" field, you may search for a specific user based on the following criterion: login name, user name as well as user group.

Figure: Genealogy Properties

To search for a specific user based on login name or user name,

  1. Type-in any letter in the "Look for" field . The names of the corresponding users beginning with that letter would be displayed.
  2. Select the required user.

To search for a specific user based on User Group

  1. Select the required user group from the ‘Look for’ combo which displays all the available ‘User Group’s
  2. All the users belonging to that group would be displayed in the grid.

If the product module has been incorporated during installation

Part module will be added along with Document and Task. The administrator can define up to 8 levels for a Part also

Creation of a level for a Part

  1. Click "Create Level" from the menu

Figure: Create New Level

  2. Enter a Value and a Description
  3. Click "Ok" to create a new Part genealogy
  4. The created Value is displayed in the List of Values Details.

Figure: List of Value Details window

A BOM genealogy can be also be created as shown in the preceding figure.

Cut, Copy and Paste Documents

This unique feature helps users to Cut, Copy and Paste Documents within the same genealogy and also from other genealogies. Select a specific Document genealogy folder and right-click to avail the options namely; Cut, Copy and Paste.

Cut, Copy and Paste Documents within the same genealogy

Cut:

If ‘Remove’ rights is assigned to a user in a particular genealogy, then the user can cut the specific Document. A user with ‘Add’ rights, can paste the Document within the same genealogy. If ‘Add’ permission is specified, then the Document is added directly to the folder.

Copy and Paste:

In order to copy the Document, the user must necessarily have ‘Copy’ permission in the specific genealogy. If the user does not have sufficient 'Copy' permission, an alert message is displayed.

To paste the Document within the same genealogy, the user must have the requisite ‘Add’ rights in the particular genealogy. If the ‘Add’ right has been specified, then the ‘Add Document’ window is displayed with the copied Document details.

Cut, Copy and Paste Documents from other genealogies:

Cut:

To cut a Document from another genealogy, the user must have ‘Remove’ permission in the specific genealogy from where the Document is being removed. The user may paste this Document in the required genealogy.

Copy and Paste:

The user must have the requisite ‘Copy’ permission in the particular Document genealogy. To paste a cut/copied Document, the user must have ‘Add’ rights in the specific Document genealogy into which it is to be pasted. If ‘Add’ right has been specified for the user, then the "Add Document" interface would be displayed with the Document details of the cut/copied Document.

Creating a genealogy from the desktop

You can also create a folder or genealogy from the desktop. You can create a genealogy for Document, Project and Part from the desktop.

To create a genealogy

  1. In the desktop navigation bar select a module (Project, Document, Part) and right-click.
  2. In the right-click menu select Options>>Create.

Lists of Value Details dialog box is displayed

See the topic Creating a Level for more details on creating a genealogy.

Importing genealogy in bulk

Genealogies can be imported in bulk from an MS Excel sheet. For this an import template is generated first. The fields for creating a genealogy is entered in MS Excel sheet and the genealogy structure entered in the MS Excel sheet is imported.

STEP 1: Generating an import template

The first step for importing genealogy from an MS Excel sheet is to generate the import template.

To create an import template

  1. In the genealogy window under the group Import from Excel select Generate Template

  2. Select Genealogy Type window is displayed. Here the different genealogy types are displayed. You can select the radial button that is displayed next to a genealogy type. For Example: If the radial button corresponding to the genealogy type Document is selected, a template for importing document genealogy is created. Click OK to continue.

  3. Save As window is displayed. Here you can specify file name for the template and a location for saving the template. Click Save to store changes and continue.

A template is created and saved in the location specified.

STEP 2: Defining genealogies in the template

  1. Open the MS Excel template generated and enter the values for the genealogy. Enter values for different genealogy levels.

  2. Save the file

STEP 3: Importing genealogies in bulk

Next step is to import the genealogies defined in the MS Excel template to WRENCH.

To import the genealogy details

  1. In the genealogy window under the group Import from Excel choose Select File

  2. File Select window is displayed
  3. Select the template from the location where it is saved
  4. Click Open to continue

Genealogy defined in the excel sheet is imported to WRENCH


Genealogy Properties

Genealogy Properties

Right-click a specific genealogy level and select ‘Properties’ from the list of options. The Administrator can define the following properties:

  • User Group Security
  • User Security
  • Custom Properties
  • Default Properties

User Security and User Group Security

WRENCH provides the facility to assign security to users and user groups. A set of actions that a user or user group can perform is defined here. If the rights for the user are not specified, then the rights assigned to the user group are inherited by the user. User level security

Security rights for an individual user can be assigned from this window. To assign user level security

  1. In the Genealogy Document properties window select User Security tab
  2. Login Name and User Name of the user and their corresponding rights are displayed
  3. User can click the scroll down arrow on the Security rights window to view a full list of rights.

Figure: User Level Security

The following buttons are displayed in the window.

Select All: Click this button to select the entire set of security rights.

Allow: Click this button to assign the selected security right.

Deny: Click this button to deny user the selected security rights.

Not Set: Click this button to set the security rights as non-specified. If Not Set button is clicked for User Security, then security rights assigned to their groups are inherited to the user.

Apply: Click Apply button to apply the security settings.

OK: Click OK to apply the security settings and exit.

Information: Detailed information on various security rights that can be assigned to a User or User Group in Documents or Tasks and various Modules are explained in Security Center.

Please Refer

Security Center>> Modular Security for Documents

Security Center>>Modular Security for Tasks

Custom Properties

Custom Properties defined in the Custom Characteristics Master can be selected here. The user also has a provision to remove selected Classes.

Figure: Custom Properties window

Refer Masters>>Custom Characteristics for more details on how to create and assign classes to various objects.

Default Properties for Resource Pool

Here Duration per deliverable for a user or user group can be assigned. The window displays Login Name, User Name and time taken by the user to complete a deliverable for a resource. Group Name and the time taken by the group to complete a deliverable is also displayed.

Figure: Default Properties for Resource Pool

User is provided with the facility to browse and add user's and user groups. While a project independent document is added, the Duration per deliverable assigned for each resource will be taken as the budgeted duration for each resources

Notification Resource Pool in Genealogy Default Properties

WRENCH facilitates the filtering of resources in a specific Document genealogy based on project.

  1. Under "Resource pool" option, click the link “Click here to access the Notification Resource Pool”
  2. On clicking the link, the "Notification Resource Pool" window is displayed
  3. Browse and select the required user and user group.
  4. A notification calendar may be assigned to each user. The notification calendar assigned in the user or user group master is displayed here.

Figure: Notification Resource Pool

Filter Notification Resources based on Projects :

If the "Filter Notification Resources based on Projects" option is selected: The resources would be filtered based on the resources given in Project selected for the Document (if any). This filtered resource list would be displayed in the Notifications tab while adding a Document.

If the "Filter Notification Resources based on Projects" option is cleared, the resources selected in the “Notification Resource Pool” would be displayed in the Notifications tab while adding a Document.

If there are no users/ user groups specified in the notification resource pool, the users in the genealogy resource pool (if any) would be displayed in the notifications tab while adding a Document.


Defining properties for Document Genealogy

To | See
Define User and User group security | Defining User and User Group security
Define document level default properties | Defining Document Level Default Properties
Assign security to selected groups | Assigning security to selected groups
Define Custom Properties | Defining Custom Properties
Customise the Document Addition window | Customising the document addition window
Customise the Document Details window | Customising the Document Details window

Defining User and User Group security

You can define access permission for documents grouped under a genealogy. Once security is defined only users or user groups with appropriate security permissions will be able to work with document and drawings grouped under this folder.

Usually in an organization the activities related to the project are split between different departments; Architectural, Mechanical, Piping etc. User groups are created based on these departments and users are assigned to these groups. Depending on the privileges required ,security rights are assigned to the group and hence users added under each group will posses all the rights assigned to the group. Further, under each group, sub groups can be created for users with similar responsibilities. When new users join the organization they are assigned to the respective group instead of giving them individual rights.

The architectural drawings are created by respective designers of the departments and they are permitted to view the documents and edit it. Users belonging to other departments are not permitted to view or work with these documents as a part of maintaining the information security

To define rights for user groups

  1. In the document properties window select User Group Security tab.

Figure: Document Properties window

Different user groups in the organization and document management rights that can be assigned for a group is displayed in the window.

  2. Select a single or multiple groups.

NOTE: For selecting multiple groups after selecting a group, press the CTRL button and select the next group. In this way you can select multiple groups.

  3. Select the check box against the document management right.
  4. If you need to assign entire rights to a user group click the button Select All. Entire set of rights will be selected.
  5. Click Allow to enable the selected rights.
  6. Click Apply to save the rights assigned

Assigning Security to selected groups

You can also assign selected security to selected groups.

To assign security to selected groups

  1. In the Document Properties window select the hyperlink Click here to assign security selectively.

Assign Security window is displayed.

Figure: Assign Security window

To select a group

You can select a Group and assign a set of security rights to this group.

  1. Click the browse button next to Groups to select groups.
  2. Group List window is displayed where you can select a single group or multiple groups.

Figure: Group List

  3. Click OK to save changes and to continue.

To select security rights

  1. In the Assign Security window select a group.
  2. Click the browse button next to Rights.

Securities List window is displayed.

Figure:Securities List window

  1. In this window select the rights you want to assign to a group. You can select single or multiple rights.

  2. Once selecting of rights is completed click OK to save changes and continue.

Security rights assigned to a selected group is displayed as shown in the following figure.

Figure: Assign Security window

NOTE: The security rights assigned to a group can be further controlled by selecting or clearing the checkbox next to a Security Right. This helps in more controlled distribution of security to a group.

In the same way document management rights can be assigned to users also.

To assign document rights to users

  1. In the document properties window select User Security.

Figure: Assigning security rights to users

  2. Login Name and User Name of the entire users are displayed here.
  3. Select single user or multiple users.
  4. Select the check box against a user right to assign it to the user.
  5. Click Apply to save changes. Click Ok to save changes and exit.

Assigning Manage Security right

Administrator in an organization can assign Manage Security right to a user. User possessing this right can assign different security rights to other users under this genealogy.

Searching for users in the document properties window

In the document properties window facility is provided to search for users or user groups. This helps in locating users from a large user list.

To search for users

  1. In the Search In filed select a property from the drop-down list.

  2. If you select the property in Search In field as User Name and you need to retrieve the list of entire users with their user name starting with S, in the Look For field enter S.

Assigning Security to selected Users

You can also assign selected security to selected users.

To assign security to selected users

  1. In the Document Properties window select the Security button.

Assign Security window is displayed.

To select a user

You can select a User and assign a set of security rights to this User.

  1. Click the browse button next to Users to select users.
  2. User List window is displayed where you can select a single user or multiple users.
  3. Click OK to save changes and to continue.

To select security rights

  1. In the Assign Security window select a user.
  2. Click the browse button next to rights.

Rights List window is displayed.

  3. In this window select the rights you want to assign to a user. You can select single or multiple rights.
  4. Once selecting of rights is completed click OK to save changes and continue.

Security rights assigned to a selected user is displayed as shown in the following figure.

NOTE: The security rights assigned to a user can be further controlled by selecting or clearing the check box next to a Security Right. This helps in more controlled distribution of security to a user.

Defining document level default properties

The user may define some default properties that are applicable for all Documents defined at this level. These properties are inherited by all levels further added under this level.

NOTE: For Documents that belong to a project,the project settings will have precedence over default settings here.

Default Properties that can be set for a level are:

Document properties:

  • Revision Series
  • Add as Released
  • Work Flow Team
  • Transmittal needed for Approval
  • Approval requirement Code
  • Specter Disposition
  • Distribution Option
  • Character Updation Mode
  • Document Origin Code
  • Default Sheet Size
  • Approval Status Code Mapping
  • Correspondence Genealogy
  • Correspondence Type
  • Incoming Mail id
  • Password
  • Outgoing Mail id.
  • Fetch Mail options
  • Document Numbering Template
  • Can Change the numbering Template at the Time of Creation
  • Default Level for Correspondence
  • Resource Pool
  • Notification Resource Pool
  • Security - Encrypt files on storage

Resource Pool:

  • Resource Pool
  • Notification Resource Pool

Security:

  • Encrypt file on storage

Setting Default Properties for Documents

Define properties for individual Documents by clicking the Document folder and selecting the Document level as shown in the following figure. There may be more than one Document in this level so in case the user needs to assign certain security rights within a level, the particular Document may be selected and the user may right-click the same and define security rights.

Figure: Default Document Properties for a Level

Apply these Settings to All "Selected Genealogy level Value": Selecting this check box applies the settings made to all other matching genealogy values which have the same name as the selected genealogy level value.

For Example: If there are 2 Document genealogies say,

Document-->MECH-->PURCHASE and Document-->ENG-->PURCHASE applying this setting to any one will apply the properties to the other, ie all Document genealogy with PURCHASE at the leaf level will have the specific property.

Inherit from Parent: On selecting this option the security rights assigned to the parent level are inherited. By default in WRENCH the rights assigned to a Level is inherited by all the child levels until it is overridden at a any level. If the rights assigned to a particular level is overridden, applying "Inherit from Parent" restores the rights assigned to the parent level to the selected level.

Extend to child: On selecting this option the security rights assigned to the selected level will be extended to all the child levels. This will restore the inheritance from the parent to all the child levels so that making any changes to the parent level will be inherited to all the child levels.

You can enter the following properties in the window.

#

Property

Description

1

Internal Revision Series

The Internal Revision Series for this Document Genealogy can be selected here and set as default for this genealogy.

2

Add as Released

If this option is set here then the non project Documents added in this level will be in the "Released" status. The user may edit this option while adding Documents.

3

Start Workflow

On selecting this option the workflow for the document is started automatically on adding the document.

4

Work Flow Team

A default work flow team can be set here. If the Document is project based then the resources selected for the Project are given precedence. Unguided workflow can also be selected. Option Unguided is displayed by default.

5

Secure the genealogy for workflow resources

On selecting the checkbox against “Secure the genealogy for workflow resources” the operations on the documents under this genealogy is restricted to the workflow resources.

While manually routing documents if this option is selected the following resources are permitted to view the documents.

  • Current stage resources
  • Users listed in the routing history i.e. users who were a part of the workflow
  • Users with rights in the genealogy

User may take into account the following while viewing documents

Documents with WIP and released workflows: May be viewed by only the workflow resources

Documents with Unguided workflow: May be viewed by the creator of the document and by the routing history resources based on their right in genealogy.

Add as Released Documents: These documents can be viewed by the creator of the document and resources with rights in that genealogy.

6

Enable file editing only for stage resources during workflow

On selecting this option only resources in a stage will be able to edit a file available in a specific stage. File operation (Add/Edit/Remove) can be restricted or permitted based on the availability of documents in user workspace.

To restrict or enable file operation

  1. Click the hyperlink Click here to configure document/attachment types.

Figure: Attachment Types window

The following settings can be enabled or disabled.

  • Edit Main Document
  • Add/Edit Specter
  • Add/Edit Related File
  • Add/Edit Comment/Markup

When the setting is ON, and user who is not in the active stage try to add, replace or remove the attachments, the operation is restricted, and a warning message is displayed. If the setting ‘Enable file editing only for stage resources during workflow’ is selected in the server and if the current user has ‘Add/Edit Comment/Markup’ permission, user is permitted to add or edit comments in CRS only if the user is in the current active stage of the workflow. This is applicable only when, there is a workflow assigned to the document and the assigned workflow is active.

In the case of documents without a workflow or if the assigned workflow is not active, user is permitted to add or edit comments in CRS, if the current user has ‘Add/Edit Comment/Markup’ permission.

7

Transmittal required for approval of WIP documents

If the 'Transmittal required for Approval of WIP documents' setting is enabled in the Document Genealogy default properties of the selected Document, a message would be displayed to the user asking him/her whether to release the transmittal on routing or not. However, if this setting has not been checked at any place, the Document would be released without a transmittal.

8

Approval Requirement Code

A default Approval Requirement Code is set here for this Document genealogy.

9.

Specter options

You can specify if specter files has to be attached to documents this genealogy.

10

Distribution Option

This option is primarily for specifying type of document to be send while sending the transmittals to the customer. Click the hyperlink "Click here to map distribution option." Distribution Option window is displayed where you can select the type of documents that are to be send with the transmittal.

Figure: Distribution option selection window

11

Character Updation Mode

This option is set for Characteristics Mapping Function. The user may specify if the mapping is bi-directional or not here.

12

Auto attach documents to the Task

While adding a document to the genealogy, you can specify whether documents are to be attached automatically to the task. The options displayed in the following figure can be selected from a drop down list.

Not Enabled: On selecting this option you can just add a new document to the genealogy without linking or referring it to a task.

Link: On selecting this option, the document will be linked to the task based on Task Linking Matching option and the task genealogy specified in the Default Task Genealogy.

Refer: On selecting this option, the document will be referred to the task based on Task Linking Matching option and the task genealogy specified in the Default Task Genealogy.

13

Default Task Genealogy

You can select a genealogy under which the task has to be created. You cannot make a selection, if Auto attach documents to the Task is selected as Not Enabled.

14

Task Linking Matching option

Here you can select a mode based on which a task has to be auto generated. The options displayed in the following figure can be selected from a drop down list.

Here if you select the Reserved Client Document Number, the task name of the auto-generated task will be same as the reserved client document number.

NOTE: If there are similar custom properties defined for Document and Task, then you can also auto generate task based on these custom properties.

15

Origin Type

The default Document Origin Code can be set here.

16

Submission Details Mandatory

On selecting this option vendor details has to be entered for further processing of the document.

17

Approval Status Code Mapping

The default approval status Code for this Document genealogy is set here.

18

Correspondence Genealogy

A genealogy can be defined for correspondence Documents.

19

Correspondence Type

Type of Correspondence can be specified here. Correspondence types available are WRENCH and Archived. If the option WRENCH is selected correspondence management module would be enabled for the folder. If the option Archived is selected existing correspondence management function would be available.

20

Address for the external mails

User may configure an incoming mail id here, from which the mails are to be fetched.

21

Password

A password can be provided to prevent unauthorized users from using the email id defined here.

22

Correspondence Reply Genealogy

You can define a genealogy to store replies to your entire correspondences. If a reply genealogy is specified, while replying to correspondence, reply genealogy is filled by default. If user has selected a reply genealogy it is cached and next time if the same user is trying to perform reply operation in same genealogy then reply genealogy in cache is displayed.

23

Reply Correspondences with original file

Select the check box next to this option to include the original file in the replies to a correspondence.

24

Delete Server Copy after Fetching Mails

On selecting the option, once the mails are added to WRENCH, the copy that is present in the server is deleted.

25

Fetch Mails Automatically

On enabling this option mails in the server are fetched automatically based on the duration specified in the scheduler of the WRENCH server. Document numbers for the fetched mails will be auto generated based on the "Project Number/Serial Number" logic.

27

Approval Code Mandatory in Release Stage

The field approval code mandatory in release stage is selected by default. If the check box against this field is selected, in order to route from release stage approval code is to be provided.

28

Project is Mandatory

On selecting this option the system permits only addition of project dependent documents. While trying to add project independent documents system returns a warning message indicating this operation is restricted.

29

Change the internal revision number on Replace / Check In

On selecting the checkbox against this option, while revising a document revision number is incremented.

30

Maximum number of versions maintained

The version of a document changes when the document is checked out edited and saved. Old version of the document might be needed for reference or corrections. Depending on your requirement you can define the number of version of document that is to maintained in WRENCH. Here you can enter a value for the number of versions that is to be maintained.

31

Use Common Check Out path

You can define a common check out path for the documents in the genealogy. Once you define this option entire documents in this genealogy will be checked out to this path.

To define the check out path

  1. Select the corresponding checkbox.
  2. Click the corresponding hyperlink .

Common Check out path configuration window is displayed.

  3. Click in the grid to add a row for defining a common check out path as shown in the preceding figure.
  4. In the newly inserted row select the browse button to define a check out path. You can select an existing folder or create a new folder as the check out path.

  5. You can define this check out path for all the documents related to a project. Select the browse button as displayed in the following figure.

Project search window is displayed. You can select a project from a list of projects.

Allow Override a common path: If the check box corresponding to this option is selected a different check out path can be selected from the check out manager window.

  1. Click Ok to confirm the selection of the Check Out path.
  2. Click Delete to remove the currently configured check out path.

32

Ageing days priority settings

This settings is applicable only for correspondence genealogy. In WRENCH correspondences can be defined as High, Low and Medium priority. Based on the priority replies are send to the mails. For a high priority mail a reply might need to be sent within X days of receipt of the mail. Similarly for medium and low priority mails number of days within which a reply is expected can be defined. This setting can be defined here. This date is based on the calendar defined for the organization.

To define ageing days

  1. Click the hyperlink "Click here to configure ageing days priority settings."

Ageing Day Settings window is displayed.

  1. Enter values for High, Medium and Low.
  2. Click OK to continue.

33

File Name Structure

The structure of the file name for a document that has to be released with transmittal mail can be defined here. The default structure is assigned by default. You can define the following structures for the file name from a drop-down list.

On clicking the hyperlink Click here to configure Filename Structure, the following window is displayed.

In the window displayed two options Basic Option and Advanced Option will be available.

Radio button next to Basic Option is selected by default. In the drop-down list different options will be available. Option Default is displayed by default.

  1. Click the down-arrow to select a Basic Option.

The following options will be available in the drop-down list.

Document Number: On selecting this option file name will be generated based on the document number.

Document Number-User Revision Number-Sheet Number: On selecting this option file name will be generated based on this combination.

Document Number-Revision Number-Document Description: On selecting this option file name will be generated based on this combination.

Document Number-Revision Number: On selecting this option file name will be generated based on this combination.

Document Description: On selecting this option file name will be generated based on document description.

Document Description-User Revision Number-Sheet Number: On selecting this option file name will be generated based on this combination.

Based on the option selected file name is generated for the documents in the genealogy.

On clicking the radio button next to Advanced Option, option to create a file name structure based on different document properties and separators is displayed.

File name structure will be generated based on the Property and Separator combination defined here.

NOTE: If file naming structure is configured for main document, the same logic will be applicable to specter file also. While downloading the specter file, file name will be renamed. If file name logic is not configured, system will download the specter file in its original file name.

34

Fast Track Revisable

On selecting this check box fast track revision can be carried out on the documents saved under this genealogy.

35

Genealogy Default View

Here you can define a default view for the folders (genealogies) in your desktop. Different type of views can be selected from a drop down list.

36

User common copy out path

For a project a common location can be defined for copying out documents. Select the check box if you want to enable this option.

To define a common copy out path

  1. Click the hyperlink "Click here to configure common copy out path."

Common Copy out Path Configuration window is displayed.

  2. Here you can select a Copy Out Root path and a Project.

Allow Override common path: If the check box under this column is selected, the defined path can be changed while copying out a document.

37

Default Client Comment genealogy

Click the browse button to select a genealogy for storing the client comments. The genealogy selected here will be the default genealogy for client comments.

38

Default X-ref genealogy

Click the browse button to select a default genealogy for storing the X-ref files.

39

Increment internal revision on changing revision number

On selecting this option, if a work in progress document is Checked Out and Checked In, or replaced internal revision number is incremented.

40

Assign workflow initiator as the first stage user

On selecting this option user who starts the workflow will be assigned as the first stage user.

41

Enable WRENCH Drive

Select this option to enable the facility of WRENCH drive for the genealogy.

42

Distribution List

Here a user can browse from the master and apply a distribution list to the selected genealogy. When creating transmittals with documents from this genealogy, it is this distribution list that is applied to the transmittal (unless a list is not mentioned in the transmittal type)

43

Correspondence Source

A correspondence handling mechanism can be defined for a correspondence genealogy. If the option Archived is selected correspondence is handled using the normal document addition window. If the option WRENCH is selected a correspondence handling window is displayed and the document is handled using this.

44

Default Reference Document Genealogy

Here select a genealogy to store reference document.

45

Default Squad Check Comment genealogy

Here select a genealogy to store squad check comments.

46

Generate correspondence number on send

Click this option to generate a temporary number when a correspondence is saved. A correspondence number is generated only when the correspondence is send or released.

47

Stamping Options

Here user can select whether to stamp or sign on main document or spectre.

In the window options Ask User, Specter and Main Document are available.

If the option Ask User is selected, while stamping a selection window is displayed, where you can decide whether to insert stamp on document or spectre.

If the option Specter is selected, stamp will be inserted in the spectre file attached to the document.

If the option Main Document is selected, stamp will be inserted in the Main File.

48

Inherit Custom Properties to Referred document

On selecting this option when a single document is referred to document with document details and custom details filled in, the common custom characteristic values (in Parent Document Genealogy and Referred Document Genealogy) are automatically filled/inherited to Referred document details in Add Document window.

49

Footer text to be included when printing document details

In WRENCH SmartProject there is a facility to download the document details in PDF format. While downloading header and footer details are mapped. In the drop-down list custom properties assigned to the genealogy can be selected. Once a custom property is selected, text entered for the selected custom property is displayed as footer in all the pages selected for downloading. In addition if there are any images or logo it will also be available

50

Restrict document access until release of transmittal

On enabling this option, a document can be viewed by users in an organization, only after it is sent through the specific transmittal type, . However users of the organisation mentioned in the origin name of the document can view the document.

To restrict document

  1. In the document properties window click the browse button next to this option. A dialog box is displayed.
  2. Select the check box next to Restrict document access until release of transmittal. Once you select the check box a drop-down box next to the label Transmittal Type is enabled.
  3. In the drop-down list choose the transmittal type.
  4. Click Ok to continue.

Users of other organisations can view the document once the transmittal of the selected category is released.

51

Footer text to be included when printing document details

In WRENCH SmartProject an option to print the document details is available. On selecting this option foot notes provided will also be printed with the document details.

52

Correspondence mail Template

If the correspondence type selected is WRENCH and there are different correspondence templates defined in the masters, then a template can be selected.

To select a template

  1. Click the browse button next to the field Correspondence Template.

Correspondence Mail Template window is displayed. Different templates are listed here.

  2. Select a template from the list and click the Select button. Selected template will be the default WRENCH correspondence template for the genealogy.

53

Allow fetched mails in work in progress to be seen by others.

If this option is selected, All the fetched mails having work in progress is accessible to users having “View Work In Progress “right in the selected genealogy and the personal folder created from this genealogy. After selecting this option if the option Fetch mails as work in progress is not selected, all the correspondence in released status will be fetched to this genealogy.

54

Fetch mails as work in progress status

After selecting this option if no genealogy is selected in the project under correspondence tab, all the correspondence fetched to this genealogy will be in Work In Progress.

55

Physical file is mandatory for Release

For releasing a document through a transmittal, physical file is mandatory. But for documents that does not require a transmittal for release, physical file is not mandatory for releasing the document. For completion of workflow, presence of physical file is not mandatory. Such release of documents without physical file is not desirable.

To manage this select the checkbox next to the option Physical File Mandatory for Release. This option is selected by default. Once this option is selected, when a user tries to release a document without a physical file, a warning message is displayed.

56

Numbering Options

Click on the hyperlink to define document number mapping options. On selecting this option you can assign a default document numbering template for the document genealogy. When a document is created in this genealogy this numbering template will used to generate the document number. For more information on Mapping Options refer Defining Mapping Options.

57

Resource Pool

The resources specified here would be filtered in workflow stages for the deliverables. The resource pool assigned here will be compared to the resources allotted to the project and also to work flow resources. In case there is no resource in common to the three groups then the user will be asked to select dynamically. Resources in this pool will be considered while adding a project independent document.

To create a resource pool

  1. Click the hyperlink Click here to access the resource pool.

Default Properties For Resource Pool window is displayed.

  2. In the window click the respective browse button to select Users and User Groups.
  3. Enter values for Duration per deliverables.
  4. Define whether the user is To , Cc or both resource for a particular stage.
  5. After entering the values click OK to save changes.

58

Notification Resource Pool

The set of users to be notified when a new project independent Document is added can be assigned here.

To assign users to be notified

  1. Click the hyperlink Click here to access the notification resource pool.

Notification Resource Pool window is displayed.

Figure: Notification Resource Pool window

  2. In the drop-down list next to Operation, select an operation for which notification is to be generated.
  3. In the window click the respective browse button to select Users and User Groups.
  4. Assign a notification calendar against a user.
  5. After entering the values click OK to save changes.

59

Security - Encrypt files on storage

Check the "Encrypt files on storage" option so as to encrypt the Documents available in the WRENCH vault for a particular Document genealogy. Encryption of Documents has been implemented as a part of maximizing the security to intellectual property of the organization. However, please keep in mind that enabling this option might affect the performance of the system for quite a while.

60

Allow only transmittal released document version for external users

On selecting this option users will have access to only the versions of documents sent via transmittal to the current user's origin name.

61

Stamp to be put on

Here user can select whether to stamp or sign on main document or spectre.

In the window options Ask User, Specter and Main Document are available.

If the option Ask User is selected, while stamping a selection window is displayed, where you can decide whether to insert stamp on document or spectre.

62

Notify file modifications to resource of reference documents (only in web)

When the setting is selected, in addition to the users of the main document, users who have worked with referenced documents are also included in the mail generated when a file is modified.

63

Workflow team for revisions (Applicable in web)

Browse and select a document workflow team for revise process.

Once this revision workflow is set, this workflow team will be defaulted for the revise operation for the documents of this genealogy.

64

Preserve original email when fetching mails

This setting is enabled only when the genealogy is set as Correspondence and Correspondence Source is set as ‘WRENCH’. By default, this setting will be unchecked.

Once this setting is enabled, a hyper link View Original Mail will be available in the draft’s correspondence. This will be available until the mail is send and once the mail is sent, this link is no more displayed. On clicking View Original Mail, the original fetched mail will be opened in a separate tab as HTML mail.

65

Enable file editing only for stage resources during workflow

Here you can select the document or attachment types that can be edited by workflow stage resources. On clicking the hyperlink Click here to configure document/attachment types, Attachment Types window is displayed.

Figure: Attachment Types window

Select the required document/attachments types which can be edited only by the workflow stage resources.

66

Auto close ‘For Information’ items from workspace on completion of the current workflow stage

When sending workflows from one stage to another, ‘For Action’ recipients are assigned in ‘To’, and ‘For Information’ recipients in ‘Cc’. In some industry scenario, the items are to remain in the ‘Cc’ recipient’s workspace, even after the action resources have routed it to further stages. But in certain other scenarios, it needs to get automatically closed, so that the ‘Cc’ recipient’s workspace does not get filled. On selecting the checkbox next to this option, the document in the workspace ‘For Information’ is removed (Forced close) as soon as the current stage becomes processed/completed.

67

Generate Document Number on Send

If the checkbox next to this setting is selected, while saving a correspondence after creating, correspondence number is generated automatically, and when the correspondence is send, number can be generated based on the numbering template assigned to the genealogy.

68

Update properties from linked tasks

In some organizations, dummy documents are configured to be created automatically while importing tasks. At the time of creation, the creator may assign random values to the property Origin Name. This is later corrected upon the request of their client. This means that the property needs to be updated against the document and the task separately.

As a solution to this, a setting Update Properties from linked tasks is available.

On clicking the hyperlink Click here to configure properties to be updated, the Properties window is displayed.

The following options are displayed in the window.

Task name as document description: If this option is selected, whenever changes are made in the ‘Task name’ of the Task, the document description is updated as the task name from the linked task.

Origin: If this option is selected, whenever changes are made in the ‘Origin’ of the Task, the properties Origin Name and Origin Type are updated for the linked tasks.

Area: If this option is selected, whenever changes are made to the property ‘Area’ of the Task, the property Area from the linked task is updated.

System: If this option is selected, when changes are made to the property System of the Task, the property System from the linked task is updated.

Defining numbering Options

You can define different numbering options for a genealogy. You can either assign a numbering template to a genealogy or you can predefine the numbering format for the documents added under the genealogy.

To define a document numbering template for a genealogy

1. In the Document default properties window click the hyperlink next to Mapping options .

  2. Mapping Options window is displayed.

Here you can assign a numbering template for the genealogy. In addition to this you can also define different mapping options. You can define document number using characters of file name and Project Number and only with characters of file name. You can also define numbers of characters in the file name that is to be included in the document number.

For Example: In case you select the first option Characters of file name + Project Number as Document Number and enter 5 in the box.

Now a Project ID and file is selected as displayed in the following figure.

File Name = ATKINS_UpgradeProcedure_3.7.2.1.A5 (2)

Project ID = WRENCH

The generated document number is ATKIN WRENCH. The first 5 characters of file name and Project Number is used to create the document number

Figure: Add Document window

Advanced options

Advanced options for generating document numbers is also provided.

To define an advance number generation option,

  1. In the Mapping options window, select the Advanced Options tab.
  2. Advanced Number generation window is displayed.

For ease of defining a number generation logic you can select a sample file and based on this file you can create a number generation pattern. A number generation pattern is created based on the values you have provided.

Once you assign this pattern for a genealogy while adding documents, properties like document number, document description etc. are generated based on the pattern assigned for a genealogy.

Defining Custom Properties

Each object in WRENCH such as Documents, tasks etc. have a number of characteristics associated with it. Often, to serve exclusive requirements, new characteristics may need to be associated with these items. WRENCH has a scalable characteristics management system, using which additional characteristics can be created as required, for any of these items.

For the RFI’s that comes under the mechanical department additional information like Tower/Section, Status, Originator and RFI remarks are to be included while adding them to WRENCH. This information is to be uniform in the case of all mechanical RFI’s and should be available while adding new RFI’s. You can define these properties as custom properties.

To define custom characteristics

  1. In the document properties window select Custom Properties tab.

Figure: Custom Properties window

  2. Click on Assign Class to choose custom properties.

Available Class window is displayed.

Figure: Available Class

  3. Select the checkbox corresponding to the Custom Characteristics you need to choose and click OK.

Selected Classes will be displayed in the window.

  4. Click OK to continue.

Customizing the document addition window

User can customize the document addition window and define the properties that are to be made available under Basic Details, Advanced Details, Correspondence Details and Custom Details.

Different departments in your organization find that while adding documents, fields irrelevant to them are causing lots of confusion. They need only fields relevant to each department while adding documents.

When a project related document like an RFI is added , in order to keep a track of the details and to maintain project specific information , the project ID and document number details can be kept as mandatory ones and the other irrelevant entries like the vendor document number and the life cycle status can be omitted from the addition window.

To define document properties

  1. In the document genealogy property window select UI Customization tab.
  2. Select the radial button against Customize the Add Document UI.

Figure: UI Customization window

UI Customization tab consists of the following columns.

Display in UI: Here user can select the checkbox against a property and this property will be available in the Add Document window.

Property: Here the entire document properties and custom properties assigned to the genealogy are displayed here. If the genealogy selected is of correspondence type, then entire correspondence properties are also displayed.

Groups: Here user can select the group under which the properties are to be listed in the add document window. User can select the following groups form a drop-down list.

  • Basic Document Details
  • Advanced Document Details
  • Correspondence Details
  • Custom Details
  • New Group

To create a new group select “New Group” from the drop-down list.

Mandatory: User can define a property as mandatory or non-mandatory. Select the check box against a property to define it as mandatory. Properties selected as mandatory will be displayed in the add document window with an asterisk marked against it.

Default Value: The default value that is to be assigned to each property can be defined here. These values are available in the add document window. User can edit these values from the Add Document window.

The following basic properties can be defined . Each property can be classified into Basic property and Advanced property. This classification is decided by the Administrator.

Document Number

Document number is the key information that denotes the document. It is used for representing the document information.

Enter a unique Document Number.

NOTE: User can also generate a document number using automatic number generation facility. For more information on generating numbers automatically refer Automatic Number Generation.

Document Description

Document description describes the information that the document contains. Enter a Document Description.

Document Genealogy

Leaf level genealogy selected will be displayed here. If you need to change the genealogy, you can choose one from the Genealogy Options in the left navigation bar. On selecting a genealogy, properties assigned to the genealogy are displayed in document properties grid.

The document properties can be defined in genealogy default properties window. While adding documents under this genealogy these properties are inherited by the documents. The genealogy configuration is usually taken care by the administrator and is mentioned in detail in the Administrator's Manual

Project ID

The projects are often identified by a unique Project ID. If the document you are adding is related to a project, you can select the Project ID.

To select a Project ID

  1. Click the browse button next to Project ID to select a project.
  2. Project Search window is displayed from where you can select the project.
  3. Once you select a project the document is related to this project. While searching for documents related to this project, this document will be retrieved.

NOTE: This document will not be available in the document tab of the Project Properties window.

Revision Number

Revision numbers are maintained to indicate the number of times a document can be revised or edited after its release. The revision numbering sequence maintained by different organisation varies. It can be common across the organisation or even can be project specific. In many cases it is dependent on the revision number the client would like to have.

You can select the revision number from a drop-down list.

Number of Sheets

A document may contain more than one sheet. Number of sheets in a document can be specified here.

Sheet Number

A number can be specified for each sheet in a document.

NOTE: The value you enter for sheet number should not exceed the number of sheets you have specified.

Sheet Size

A size can be specified for the sheets in the document. The size depends on the type of sheets your organization is using.

End of Life

You can specify an End of Life period for the document. Once the document reaches the end of life period the document is made obsolete automatically. An automated mail is sent to the user indicating this.

Life Cycle Status

A Document after it's release will go through an entire life cycle where it is referenced by customer, vendors according to engineering process followed by different industrial verticals. A Released Document will have its revision updated for every revision imbibed by it. This helps the WRENCH Users to pinpoint on what phase of the life cycle the Document is at any given time.

To enter a life cycle status

  1. Select the browse button next to life cycle status.
  2. Life Cycle Status Search window is displayed.
  3. You can select a value for the Life Cycle Status.

User Revision Number

User revision is used mainly to manage the client revision number.

Client Document Number and Vendor Document Number

Enter Client or Vendor Document numbers. Client/ Vendor Document number will be unique for a particular Document Number-Sheet Number combination.

External Agency Transmittal Number and External Agency Transmittal Receipt Date

These properties are usually defined for documents that are of vendor origin.

Correspondence Properties

If the genealogy you have selected is of correspondence type, in the document addition window, a group Correspondence Details with the following fields will be displayed. Enter appropriate values for these fields.

NOTE: The fields that are displayed here are those defined by the administrator in document genealogy properties window

Correspondence Type

A Correspondence can be selected between Incoming and Outgoing from a drop-down list.

Correspondence Reference Number

A Reference Number can be provided for the Correspondence.

To search for a number

  1. Select the "Browse" button. Document Search window is displayed.
  2. User can select a Document number by initiating a search in Document Search window.

Reply Required

User can specify a date on which a reply is expected.

Letter Date

This is the actual date on which the letter was sent.

Expected Reply Date

User can specify a date on which a reply is expected.

To be Replied By

You can select the user responsible for sending a reply. Click the browse button to choose a user from the User List window.

Restricting views to user groups

In the ‘Add Document’ window, some views may have certain custom properties mandatory. But while adding documents, sometimes users switch to the ‘default’ view on which this restriction (mandatory custom properties) is not applied. Thus documents get added without the custom properties. Lock View options helps to prevent such issues.

To lock views

  1. In the Add Document UI Customization window click Lock View.

Figure: Document Addition Customization window

View Security window is displayed. Entire user groups are displayed in this window. All views applicable for the selected genealogy will be listed on selecting a user group. Default view is displayed here. A different view can be selected as a default view by selecting the checkbox.

By default, all the views are applicable to all the user groups and the same applies when a new view is created, ie, the check box will appear selected for all the groups.

Figure: View Security window

  2. In the drop-down list select the view that you want to lock or restrict to user groups.
  3. Clear the checkbox next to user groups for which view has to be restricted.
  4. Click the check box under the column Set as Default to set the view as default for a group.
  5. Click OK to continue.

Now while adding documents, users can select views that is permitted for their groups.

NOTE: This setting is also available while customizing document details window.

Customizing the document details window

Different document properties that are displayed in the document details window can be defined. You can hide or display the document properties as per your requirements.

Figure: Document details window customization

To define the properties in the document details window

In the document genealogy properties window select the radial button next to Customize the document details UI.

UI Customization tab consists of the following columns

Display in UI: Here user can select the checkbox against a property and this property will be available in the Document details window.

Property: Here the entire document properties and custom properties assigned to the genealogy are displayed here. If the genealogy selected is of correspondence type, then entire correspondence properties are also displayed

Groups: Here user can select the group under which the properties are to be listed in the Document Details window. User can select the following groups form a drop-down list.

  • Basic Document Details
  • Advanced Document Details
  • Custom Details
  • Approval Status Details
  • Template Details
  • Receipt Details

Once the properties and groups are selected you can save the views.

For Example: In the preceding figure the following document properties are selected.

  • Document Number
  • Document Genealogy
  • Number of Sheets
  • Project Id
  • Revision Number
  • Sheet Number

For this configuration the document details window will appear as displayed in the following figure.

Figure: Document Details window

If you compare the document properties window and the document details window you can find that only the properties selected are displayed in the document details window.

NOTE: Administrator user will be able to hide the property internal revision number from the UI Customisation window. This can be done for both Add Document and Document Details window.

Saving Views

Once a view is configured, it can be saved. The saved views are available in the Document Addition window.

To save a view

  1. In the View drop-down list, select Custom View.
  2. Save View window is displayed.
  3. Here you can enter a name for the view and select the Save button. The configured view will be saved.


Defining properties for Project Genealogy

Defining Projects/Enquiry Level Properties

  1. Select a Project/Enquiry level.
  2. Right-click the selected level.
  3. In the ensuing menu click Properties.

A set of properties can be defined here.

The Administrator can define the following properties:

  • User Group Security
  • User Security
  • Custom Properties
  • Default Properties

Defining Project Security Rights for Users and User Groups

Security rights can be defined for Project and Tender related operations. Rights can be assigned to Users and User Groups.

Figure: Assigning Security Rights

Different Security rights that can be assigned to users or user groups are explained in this window.

#

Security Right

Description

1

View

Project resources with this permission can view the Project.

2

Create

Project resources with this permission can create a Project.

3

Manage

Project resources with this permission can edit the Project.

4

Release/Close

Project resources with this permission can release or close the Project.

5

Delete

Project resources with this permission can delete the Project.

6

Manage Security

Project Resources with this permission can manage or edit the security rights for the genealogy.

7

View Tender

Project resources with 'this permission can view Tenders for the project.

8

Create Tender

Project resources with 'this permission can create Tenders for the project.

9

Edit Tender

Project resources with 'Edit' permission can modify tender details until it is published. A person with 'Create' permission alone will not be able to edit the tender. Even when a user has 'Edit' permission, BOQ details and Tender attachments of a tender cannot be modified once published. The tender is to be revised to modify them.

10

Revise Tender

Project resources with 'Revise' permission can revise tenders in the project

11

Publish Tender

Project resources with 'Publish permission can publish tenders in the Project to vendors.

12

Obsolete Tender

Project resource with 'Obsolete' permission can obsolete published tenders (which cannot be removed) to stop further processing of tenders.

13

Remove Tender

Project resources with 'Remove' permission can remove unpublished tenders. Published tenders cannot be removed.

14

View JMS

Project resources with ‘View JMS’ permission in respective project genealogy will be able to view JMS Details for the project.

15

Create JMS

Project resources with ‘Create JMS’ permission in respective project genealogy will be able to create a JMS against the project.

16

Edit JMS

Project resources with ‘Edit JMS’ permission in respective project genealogy will be able to edit the JMS created against the project.

17

Submit JMS

Project resources with ‘Submit JMS’ permission in respective project genealogy will be able to submit the JMS created against the project.

18

Approve JMS

Project resources with ‘Approve JMS’ permission in respective project genealogy will be able to approve the JMS created against the project.

19

Remove JMS

Project resources with ‘Remove JMS’ permission in respective project genealogy will be able to remove the JMS created against the project.

20

Create RFI

Project resources with ‘Create RFI’ permission in respective project genealogy will be able to create a RFI against the project.

21

Edit RFI

Project resources with ‘Edit RFI’ permission in respective project genealogy will be able to edit a RFI created against the project.

22

Remove RFI

Project resources with ‘Remove RFI’ permission in respective project genealogy will be able to remove the RFI created against the project.

23

View RFI

Project resources with ‘View RFI’ permission in respective project genealogy will be able to view RFI Details for the project.

24

Manage RFI

Project resources with ‘Manage RFI’ permission in respective project genealogy will be able to manage the RFI created for the project.

25

Send RFI

Project resources with ‘Send RFI’ permission in respective project genealogy will be able to view send the RFI created for the project.

26

Manage Resource Booking

On enabling this setting, users or user-groups can edit or modify the resource booking of a project in the specified genealogy if the user is a project resource.

If a project resource without manage resource booking security in genealogy performs any operation in the Resource Booking section in Projects a warning message, You do not have ‘Manage Resource Booking’ permission in the genealogy is displayed.

27

View Reverse Bidding

Project resources with ‘View’ permission will be allowed to view Reverse Bidding for the project.

28

Create Reverse Bidding

Project resources with ‘Create’ permission will be allowed to create Reverse Bidding for the project.

29

Edit Reverse Bidding

Project resources with ‘Edit’ permission may modify Reverse Bidding details until it is published. A person with ‘Create’ permission alone will not be able to edit the Reverse Bidding

30

Cancel Reverse Bidding

Project resource with ‘Cancel’ permission may cancel published reverse bidding (which cannot be removed) to stop further processing of Reverse Bidding.

31

Manage Reverse Bidding

Only users with ‘Manage’ permission may publish the reverse bidding in Project to vendors.

32

Remove Reverse Bidding

Project resources with ‘Remove’ permission may remove unpublished Reverse Bidding. Published Reverse Bidding cannot be removed.

Defining Project / Enquiry level default properties

Project Type: User can browse and select a project type defined in the project type master. The project type specified here is selected by default while creating a project or enquiry under this genealogy.

Project Description: The information typed in here will appear as the description while creating a new project or enquiry under this genealogy.

Project Revision Series: User can browse and select revision series from a list. The revision series assigned here is assigned by default to a project created under this genealogy.

Document Revision Series: User can browse and select revision series from a list. The revision series defined here is assigned by default to the documents added to a Project created under this genealogy. If a document revision series is assigned to a project genealogy, while adding a document from document addition window it is displayed by default. But the user can override the project document revision series manually.

Document Numbering Template: User can select a document numbering template from a pre-defined list. The template defined here is selected while adding documents to projects grouped under this genealogy.

Can change the numbering logic at the time of creation: On selecting the check box against this option, numbering logic defined can be altered while creating the document.

User Automatic Numbering for Projects: On selecting the checkbox next to this option, while creating a Project, Project ID is generated automatically.

Project Release Mandatory for Approval: On selecting the checkbox next to this option, releasing the Project is mandatory for Project approval.

Line Item Mandatory for Release: On selecting the checkbox next to this option, line item is to be mandatory for releasing the Project.

Document Bulk Upload: Here Advance file matching option for Project documents can be configured. On clicking the hyperlink Click here to configure advance file matching option, File Matching Option window is displayed. Here a file matching option can be defined.

Workflow resource addition Notification: Here a template for the notification mail that is sent when a new resource is added to the Project can be selected here.

To select a template

  1. Click the browse button next to this option.

Project Mail Template window is displayed. Configured mail templates are listed in the window.

  1. Choose a template and click Select.

When a new resource (work resource) is added to the project created under this genealogy, a notification mail will be sent as per the template configured in the Project genealogy.


Defining properties for Task Genealogy

To | See
Define Task Level Properties | Defining Task Level Properties
Define task level default properties | Defining Task Level Default Properties
Extend or Inherit properties | Extending or Inheriting properties
Customize task properties window | Customizing task properties window
Customize the add task window | Customizing the add task window
Save views | Saving Views

Defining Task Level Properties

  1. Select a Task level.
  2. Right-Click the selected level.
  3. In the ensuing menu click Properties.

A set of properties can be defined here.

The Administrator can define the following properties:

  • User Group Security
  • User Security
  • Default Properties
  • UI Customization

Defining Task Level Default Properties

Figure: Defining Task Level default properties

  1. Add as document task: On selecting this option the tasks added in this genealogy are created as document tasks by default. User may change this at his discretion from the task properties window.
  2. Work Flow Team: A Work Flow Team defined in the Work Flow organizer can be selected here. While searching for a work flow, if a value "Task" is assigned to the "Module" field the work flows assigned to Tasks are listed. If no work flows are assigned to the module all the work flows are listed.This Work Flow team will be assigned to the Task when this particular Task genealogy is selected
  3. Default Document Genealogy: By default the genealogy selected here is assigned to a documents task when this particular Task genealogy is selected.
  4. Document Number Required for Scheduling Document Task: If the check box next to this field is selected, user cannot schedule a task if document number is specified in the Task properties. Or else the system returns a warning message.
  5. Auto Create Link Document: If the check box next to this option is selected; when a task is created a dummy document is created using the reserved document number and task name.
  6. Assign Workflow initiator as first stage user: If the check box next to this option is selected, user who starts the workflow is assigned the as the first stage user.
  7. Auto close 'For Information' items from workspace on completion of the current workflow stage: If the checkbox next to this option is selected, on completion of current workflow stage items in the workspace that were send for information purpose will be closed automatically.
  8. Linked document must have workflow for completion of task: If the checkbox next to this option is selected, documents linked to a task are completed if a worflow is assigned to the task.
  9. Assert Mandatory custom properties of rules Only on closure: If the checkbox next to this option is selected, custom properties are not validated until the closure of the rule. If this option is not selected, values for custom properties must be assigned while creating and updating rules.
  10. Update properties for linked documents: In some organizations, dummy documents are configured to be created automatically while importing tasks. At the time of creation, the creator may assign random values to the property Origin Name. This is later corrected upon the request of their client. This means that the property needs to be updated against the document and the task separately. This causes a usability issue when the number of documents is huge. As a solution to this in the Task Genealogy, Default Properties, a new setting Update Properties from linked documents is available. On clicking the hyperlink Click here to configure properties to be updated, the Properties window is displayed. The following options are displayed in the window.

  • Origin: If this option is selected, whenever changes are made in the ‘Origin’ of the documents, the properties Origin Name and Origin Type are updated for the linked documents.
  • Area: If this option is selected, whenever changes are made to the property ‘Area’ of the document, the property Area from the linked documents is updated.
  • System: If this option is selected, when changes are made to the property System of the document, the property System from the linked document is updated.
  11. Task Notification: Using this option notifications are generated for different instances of task. Notifications can be defined for users or user groups.

To configure notifications

  1. Click the hyper link to configure notifications.

Subscribe for Notification window is displayed.

  2. Select an even or instant and click the respective buttons to select User or User Group.

Figure: Subscribe for Notification window

For each user or user group notifications is configured for different instances.

Extending or Inheriting the properties

At certain instances some of the genealogy default properties need to be extended to its child folder whereas some of the properties need to be inherited from the parent selectively. A hyperlink Click here to inherit /extend properties for genealogies is provided for this purpose

To extend or inherit properties

  1. Click the hyperlink .
  2. Inherit/Extend Properties selectively window is displayed.

Figure: Selecting properties

  3. Select the check box next to the properties that you want to inherit or extend.
  4. You can inherit the properties from parent or extend the properties to child by selecting the respective radial button.
  5. Click OK to continue.

Customizing the Task properties window

Different task properties that are displayed in the task details tab of Task properties window can be selected here. The task details are displayed based on the selection made here.

Figure: Task Details tab customization

To define the properties in the task details tab of Task properties window

In the task genealogy properties window, select the radial button next to Customize the Task Details UI

UI Customization tab consists of the following columns,

Display in UI: Here you can select the checkbox against a property and this property will be available in the task details tab of the Task Properties window.

Property: Here the entire task related properties, document related properties and custom properties assigned to the genealogy are displayed .

Groups: Here you can select the group under which the properties are to be listed in the task details tab of the Task Properties window. User can select the following groups form a drop-down list.

  • Basic Task Details
  • Document Details
  • Origin Details
  • System Details
  • Area Details
  • Approval Status Code Details
  • Receipt Details
  • Custom Details

Once the properties and groups are selected you can save the views.

For Example: In the preceding figure the following task properties are selected.

  • Serial Number
  • Task Genealogy
  • Percentage of Completion
  • Budgeted Duration
  • Document Genealogy
  • Document Task
  • Document Number
  • Area Code
  • Area Description

For this configuration the task details tab of Task properties window will appear as displayed in the following figure.

Figure: Task Details tab of Task Properties window

If you compare the UI Custiomisation tab in the properties window and Task Details tab in the Task Properties window you can find that only the properties selected are displayed in the Task Details tab.

Customizing the Add Task window

Different task properties that are displayed in the task addition window can be selected here. The task properties are displayed based on the selection made here.

Figure: Customizing the task properties window

To define the properties in the task addition window

  • In the task genealogy properties window, select the radial button next to Customize the Task Details UI.

UI Customization tab consists of the following columns,

Display in UI: Here you can select the checkbox against a property and this property will be available in the task addition window.

Property: Here the properties that will be displayed in the task addition window is displayed. You can select any property from the list

Groups: Here you can select the group under which the properties are to be listed in the task addition window. Select the following groups form a drop-down list.

  • Basic Task Details
  • Document Details
  • Origin Details
  • System Details
  • Area Details
  • Approval Status Code Details
  • Receipt Details
  • Custom Details

Once the properties and groups are selected you can save the views.

Saving Views

Once a view is configured, it can be saved. The saved views are available in the Task Properties window.

To save a view

  1. In the View drop-down list, select Custom View.
  2. Save View window is displayed.

Figure: Save View window

  3. Here you can enter a name for the view and select the Save button. The configured view will be saved.


Defining properties for Part Genealogy
         Previous Topic

Defining Part Level Default Properties

The user may define some default properties that are applicable for all Parts defined at this level. These properties are inherited by all levels further added under this level.

Figure: Part Level Default Properties

Default Properties that can be set for a level are:

Revision Series: Revision series for the Part. Click the corresponding browse button to select from a list.

If Design Driven: Select “If Design Driven” if the Part requires design document and the release of the Part is dependent on the completion and release of the design document.

Is Assembly: Select “Is Assembly” if the specified Part is an assembly of different components.

Is Configurable: Select “Is Configurable” if the Part is configurable.

Is Approval Required: Select “Is Approval Required” if the Part needs to be approved by the concerned Department Head.

Is Work flow Required for Approval: Select “Is work flow Required for Approval” if the Part needs to be routed through a work flow.

Is Circuit Reference Required: Select “Is Circuit Reference Required” if the Part comprises an electrical component.

Part Number Length: Length of the Part number

UOM: User can specify a unit of measurement. Click the corresponding browse button to select from a list.

Work Flow Team: User can define a work flow team for the genealogy. Click the browse button to select from a list.

Part Type: User can select a Part type.

Part Numbering Template: User can specify a Part Numbering Template for the genealogy. Click the browse button to select from a list. All the numbering templates created in the numbering template master are available here.

Can change the numbering logic at the time of creation of Part:

  1. If this option is selected at the time of creation of the Part the numbering logic assigned can be changed. All the available templates are listed and user can select a Part number template from the list.
  2. If this option is cleared Part number is generated automatically if all blocks defined are of automatic type.

Part Description: A description which will help in identifying the part.

Part long description: A detailed description of the part.

Document Genealogy: User can define multiple document genealogy for a part genealogy.

To define a document genealogy

  1. Select the hyperlink against Document Genealogy.
  2. Predefined document genealogy window is displayed.

Figure: Document Genealogy window

  3. Select the needed genealogies from the upper pane. Selected genealogies are displayed in the lower pane.

Part Custom Properties

Custom properties can be assigned to a Part.

  1. In the Custom properties window click "Select Class."

Figure: Custom Properties window

  2. "Available Class" window is displayed.

Figure: Available Class window

  3. User can select the check box corresponding to a Class.
  4. Click "OK."
  5. The selected Class is displayed in the Custom Properties window.
  6. Click "Remove Class" to remove a class.

NOTE: User and User Group level can be set for Part and Product Structure. A detailed information on assigning User and User Group security are available in Control Panel>>Security Center.